2012-07-17  Barton E. Schaefer  <schaefer@zsh.org>

	* users/17051 (cf. 30571): Completion/compinit: explicit IFS for
	"read" of bindkey, dumpfiles, etc.

2012-07-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Bart: 30560: Src/builtin.c: unset array element by setting
	to null.

2012-07-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Danek: 30562: Completion/Solaris/Command/_dladm,
	Completion/Solaris/Command/_flowadm,
	Completion/Solaris/Command/_ipadm,
	Completion/Solaris/Command/_zoneadm,
	Completion/Unix/Command/_zfs, Completion/Unix/Command/_zpool,
	Completion/Unix/Type/_zfs_dataset: Solaris completion updates.

2012-06-30  Barton E. Schaefer  <schaefer@zsh.org>

	* 30540: Src/builtin.c: process the rest of the typeset flags when
	changing the numeric type of SECONDS e.g. from integer to float.

2012-06-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: belatedly commit version number update.

2012-06-26  Barton E. Schaefer  <schaefer@zsh.org>

	* 30533: Src/utils.c: when processing a change in the value of
	COLUMNS, do not assert the change into the tty driver winsize.
	The code for this was dead the whole time IPDEF5 was broken and
	this seems a bad time to make it live; besides which it is not
	consistent about the handling of LINES (which is ignored when
	changed by itself, but would be asserted when COLUMNS changes).

	* 30530: Src/params.c: fix long-broken IPDEF5 definition to use
	the GSU struct, thus fixing problems with values of LINES or
	COLUMNS less than 1.

2012-06-21  Peter Stephenson  <pws@csr.com>

	* Danek (plus .distfiles changes): 30520:
	Completion/Solaris/Command/.distfiles:
	Completion/Solaris/Command/_beadm,
	Completion/Solaris/Command/_dladm,
	Completion/Solaris/Command/_dtrace,
	Completion/Solaris/Command/_flowadm,
	Completion/Solaris/Command/_fmadm,
	Completion/Solaris/Command/_ipadm,
	Completion/Solaris/Command/_netstat,
	Completion/Solaris/Command/_pkg5,
	Completion/Solaris/Command/_prstat,
	Completion/Solaris/Command/_ps,
	Completion/Solaris/Command/_snoop,
	Completion/Solaris/Command/_svcadm,
	Completion/Solaris/Command/_svccfg,
	Completion/Solaris/Command/_svcprop,
	Completion/Solaris/Command/_zlogin,
	Completion/Solaris/Command/_zoneadm,
	Completion/Solaris/Type/.distfiles,
	Completion/Solaris/Type/_be_name,
	Completion/Solaris/Type/_svcs_fmri,
	Completion/Solaris/Type/_zones,
	Completion/Unix/Command/_zfs,
	Completion/Unix/Command/_zpool,
	Completion/Unix/Type/.distfiles,
	Completion/Unix/Type/_zfs_dataset,
	Completion/Unix/Type/_zfs_keysource_props: updated completions
	for Solaris 11.

	* 30518: configure.ac, Src/zsh_system.h: attempt to supply
	tgoto() prototype only when missing for Solaris 10 and earlier.

	* 30519 (correction noticed by Danek): MACHINES: try to
	modernise.

2012-06-18  Peter Stephenson  <pws@csr.com>

	* Dima Kogan: 30515: Src/glob.c: glob size test failed on very
	large files owing to integer type error.

2012-06-15 Phil Pennock  <pdpennock@users.sourceforge.net>

	* 30513: zsh/regex metafy fixes for widechar; similar to 29838.

2012-06-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30509: FEATURES, README, Etc/FAQ.yo: updates for 5.0.0.

	* Danek: 30510: Doc/Zsh/params.yo: bad indentation.

2012-06-10  Clint Adams  <clint@zsh.org>

	* 30503: Completion/Unix/Command/_mosh: rudimentary
	completion for mosh.

2012-06-10  Mikael Magnusson  <mikachu@gmail.com>

	* Jeremy Mates: 30505: Completion/Unix/Command/_wget: Allow
	multiple --header=.

2012-06-06  Barton E. Schaefer  <schaefer@zsh.org>

	* users/17134: Functions/Misc/promptnl: avoid bad math error

2012-06-06  Peter Stephenson  <pws@csr.com>

	* Vincent: 30497: Completion/Unix/Command/_xmlsoft: option
	completion issue.

2012-06-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/17132: Doc/Zsh/contrib.yo,
	Functions/Zle/forward-word-match,
	Functions/Zle/select-word-style: skip-whitespace-first style for
	compatibility with bash and other editors in forward-word.

2012-05-31  Peter Stephenson  <pws@csr.com>

	* Foudil Brétel: 30495: Completion/Unix/Command/_systemd (also
	Completion/Unix/Command/.distfiles): replace
	Completion/Unix/Command/_systemctl and add various enhancements.

2012-05-23  Frank Terbeck  <ft@bewatermyfriend.org>

	* Juliano Ravasi: 30488:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: Fix
	initialisation of `$stgit_unapplied'.

2012-05-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jun T.: 30483: Completion/Unix/Command/_mount: improved
	completion on MacOS.

	* Danek: 30485: Src/jobs.c: trailing garbage after signal
	number not recognised in kill builtin.

2012-05-21  Peter Stephenson  <pws@csr.com>

	* c.f 30482 (Peter Jaros): Completion/Unix/Command/_tmux: typo
	in description.

2012-05-17  Mikael Magnusson  <mikachu@gmail.com>

	* 30473: Completion/Linux/Command/_strace: update for 4.7 and
	mark all options as taking sticked arguments.

	* 30474: Completion/Unix/Command/_ssh: Add -O cancel.

2012-05-14  Mikael Magnusson  <mikachu@gmail.com>

	* 30468: Functions/Prompts/prompt_fade_setup: add missing $
	reported by Devon Meunier.

	* 30466: Completion/Unix/Type/.distfiles,
	Completion/Unix/Type/_ps1234, Completion/Zsh/Command/_print:
	Add new completer for prompt format specifiers and hook it up
	to print -P and assigning to the various prompt parameters.
	Add completion for printf and print -f formats.

2012-05-08  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted, see users/17062: Doc/Zsh/contrib.yo: Briefly describe
	option semantic differences from xargs to zargs.  (Merged with
	PWS edits.)

2012-05-08  Peter Stephenson  <pws@csr.com>

	* 30469: Src/builtin.c: allow reverse listing of history using
	fc -r, but don't allow reverse execution of commands at all.

	* unposted: Doc/Zsh/contrib.yo: clarify that zargs is different
	from xargs.

2012-05-03  Peter Stephenson  <pws@csr.com>

	* unposted, see 30465: Doc/Zsh/expn.yo, Doc/Zsh/params.yo: add
	index entries and cross-references for matching parameters.

2012-05-02  Mikael Magnusson  <mikachu@gmail.com>

	* 30461, 30462 (tweaked): Functions/Prompts/promptinit,
	Functions/VCS_Info/vcs_info_setsys, Functions/Zftp/zfcd_match,
	Functions/Zle/url-quote-magic: add missing local for match,
	mbegin and mend.

	* 30425 (fixed): Src/Zle/zle_params.c, Doc/Zsh/zle.yo:
	Add localhistory/globalhistory to $ZLE_STATE as set by the
	set-local-history zle widget.

2012-05-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/17046: Src/utils.c, Test/D04parameter.ztst: don't
	count too many elements when splitting quoted parameter
	substitution on null separator.

2012-05-01  Mikael Magnusson  <mikachu@gmail.com>

	* 30456: Completion/Unix/Command/_getconf: Use new array syntax.

2012-04-25  Peter Stephenson  <pws@csr.com>

	* 30455: NEWS, Src/params.c: remove max array length test.

2012-04-25  Mikael Magnusson  <mikachu@gmail.com>

	* 30429: Completion/Unix/Command/_init_d: Avoid error when the
	service doesn't exist.

	* 30430: Doc/intro.ms: Fix some errors and outdatedness.

	* 30444: NEWS: Add entry for new syntax added in 30431 below.

2012-04-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/subst.c: add test for valid identifier to 30431.

	* Test/D04parameter.ztst: 30439: Src/subst.c,
	Test/D04parameter.ztst: ${...:*...} with nonexistent or
	non-array variable second should return no results.

	* 30431 (typo in _typeset fixed):
	Completion/Zsh/Command/_typeset, Doc/Zsh/expn.yo, Src/params.c,
	Src/subst.c, Test/D04parameter.ztst:  add ${...:|...} and
	${...:*...} operators for removal or inclusion of results
	by array element.

2012-04-21  Barton E. Schaefer  <schaefer@zsh.org>

	* 30433: Src/hist.c: double backslash is not line continuation.

2012-04-20  Mikael Magnusson  <mikachu@gmail.com>

	* 30412: Doc/Zsh/zle.yo: Document the set-local-history
	widget in the list of widgets.

	* Vin Shelton: 30427: Doc/Zsh/zle.yo: Remove erroneous enditem
	from previous commit.

2012-04-16  Peter Stephenson  <pws@csr.com>

	* Michael Prokop: 30414: Completion/Linux/Command/_mdadm: more
	flexible configuration file usage.

	* 30413: Src/params.c, Src/utils.c, Test/D04parameter.ztst:
	(q-) parameter flag should quote the empty string and should
	report an error with extra trailing q's.

2012-04-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: incorporate the remainder of Bart's
	suggestions from 30408.

	* 30410 (with the addition of one other case): Src/jobs.c: avoid
	some divide-by-zero errors in TIMEFMT interpretation.

2012-04-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30402: Doc/.distfiles, Doc/Makefile.in: turn intro.ms into
	intro.pdf for doc distribution.  Still needs some tidy ups.

2012-04-14  Mikael Magnusson  <mikachu@gmail.com>

	* 30406: NEWS: some typo fixes.

2012-04-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Etc/.distfiles: missed this.

	* Christian Neukirchen: 30398, 30399: Doc/params.yo: TIMEFMT
	documentation.

	* 30400 (plus a few extra tweaks): NEWS, Etc/NEWS-4.3: update
	NEWS for forthcoming 5.0 release.

2012-04-13  Peter Stephenson  <pws@csr.com>

	* 30391: Src/params.c: New hash-based arrayuniq() doesn't
	care about (or set the flag correctly for) disabled hash nodes,
	so we need to ignore that flag.

2012-04-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30388, 30389 (Stephane): Functions/Misc/zargs: handle
	zero-length arguments.

2012-04-09  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted: Test/D04parameter.ztst: hash seive needs more than 10
	array elements for arrayuniq() testing.  This test will need to
	be tweaked if that size changes.

	* unposted (see users/17000): Src/params.c: fix allocation bug in
	16991 by using heap memory for hash nodes; throw an error if out
	of heap; pull hash table creation out into a helper function and
	use arrlen() to count the array.

	* Václav Zeman: users/16991: Src/params.c: implement hash-table
	seive variant of arrayuniq() to improve speed at cost of space,
	falls back on the constant-space version for small arrays.

	* 30383: Src/params.c: improve the constant-space variant of
	arrayuniq() by optimizing shifts.

2012-04-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/16944: Functions/Zle/url-quote-magic: some more "local"s
	needed.

2012-03-30  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Zle/split-shell-arguments: add some
	typeset -g's to avoid WARN_CREATE_GLOBAL warnings.

	* unposted: Src/init.c: add some braces to avoid warnings from
	some versions of gcc.

2012-03-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/zle.yo: add missing parenthesis.

	* users/16932: Doc/Zsh/zle.yo, Functions/Zle/replace-string:
	Src/Zle/zle.h, Src/Zle/zle_params.c, Src/Zle/zle_utils.c:
	implement $UNDO_CHANGE_NO and argument to undo widget.

2012-03-25  Mikael Magnusson  <mikachu@gmail.com>

	* Jesper Nygårds: 30378: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_gradle: new gradle completion.

2012-03-24  Mikael Magnusson  <mikachu@gmail.com>

	* 30371: Completion/Unix/Command/_ssh: You can specify -i
	multiple times.

	* 30372: Completion/Unix/Command/_tmux: Redirect error output
	produced when no tmux server is running to /dev/null.

	* 30368: Completion/Unix/Command/_tmux: Make completion work
	when an unambiguous prefix for a known subcommand is given, as
	in 'tmux att -<tab>'.

2012-03-23  Simon Ruderich  <simon@ruderich.org>

	* 30366: Misc/vcs_info-examples: Fix outdated quilt examples.
	* 30367: Doc/Zsh/contrib.yo: vcs_info, mention settings used for
	patch-format/nopatch-format.

2012-03-13  Peter Stephenson  <pws@csr.com>

	* Luka Perkov: 30354: Completion/Unix/Command/_quilt: update

	* 30351 changed as in 30352: Src/params.c, Src/utils.c: metafy
	scalar and array parameter values as they are imported from
	strings defined outside zsh.

2012-03-07  Peter Stephenson  <pws@csr.com>

	* users/16865: Doc/Zsh/cond.yo: note that -eq and friends are
	less convenient for purely numeric work than conditional
	expressions.

2012-03-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Alexey: 30322: Completion/Unix/Command/_xmlsoft: accept more
	file types.

2012-03-06  Barton E. Schaefer  <schaefer@zsh.org>

	* 30320: Doc/Zsh/builtins.yo, Src/builtin.c, Src/init.c,
	Src/options.c: "emulate" accepts invocation-time setopt flags
	after the shell name, in addition to "-c command".

	* 30320 (bonus): Doc/Zsh/params.yo: document interaction of
	sun_keyboard_hack with the KEYBOARD_HACK paramter.

	* 30320 (misc.): Etc/FAQ.yo: rectify a minor omission.

2012-03-05  Clint Adams  <clint@zsh.org>

	* 30314: Completion/Unix/Command/_ssh: add completion for
	ssh-copy-id.

	* 30316: Completion/Unix/Type/_pdf: complete .pdf for evince and
	epdfview.

	* 30317: Completion/Unix/Command/_git: complete git merge --ff-only

2012-03-05  Peter Stephenson  <pws@csr.com>

	* 30307 plus change suggested by Wayne in 30309: configure.ac,
	Src/exec.c, Src/glob.c, Src/prompt.c, Src/utils.c,
	Src/Modules/parameter.c: use %lld format where available when
	zlong is long long.

2012-03-01  Peter Stephenson  <pws@csr.com>

	* 30303: Doc/builtins.yo, Src/options.c: emulate executed inside
	a function marked for execution tracing enables xtrace.

2012-02-29  Barton E. Schaefer  <schaefer@zsh.org>

	* 30272 (tweaked): Src/exec.c: most failures of fork() cause
	non-interactive shells to exit nonzero; bad options to "exec"
	cause exit under POSIX_BUILTINS behavior.

	* unposted (see users/16715): Doc/Zsh/options.yo: document the
	effects of HASH_LIST_ALL on spelling correction.

	* 30184: Src/hashtable.c: the HASH_EXECUTABLES_ONLY test matches
	the test used during path search in exec.c:iscom().

	* unposted (see 30090): Functions/Misc/add-zsh-hook: add -h and
	-L options for help text and a list of extant hooks respectively.

	* unposted (see users/16697): Functions/Misc/zkbd: select a more
	reasonable output file name when the DISPLAY variable refers to a
	local socket file (MacOS); fix problem with writing the output
	file when the user overrides the default value of TERM.

2012-02-29  Mikael Magnusson  <mikachu@gmail.com>

	* 30276: Src/glob.c: Use zlong rather than int when calculating
	brace expansions of the form {1..9}.

2012-02-29  Peter Stephenson  <pws@csr.com>

	* 30299: Src/subst.c, Test/D04parameter.ztst: "$*" was split
	in SHWORDSPLIT if IFS was unset or empty.

2012-02-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Alexey I. Froloff: 30270: Test/C02cond.ztst: we don't care
	about errors from df when testing whether the file system has
	noatime.

	* unposted: Config/version.mk: Update version to 4.3.17-dev-0 to
	avoid clash with release, also fix incorrect year noticed by
	Darryl Zurn.

2012-02-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: 4.3.17.

2012-02-22  Peter Stephenson  <pws@csr.com>

	* 30238 with small fixes: Doc/Zsh/jobs.yo: document the fork
	behaviour on suspending complex builtin execution.

2012-02-20  Barton E. Schaefer  <schaefer@zsh.org>

	* 30242: Src/subst.c, Test/D04parameter.ztst: use PREFORK_SINGLE
	for the right-hand side of ${...=...} when SH_WORD_SPLIT is in
	effect (POSIX emulation).

2012-02-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Etc/Config.yo, Completion/X/Type/.distfiles,
	Test/.distfiles: 4.3.16.

2012-02-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30231 plus Mikael's change in 30232: NEWS, README, Etc/FAQ.yo:
	updates for 4.3.16.

2012-02-14  Oliver Kiddle  <opk@zsh.org>

	* 30198: Completion/Unix/Command/_sudo, Doc/Zsh/compsys.yo:
	fix environ style lookup to be done in conventional manner

	* Mikael: Completion/Debian/Command/_dpkg: fix dpkg-deb
	completion broken by 30199

2012-02-14  Peter Stephenson  <pws@csr.com>

	* users/16760: Functions/Zle/url-quote-magic: make reply
	local for the benefit of styles.

2012-02-13  Frank Terbeck  <ft@bewatermyfriend.org>

	* 30214: Functions/Prompts/prompt_redhat_setup: Fix quoting in
	`redhat' prompt.

2012-02-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30203 (plus rename PF_ flags to PREFORK_): Src/exec.c,
	Src/glob.c, Src/subst.c, Src/zsh.h, Test/D04parameter.ztst:
	Pass sh-wordsplitting instructions to nested parameter
	substitution by flags, avoiding side effects of explicitly
	changing the option.

2012-02-11  Mikael Magnusson  <mikachu@gmail.com>

	* 30206: Completion/Unix/Command/_ldd: Fix ldd completion broken by
	previous commit.

2012-02-10  Oliver Kiddle  <opk@zsh.org>

	* 30199: Completion/Debian/Command/_pbuilder,
	Completion/Darwin/Command/_defaults, Completion/Darwin/Command/_fink,
	Completion/Darwin/Command/_hdiutil, Completion/Debian/Command/_dak,
	Completion/Debian/Command/_debdiff, Completion/Debian/Command/_dpkg,
	Completion/Debian/Command/_linda, Completion/Debian/Command/_lintian,
	Completion/Debian/Command/_piuparts,
	Completion/Linux/Command/_modutils,
	Completion/Mandriva/Command/_urpmi,
	Completion/Unix/Command/_bittorrent,
	Completion/Unix/Command/_bogofilter, Completion/Unix/Command/_cdrdao,
	Completion/Unix/Command/_cplay, Completion/Unix/Command/_git,
	Completion/Unix/Command/_hg, Completion/Unix/Command/_ldd,
	Completion/Unix/Command/_metaflac, Completion/Unix/Command/_pax,
	Completion/Unix/Command/_rubber, Completion/Unix/Command/_sisu,
	Completion/Unix/Command/_texinfo, Completion/Unix/Command/_vim,
	Completion/Unix/Command/_vorbiscomment,
	Completion/Unix/Command/_xmms2:
	add (-.) to many completion _files globs

	* 30197: Completion/Unix/Command/_subversion: complete changelists

	* 30177: Completion/X/Command/_xterm,
	Completion/X/Type/_xft_fonts: completion for fontconfig fonts

2012-02-09  Barton E. Schaefer  <schaefer@zsh.org>

	* 30193: Src/Zle/compcore.c: remnulargs() after poking into string
	in case length changes.

2012-02-08  Peter Stephenson  <pws@csr.com>

	* Timothy Redaelli: 30187: Src/hist.c: file name manipulations
	in history can return NULL if HAVE_CANONICALIZE_FILE_NAME.

2012-02-07  Peter Stephenson  <pws@csr.com>

	* Holger Macht via Ismail: 30185: Src/Zle/complete.mdd: add
	missing openSUSE file locations.

2012-02-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30127: Src/builtin.c: forbid executing history lines via fc in
	the wrong order.

2012-02-03  Peter Stephenson  <pws@csr.com>

	* Mariusz Glebocki: 30179: Completion/Unix/Type/_services:
	suppress stderr for service list.

2012-02-01  Frank Terbeck  <ft@bewatermyfriend.org>

	* A.Costa: unposted: Doc/Zsh/grammar.yo, Etc/ChangeLog-3.1: Fix
	typo to "definition".

2012-01-31  Peter Stephenson  <pws@csr.com>

	* seiler via Ismail: 30174: Completion/Unix/Command/_osc,
	Completion/openSUSE/Command/_osc: update.

	* Felipe: 30158: Test/.distfiles, Test/compgentest,
	Test/Y04compgen.ztst: compgen test is not useful with current
	bashcopmpinit.

2012-01-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	*  Richard Hartmann: 30140: Completion/X/Command/_mplayer:
	whitespace fix.

	* Felipe Contreras: 30131, 30132, 30133, 30134, 30135,
	30136, 30137: Completion/bashcompinit: various improvements to
	bash-like behaviour.

2012-01-23  Peter Stephenson  <pws@csr.com>

	* Ben: 30118: Completion/Unix/Command/_sqlite,
	Completion/Unix/Command/.distfiles: new sqlite completion.

2012-01-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Ben: 30117 (moved directory): Completion/X/Command/_xclip,
	Completion/X/Command/.distfiles: new completion.

2012-01-19  Frank Terbeck  <ft@bewatermyfriend.org>

	* 30114: Functions/VCS_Info/VCS_INFO_check_com: Remove a
	superfluous stat().

2012-01-16  Frank Terbeck  <ft@bewatermyfriend.org>

	* 30111: Src/exec.c: Fix segfaults with exec options.

2012-01-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Richard Hartmann: 30110: Completion/Unix/Command/_vcsh,
	Completion/Unix/Command/.distfiles: new completion.

2012-01-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Stepan Koltsov: 30105: Completion/Unix/Command/_stgit: fix
	delete completion.

2012-01-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/16711: Completion/Unix/Type/_path_commands: try to take
	account of PATH_DIRS option in command completion.

	* 30101: Doc/Zsh/options.yo, Src/hashtable.c, Src/options.c,
	Src/zsh.h: add HASH_EXECUTABLES_ONLY option, off by default to
	avoid problems with huge paths and remote directories.

2012-01-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30098: Jun T.: Src/params.c: more minimal alternative to
	30079, don't set LANG if LC_ALL set.

2012-01-06  Peter Stephenson  <pws@csr.com>

	* Src/Modules/pcre.c (cond_pcre_match): unposted: fix (harmless)
	warning with uninitialised variable.

2012-01-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Christian Höltje: 30087: Functions/Prompts/promptinit: remove
	any hooks for a prompt theme when removing it.

	* 30084: Doc/Zsh/zle.yo, Src/init.c, Src/Zle/zle_main.c,
	Src/Zle/zle_refresh.c, Src/Zle/zle_thingy.c: `zle -T tc func'
	defines function to be used insted of termcap output for
	testing.

	* 30081: Completion/Base/Core/_main_complete: remove necessity
	to have IGNORE_CLOSE_BRACES unset when loaded.

2012-01-04  Frank Terbeck  <ft@bewatermyfriend.org>

	* 30079: Src/params.c: Restore `LC_ALL' when setting `LANG'.

2012-01-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30084: Src/init.c: zsfree(argzero) before we set it again
	following ztrdup() in parseargs().

2012-01-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 30073 (plus comment): Src/Zle/zle_main.c: use queue_signals()
	around critical first call to zrefresh() after zleactive = 1, to
	prevent adjustwinsize() loop reported on FreeBSD.

2011-12-30  Frank Terbeck  <ft@bewatermyfriend.org>

	* 30048: Test/C02cond.ztst: Avoid [[ -N ... ]] on file-systems
	mounted `noatime', if possible.

	* 30046: Functions/VCS_Info/Backends/VCS_INFO_get_data_svn: Fix
	support for subversion version 1.7.

2011-12-27  Barton E. Schaefer  <schaefer@zsh.org>

	* 30069: Doc/Zsh/options.yo: replace empty parens with
	LPAR()RPAR().

2011-12-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30041: Src/subst.c: the offset hack to make
	${foo:offset:length} bash compatible with positional parameters
	doesn't apply when we're indexing into characters of one
	positional parameter.

	* T.C. Hollingsworth: 30036: Completion/Unix/Command/_systemctl:
	new arguments.

2011-12-20  Barton E. Schaefer  <schaefer@zsh.org>

	* 30033: Src/Zle/zle_keymap.c: silence valgrind warnings about
	uninitialized values.

2011-12-19  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: update version to 4.3.15-dev-0 to
	avoid dev version clashing with installation.

2011-12-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: release 4.3.15.

2011-12-16  Peter Stephenson  <pws@csr.com>

	* Simon Olofsson: 30028: Completion/Unix/Command/_subversion:
	fix matching of subversion help text.

2011-12-14  Mikael Magnusson  <mikachu@gmail.com>

	* 30021: Completion/Zsh/Type/_globquals: Add d flag (see 29991),
	show what unit the digits are entered in as a hint that the
	default is also days.

	* 29783: Completion/Debian/Command/_update-alternatives: Add
	more options.

2011-12-13  Mikael Magnusson  <mikachu@gmail.com>

	* 29998: Completion/Unix/Command/_git: fix a typo (--rerbose).

	* 30019: Completion/Unix/Command/_tar: fix parsing of argument
	to -C.

2011-12-13  Barton E. Schaefer  <schaefer@zsh.org>

	* 30020: Functions/Prompts/promptinit: prevent prompt_opts and
	zle_highlight from leaking out of prompt_preview_theme.

	* 30012: Completion/Base/Core/_main_complete,
	Completion/Base/Utility/_arguments,
	Completion/Base/Utility/_values, Completion/Zsh/Command/_zle,
	Doc/Zsh/compsys.yo: add $state_descr which parallels the $state
	array in the same way that $context does, to make the "message"
	part of each _arguments "optarg" specification available to
	the caller's state handler.  Used in _zle as the description
	passed to _wanted.

2011-12-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 30000 plus a couple of comments: Src/exec.c: Better POSIXJOBS
	behaviour: don't restore default behaviour for SIGTTOU etc. if
	we're still doing job handling, and only continue with job
	handling if this is a (...) subshell.

2011-12-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* discussed in 29984: Doc/Zsh/compsys.yo: use m+7 for files
	"more than a week old" since w+1 is a bit counterintuitive.

	* 29991: Doc/Zsh/expn.yo, Src/glob.c: allow explicit 'd' for
	days in time qualifiers.

2011-12-10  Mikael Magnusson  <mikachu@gmail.com>

	* 29962: Completion/Unix/Command/_ssh: Actually return ret.

	* 29961: Completion/Unix/Command/_ssh: Extend option completion.

2011-12-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* GI: 29977: Completion/Linux/Command/_modutils: caching and
	function definition fixes.

2011-12-09  Simon Ruderich  <simon@ruderich.org>

	* 29918: Completion: Add new _remote_files() helper and use it to
	reduce code duplication.

	* 29917: Completion/Unix/Command/_ssh: Tabs to spaces.

2011-12-09  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Doc/Zsh/compsys.yo: Remove duplicated 'the'.

	* 29409: Completion/X/Command/_x_utils: Add completion for xprop and
	xlsatoms.

2011-12-09  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/compinit: add NO_ignoreclosebraces to
	options needed in completion.

	* users/16614: config.guess, config.sub: update from automake
	1.11.1.

2011-12-09  Mikael Magnusson  <mikachu@gmail.com>

	* 29876: Completion/Unix/Command/_getent: Update getent completion
	to work when additional output comes after the databases.

2011-12-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29955 with bits pointed out by Mikael and Bart:
	Doc/Zsh/grammar.yo, Doc/Zsh/options.yo, Src/lex.c,
	Src/options.c, Src/zsh.h, Test/E01options.ztst: add
	IGNORE_CLOSE_BRACES option.

2011-12-08  Peter Stephenson  <pws@csr.com>

	* 29928: Test/A04redirect.ztst: belated commit to
	fix OpenBSD test failure.

2011-12-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Etc/version.mk: update version to 4.3.14-dev-0 to
	avoid installs clashing with release.

2011-12-07  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 29952: Src/glob.c: fix cut'n'paste error in nanosecond
	timestamp support

2011-12-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Config/version.mk: release 4.3.14.

2011-12-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29940: Src/utils.c (metafy): null termination shouldn't
	be applied to original buffer if not to be modified.

	* From Stef VAN VLIERBERGHE: 29934: Src/lex.c (add): use of
	uninitialised memory when lexer needed to reallocate token.

2011-12-02  Peter Stephenson  <pws@csr.com>

	* unposted: Test/B01cd.ztst: fix documentation for '*'
	test output syntax.

2011-12-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29924: Test/A04redirect.ztst, Test/B01cd.ztst, Test/ztst.zsh:
	add ability to match output of tests using patterns.

2011-12-01  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_nm: also complete
	directories.

	* 29923: Test/A04redirect.ztst: work around variant message from
	strerror() for invalid file descriptor.

2011-11-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Config/version.mk: 4.3.13 release.

2011-11-28  Peter Stephenson  <pws@csr.com>

	* Ismail Dönmez: 29920: Src/Subst.c: error with arithmetic
	substitution with NO_EXEC.

2011-11-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Config/version.mk: 4.3.12-test-3.

2011-11-24  Simon Ruderich  <simon@ruderich.org>

	* 29916: Completion/Unix/Command/_git: Prevent clash with
	_remote_files() in _ssh.

2011-11-24  Peter Stephenson  <pws@csr.com>

	* 29915: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_nm: new nm completion.

2011-11-23  Peter Stephenson  <pws@csr.com>

	* Ignacy Gawędzki: 29912: Completion/Unix/Command/_ssh: add "--"
	to end options to ls.

2011-11-21  Peter Stephenson  <pws@csr.com>

	* Foudil Brétel: 29911: add --no-legend support (v37+); multiple
	bug fixes (aliases, array range); workaround compadd bug
	(compadd handles its own options)

2011-11-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* gi1242+zsh: users/16587: Completion/Unix/Command_lp: tidy up.

2011-11-18  Peter Stephenson  <pws@csr.com>

	* 29908: Doc/Zsh/contrib.yo, Functions/MIME/.distfiles,
	Functions/MIME/zsh-mime-contexts, Functions/MIME/zsh-mime-handler:
	make MIME functions handle contexts with stacked suffixes such
	as .pdf.gz.

2011-11-17  Peter Stephenson  <pws@csr.com>

	* Jun T.: 29907: Src/Modules/pcre.c: remove declaration of
	unused variable.

2011-11-15  Barton E. Schaefer  <schaefer@zsh.org>

	* users/16581: Src/utils.c: it seems wrong to shortcut correction
	of words not in command position by comparing them to the command
	tables, so don't; if a command correction is rejected, reset the
	incremental path hashing so the new command can be "learned".

2011-11-14  Peter Stephenson  <pws@csr.com>

	* gi1242: users/16578: Completion/Unix/Command/_lp: lpadmin,
	lpinfo and other changes.

2011-11-09  Frank Terbeck  <ft@bewatermyfriend.org>

	* Akinori MUSHA: 29900:
	Functions/VCS_Info/Backends/VCS_INFO_detect_svn: Adjust detection
	to support subversion 1.7.

2011-11-08  Peter Stephenson  <pws@csr.com>

	* Haakon Riiser: 29895, 29887: Completion/Unix/Command/_ffmpeg,
	Completion/Linux/Command/_nmcli (plus
	Completion/Linux/Command/.distfiles): update and new
	NetworkManager client completion.

2011-11-07  Simon Ruderich  <simon@ruderich.org>

	* 29893: Completion/Unix/Command/_ssh: Update (mostly) for 5.9.

2011-11-07  Peter Stephenson  <pws@csr.com>

	* 29894: Doc/Zsh/contrib.yo, Functions/Zle/replace-string:
	display previous replacement and reuse if source string is empty.

2011-11-04  Peter Stephenson  <pws@csr.com>

	* 29892: Functions/Zle/read-from-minibuffer,
	Functions/Zle/replace-string: fix regular expression
	replacements right of the cursor; make save and restore
	in read-from-minibuffer more automated.

	* 29891: Doc/Zsh/zle.yo, Src/Zle/zle_thingy.c: allow "zle -lL"
	with arguments to list in -L format.

2011-10-31  Peter Stephenson  <pws@csr.com>

	* Jun T: 29883: Src/Builtins/rlimits.c, Src/Modules/zftp.c: cast
	to type in printf to work around cases where types aren't
	properly distinguished.

2011-10-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/16547: Completion/Unix/Command/_perforce: quote
	arguments with colon in from _describe.

2011-10-28  Peter Stephenson  <pws@csr.com>

	* Src/module.c (do_load_module): 29879: (via takimoto-j): Metafy
	dlerror message to avoid corruption.

2011-10-26  Phil Pennock  <pdpennock@users.sourceforge.net>

	* 29867: Bart Schaefer: Test/V07pcre.ztst: exit early with
	unimplemented status if zsh/pcre not available; combined with
	Peter's 29865 fix, should make PCRE testing robust.

2011-10-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29844, 29845: Src/exec.c, Test/A04redirect.ztst: remove bogus
	error on closing fd's 0 to 9; update test.

2011-10-26  Peter Stephenson  <pws@csr.com>

	* 29865: Src/Modules/pcre.mdd: don't compile if no pcre-config.

	* 29859: Src/Zle/Complete.c: compadd handles its own options.

2011-10-24  Peter Stephenson  <pws@csr.com>

	* Jérémie Roquet: c.f. users/16541: Doc/Zsh/cond.yo:
	should be "filename generation", not "file generation".

	* Foudil Brétel: 29842: Completion/Unix/Command/_systemctl:
	major rewrite.

2011-10-24  Phil Pennock  <pdpennock@users.sourceforge.net>

	* 29838: Src/Modules/pcre.c: metafy/unmetafy strings, to
	correctly handle non-ASCII characters in UTF-8 for regexp
	matches.

	* unposted: Test/V07pcre.ztst: some PCRE tests

2011-10-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/16492: MACHINES: OpenIndiana issue.

2011-10-22  Simon Ruderich  <simon@ruderich.org>

	* 29823: Completion/Unix/Command/_perl: Update for 5.14.1.

2011-10-19  Frank Terbeck  <ft@bewatermyfriend.org>

	* Suraj N. Kurapati: 29828: Misc/vcs_info-examples: Mention
	different ways to handle remote branch names in
	`vi-git-remotebranch()'.

2011-10-17  Peter Stephenson  <pws@csr.com>

	* unposted: NEWS, README, Config/version.mk, Etc/.distfiles,
	Etc/FAQ.yo, Etc/relnote_4.3.12.txt: tidy up and update for
	4.3.12-test-2.

	* unposted: Completion/Unix/Command/_perforce: small
	documentation update.

2011-10-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29820: Doc/Zsh/compsys.yo,
	Completion/Base/Utility/_pick_variant: -b option to match
	builtins.

2011-10-12  Mikael Magnusson  <mikachu@gmail.com>

	* 29815: Doc/Makefile.in: include mod_langinfo in documentation.

2011-09-25  Barton E. Schaefer  <schaefer@zsh.org>

	* 29799: Src/utils.c: swap order of RESET_PROMPT / REFRESH in
	adjustwinsize() so that the cursor is moved to the start of a
	multi-line prompt before the prompt is actually displayed.

	* 29769: Src/signals.c: handle thisjob == -1 (no foreground job)
	when checking for whether a background job is allowed to suspend.

	* unposted: Doc/Zsh/modules.yo: cross-reference zmodload.

2011-09-22  Peter Stephenson  <pws@csr.com>

	* Daniel Friesel: 29796: Completion/X/Command/_mplayer: complete
	.webm.

2011-09-21  Peter Stephenson  <pws@csr.com>

	* Luka Perkov: 29788: Completion/Unix/Command/_quilt:
	improved quilt completion.

2011-09-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/16375: Src/Zle/complist.c: initialise number of
	references each time for multiple match tests when
	highlighting.

2011-09-16  Mikael Magnusson  <mikachu@gmail.com>

	* 29764, 29765: Completion/Unix/Command/_pgrep: use _users and
	_groups rather than reimplementing them, use _wanted instead
	of plain compadd to get descriptions, return 0 on success,
	fix conditions on -f and -x, complete pts/* for -t too.

2011-09-15  Peter Stephenson  <pws@csr.com>

	* 29776 (modified as noted): Src/lex.c, Test/D08cmdsubst.ztst:
	double quotes are not special in double-quote-style parsing
	if the end character is something else.

	* 29773: Marco Hinz: Completion/Unix/Type/_perl_modules:
	complete some missed modules.

2011-09-10  Clint Adams  <clint@zsh.org>

	* 29762: Completion/Debian/Command/_bts: bts completion tag
	update from Ansgar Burchardt.

2011-09-10  Barton E. Schaefer  <schaefer@zsh.org>

	* 29760: Completion/compaudit: declare _i_ulwdirs and make sure
	it is correctly referenced.

2011-09-07  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: updates for
	2010.2 release.

2011-09-07  Simon Ruderich  <simon@ruderich.org>

	* 29756: Doc/Zsh/params.yo: DIRSTACKSIZE is unlimited by default.

	* 29757: Doc/Zsh/compsys.yo: Remove superfluous brace.

2011-09-07  Mikael Magnusson  <mikachu@gmail.com>

	* 29755: Completion/Unix/Command/_ssh: add -O stop to to _ssh.

2011-09-06  Mikael Magnusson  <mikachu@gmail.com>

	* 29736: Doc/Zsh/mod_zutil.yo: mention when zstyle -t returns 1.

	* 29738: Completion/Unix/Command/_ssh: add PreferredAuthentications
	completion.

	* 29739: Completion/Unix/Command/_rsync: redefine _rsync(), make
	-e accept cuddled arguments.

	* 29740: Completion/Unix/Command/_wget: add --content-disposition.

	* 29741: Completion/Zsh/Command/_zattr: add ret=0, fix filename
	globbing like in 27658 for _zip.

	* 29733: Jonathan Kolberg: Completion/Debian/Command/_apt: add
	completion for apt-get changelog.

2011-09-05  Barton E. Schaefer  <schaefer@zsh.org>

	* users/16302: Completion/Unix/Type/_path_files: pattern matching
	for plain files (e.g., *.pdf for xpdf completion) was broken by
	29444.  Hopefully this does not re-break directory patterns.

2011-08-30  Simon Ruderich  <simon@ruderich.org>

	* 29745: Mikael Magnusson: Completion/X/Command/_mplayer: fix -ss
	completion.

2011-08-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29744: Src/builtin.c: don't mess up non '-A' case in
	29731.

2011-08-29  Barton E. Schaefer  <schaefer@zsh.org>

	* users/16291: Functions/Prompts/prompt_bart_setup: revert to
	using history text in non-"fg" case to avoid alias expansion.

2011-08-29  Mikael Magnusson  <mikachu@gmail.com>

	* 29722: Completion/X/Command/_mplayer: escape colon.

	* 29706: Completion/X/Command/_mplayer: add missing ret=0.

2011-08-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29731: Src/builtin.c, Test/B04read.ztst: fix output from `read
	-AE' and test that and `read -Ae'.

	* users/16289: Doc/Zsh/expn.yo, Src/exec.c, Src/jobs.c: don't
	delete temporary files when disowning and document this.

2011-08-20  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted: Functions/Zle/.distfiles: add move-line-in-buffer

	* 29711: Completion/compaudit: avoid calling potentially-slow
	"getent group" unless group-writable directories are found.

2011-08-20  Nikolai Weibull  <now@bitwi.se>

	* 29707: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_ln: New _ln completer.

2011-08-18  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Completion/Linux/Command/.distfiles,
	Completion/Linux/Command/_schedtool,
	Completion/Zsh/Command/.distfiles,
	Completion/Zsh/Command/_schedtool: move _schedtool completion
	to correct directory.

	* 29705: Completion/Unix/Command/_iconv: add correct number of
	slashes when completing //TRANSLIT.

2011-08-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29703: Src/exec.c, Src/subst.c, Test/D03procsubst.ztst: 

	* users/16253, users/16255: Src/utils.c, Test/D04parameter.ztst:
	A nulstring should be split like an empty string.

	* Anthony R Fletcher: users/16260:
	Completion/Unix/Command/_systemctl: new completion.

2011-08-17  Nikolai Weibull  <now@bitwi.se>

	* 29698: Completion/Unix/Command/_git: Complete diff options for git
	log.

2011-08-17  Mikael Magnusson  <mikachu@gmail.com>

	* 29681: Src/Zle/zle_refresh.c: consistently use [] to access
	region_highlights.

	* 29682: Completion/Zsh/Command/.distfiles,
	Completion/Zsh/Command/_schedtool: new _schedtool completer.

	* 29683: Completion/Unix/Command/_ssh: add -O forward to _ssh.

	* Daniel Friesel: 29690: Completion/Linux/Command/_cryptsetup,
	Completion/Unix/Command/_twidge: new _twidge and _cryptsetup
	completers.

2011-08-16  Barton E. Schaefer  <schaefer@zsh.org>

	* 29694: Src/hist.c: Don't overwrite the current history word if
	we aren't actually expanding an alias or history event.
	
	* users/16251: Functions/Prompts/prompt_bart_setup: use a preexec
	hook to replace "fg" et al. with the jobtext of the resumed job.

2011-08-16  Wayne Davison  <wayned@users.sourceforge.net>

	* 29650: Src/jobs.c: don't lose the the time info after a
	suspend+restore.

2011-08-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/Modules/datetime.c: use pm->node.nam to get
	parameter names for errors.

2011-08-14  Mikael Magnusson  <mikachu@gmail.com>

	* 29673: Doc/Zsh/compsys.yo: clarify what 'other' in the
	ignore-line style does.

	* 28852: Misc/zargs, Zle/match-words-by-style: use syntax that
	doesn't depend on SHORT_LOOPS being set.

	* unposted: Src/hist.c: fix a typo in a comment.

	* unposted: Src/jobs.c: fix capitalized word in the middle of
	a sentence.

	* 29388, 29680: Doc/Zsh/expn.yo: clarify note about e:string:
	quoting.

	* 29504: Doc/Zsh/expn.yo: note when (#cN,M) can't be used in
	place of # or ##.

2011-08-14  Barton E. Schaefer  <schaefer@zsh.org>

	* 29677: Src/exec.c, Src/signals.c, Src/zsh.h: flag jobs that are
	builtins running in the current shell, and if they control a
	pipeline, do not allow the external processes in that pipeline to
	become suspended when the foreground shell cannot suspend.

2011-08-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Src/Modules/datetime.mdd: unposted: also fix the autofeatures.

	* Src/params.c: unposted: Src/params.c, Test/V04features.ztst:
	fix some tests I broke.

	* Src/subst.c: 29674: Src/Modules/datetime.c,
	Doc/Zsh/mod_datetime.yo: add $epochtime array.

2011-08-10  Peter Stephenson  <pws@csr.com>

	* 29663: configure.ac, Src/module.c, Src/Modules/datetime.c,
	Doc/Zsh/mod_datetime.yo: add $EPOCHREALTIME for time in
	double precision floating point.

2011-08-04  Peter Stephenson  <pws@csr.com>

	* 29643: Src/signals.c, Src/utils.c, Src/zle_main.c: set
	incompfunc to zero when executing hook or trap function.

2011-08-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29661: Doc/Zsh/redirect.yo: Improve the documentation for
	{var}>... redirections.

2011-08-09  Barton E. Schaefer  <schaefer@zsh.org>

	* 29654: Src/jobs.c: "wait" should resume stopped jobs identified
	by process ID as well as by job number.

	* 29654: Src/exec.c: don't hide the job table entry for the left
	side of a pipline that ends in a shell builtin.  This change may
	be backed out if the patch in 29660 can be improved.

2011-08-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29644: Functions/Chpwd/zsh_directory_name_cdr,
	Src/Zle/compcore.c, Src/Zle/zle_tricky.c: Work round a bug in
	_describe, plus a new comment and some more braces.

	* 29633: Doc/Zsh/func.yo, Src/parse.c, Test/C04funcdef.ztst: be
	more careful that anonymous function syntax doesn't mess up
	working syntax with other functions.

2011-08-03  Peter Stephenson  <pws@csr.com>

	* 29635: Completion/Base/Widget/_complete_debug: Improve file
	descriptor handling and standardise syntax.

2011-07-29  Frank Terbeck  <ft@bewatermyfriend.org>

	* Luka Perkov: 29624: Completion/Unix/Command/_quilt: Improve
	`push' and `pop' completion.

2011-07-28  Peter Stephenson  <pws@csr.com>

	* 29626: Src/parse.c, Test/C04funcdef.ztst: arguments to
	anonymous functions shouldn't be parsed as command words.

	* 29602 and subsequent changes: Doc/Zsh/expn.yo: clarify meaning
	of filename extension in :r and :e modifiers (which were
	slightly inconsistent).

2011-07-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29561: Test/A04redirect.ztst: this bit didn't get committed,
	somehow.

2011-07-27  Mikael Magnusson  <mikachu@gmail.com>

	* 29618: Completion/Linux/Command/_ethtool,
	Completion/Zsh/Type/_file_descriptors: Fix some syntax to not depend
	on SHORT_LOOPS being set.

2011-07-25  Peter Stephenson  <pws@csr.com>

	* 29561: Src/exec.c, Src/utils.c, Test/A04redirect.ztst: Allow
	closing of file descriptors not recorded internally by the shell.

2011-07-22  Mikael Magnusson  <mikachu@gmail.com>

	* 29596: Completion/compinit: Fix syntax to work with KSH_ARRAYS
	set.

2011-07-22  Nikolai Weibull  <now@bitwi.se>

	* unposted: Completion/Unix/Command/_git: Use _files, not _path_files.

	* 29582: Completion/Unix/Command/_git: Alter the way that commands and
	aliases are listed when both are requested.

	* 29589: Completion/Unix/Command/_git,
	Completion/Debian/Command/_git-buildpackage: Use #description instead
	of #desc: for description of third-party commands.  Also, refactor the
	code to match the rest of the file.

2011-07-21  Nikolai Weibull  <now@bitwi.se>

	* 29272: Completion/Unix/Command/_git: Use return values correctly
	accross all completion functions.

	* unposted: Completion/Unix/Command/_git: Move _gitk and _tig to
	correct location.

	* unposted: Completion/Unix/Command/_git: Fix bug in git-add completion
	that prevented -f option from being used correctly.

	* unposted: Completion/Unix/Command/_git: Update git-add completion to
	not complete already given file arguments and also to not list file
	completions if an option is being completed.

	* unposted: Completion/Unix/Command/_git: Adjust some TODO items.

2011-07-19  Peter Stephenson  <pws@csr.com>

	* 29555: Src/exec.c: fix problem that shell failed to use file
	descriptor opened in parent if beyond max_zsh_fd.

2011-07-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/16131: Src/hist.c: skip reading an empty history file.

2011-07-18  Peter Stephenson  <pws@csr.com>

	* Matthieu Baerts: 29547: Completion/Unix/Command/_bzr: cdiff
	subcommand.

2011-07-12  Peter Stephenson  <pws@csr.com>

	* 29543: Src/hist.c: saved history lines with backslash-newline
	in the middle of words confused histlexwords.

	* 29542: Src/hist.c, Src/Zle/zle_main.c: remove test when
	initialising history that could cause crashes (and was probably
	never useful); ensure ZLE returns NULL if there's an error.

2011-07-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Eric Moors: 29531: Completion/Unix/Command/_adb: completion
	for Android debugger.

2011-07-03  Frank Terbeck  <ft@bewatermyfriend.org>

	* unposted: Doc/Zsh/contrib.yo: Fix typo "paramter". Caught by
	debian's lintian.

2011-07-01  Peter Stephenson  <pws@csr.com>

	* 29530: Src/subst.c, Test/E01options.ztst: ${..?..} shouldn't
	cause an error with NO_EXEC option.

2011-07-01  Frank Terbeck  <ft@bewatermyfriend.org>

	* 29518: Completion/Unix/Command/_git: Fall back to file
	completion for unknown sub-commands.

	* 29527: Completion/Unix/Command/_git: Make file-completion
	fallback optional.

	* 29519: Completion/Unix/Command/_git: Pick up addon completions
	from $fpath.

	* 29521: Completion/Unix/Command/_git: Add `user-commands' support
	again.

	* 29523: Completion/Debian/Command/_git-buildpackage: Use "#desc:"
	line for _git third-party add-on completion description.

	* Daniel Bolton: 29529: Completion/Debian/Command/_aptitude: Complete
	format specifiers with the `-F' option.

2011-06-30  Frank Terbeck  <ft@bewatermyfriend.org>

	* 29526: Functions/VCS_Info/vcs_info: Set `max-exports' early
	after certain `start-up' hooks.

2011-06-28  Frank Terbeck  <ft@bewatermyfriend.org>

	* Sebastian Ramacher: 29513: Completion/Debian/Command/_apt: Add
	markauto and unmarkauto sub-commands.

2011-06-27  Peter Stephenson  <pws@csr.com>

	*  Mikael Muszynski: 29510: Completion/X/Command/_mplayer:
	complete .m4v files.

2011-06-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Axel Beckert: 29506: Doc/Zsh/params.yo: use format
	SINGLE_LINE_ZLE as elsewhere in manual.

2011-06-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29503: Src/exec.c: Missing popheap() on failed autoload.

2011-06-20  Peter Stephenson  <pws@csr.com>

	* unposted: update version to 4.3.12-dev-1 as wordcode
	now incompatible with anonymous functions.

2011-06-20  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Completion/BSD/Command/_sockstat,
	Completion/Debian/Command/_git-buildpackage,
	Completion/Unix/Command/_at, Completion/Unix/Command/_lp,
	Completion/Unix/Command/_unison, Completion/X/Command/_matlab,
	Completion/X/Command/_okular, Completion/Zsh/Function/_zargs: clean up
	completion descriptions as per Etc/completion-style-guide.

2011-06-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Luka Perkov: 29493: Completion/Unix/Type/_pdf: handle apvlv.

	* 29492: Doc/Zsh/func.yo, Src/exec.c, Src/parse.c, Src/text.c,
	Test/C04funcdef.ztst: add argument handling to anonymous functions.

	* unposted: Src/Zle/zle_refresh.c: remove additional loop
	noticed by Mikael.

	* 29491: Src/glob.c, Src/lex.c, Src/math.c, Src/params.c,
	Src/parse.c, Src/utils.c, Src/Modules/db_gdbm.c,
	Src/Zle/compcore.c, Src/Zle/complist.c, Src/Zle/zle_refresh.c,
	Src/Zle/zle_tricky.c: remove some variables set but not used.

	* 29490: Src/Builtins/rlimits.awk, Src/Builtins/rlimits.c,
	Src/Builtins/rlimits.mdd: add RLIMIT_RTTIME.

2011-06-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Michel Dos Reis: 29482: Completion/Linux/Command/_modutils:
	handle .gz kernel modules.

2011-06-16  Doug Kearns  <dougkearns@gmail.com>

	* 29483: Completion/Unix/Command/_vim: add --servername completion.

2011-06-15  Barton E. Schaefer  <schaefer@zsh.org>

	* 29481: Src/jobs.c, Src/signals.c: always return a matching job
	in findproc() [reverses 28967 and 29472], but scan the whole list
	to prefer running jobs in the rare event that one running and one
	exited job share a PID.

2011-06-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/compwid.yo: document change to brace
	parameter context in 29452/29459.

2011-06-12  Barton E. Schaefer  <schaefer@zsh.org>

	* 29472: Src/jobs.c: findproc() needs at least to also return
	stopped jobs.  See 28967.

2011-06-08  Peter Stephenson  <pws@csr.com>

	* Jeremy Sylvestre: 29468: Functions/Zle/define-composed-chars:
	add some ligatures and symbols.

2011-06-06  Peter Stephenson  <pws@csr.com>

	* 29462: Src/subst.c: fix warning with some compilers (code was
	already safe).

2011-06-05  Clint Adams  <clint@zsh.org>

	* unposted: Functions/Zle/move-line-in-buffer: clean
	the funny characters out of move-line-in-buffer.

2011-06-04  Barton E. Schaefer  <schaefer@zsh.org>

	* 29444: Completion/Unix/Type/_path_files: when called with a
	pattern to match directories, as from _files with list-dirs-first,
	do not descend into subdirectories looking for fake files unless
	some fake files have been defined.

2011-06-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29459: Completion/Zsh/Context/_brace_parameter,
	Src/Zle/compcore.c (check_param): In shell function, check for
	${( not at start of match; in C code, check for untokenized
	parentheses when in double quotes.

2011-06-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29452: Completion/Zsh/Context/_brace_parameter,
	Src/Zle/compcore.c (typo corrected): allow completion
	of parameter flags.

2011-06-03  Mikael Magnusson  <mikachu@gmail.com>

	* 29438: Completion/Zsh/Context/_subscript: adjust pattern so
	we complete dynamic directory names in command position as well.

	* 29448: Completion/Unix/Command/_initctl: complete symlinks
	to files too.

	* 29422: Test/D04parameter.ztst: Fix test for g:: to not depend
	on the current locale.

2011-06-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29451: Src/subst.c, Test/D04parameter.ztst: ${##stuff}
	removes stuff from the head of $#.

	* 29413: Doc/Zsh/builtins.yo, Src/builtin.c, Src/hist.c: print
	-S takes a single argument, applies lexical history word
	splitting, and puts it on the history.

2011-06-02  Frank Terbeck  <ft@bewatermyfriend.org>

	* 29434: Doc/Zsh/contrib.yo: Use PLUS() to avoid a + being
	silently dropped.

2011-06-01  Frank Terbeck  <ft@bewatermyfriend.org>

	* 29412: Completion/Unix/Command/_tmux: Disable sub-command
	completions if tmux is not found in `$path'.

	* Valentin Haenel: 29431: Misc/vcs_info-examples: Hook example for
	signaling untracked files in git repositories.

2011-06-01  Barton E. Schaefer  <schaefer@zsh.org>

	* users/16064: Functions/Zle/move-line-in-buffer: example widget
	for moving in multiline buffers without navigating history

	* 29416 (plus typo fixes): Doc/Zsh/contrib.yo: Fix (mis-)uses of
	var() in vcs_info documentation.

2011-05-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Config/version.mk: update version to 4.3.12-dev-0
	to avoid confusion with release.

2011-05-31  Frank Terbeck  <ft@bewatermyfriend.org>

	* Jan Pobrislo: 29411:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr: vcs_info: Major
	bzr backend update.

2011-05-31  Barton E. Schaefer  <schaefer@zsh.org>

	* 29410: Test/V01zmodload.ztst: skip autoload persistence test
	when zsh/example module is not available.

2011-05-31  Mikael Magnusson  <mikachu@gmail.com>

	* Omari Norman: users/16057: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_tree: Add completion for tree.

2011-05-31  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: release 4.3.12.

2011-05-29  Nikolai Weibull  <now@bitwi.se>

	* unposted: Completion/Unix/Command/_git: Update git-branch completion
	to deal with -r and -d correctly.

2011-05-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29403: Src/hist.c: histlexwords splitting of ";;" in case.

2011-05-27  Mikael Magnusson  <mikachu@gmail.com>

	* 28364: Doc/Zsh/zle.yo: Document that space left by wrapping
	double-width characters is highlighted with the 'special' style.

	* 29384: Completion/Base/Completer/_expand,
	Completion/Unix/Type/_have_glob_qual,
	Completion/Unix/Type/_path_files, Completion/compinit: Add
	_comp_caller_options and use it in completions that want to
	check values of options that are overwritten by _comp_options.

	* 29334: Completion/Unix/Command/_sh: Complete options for zsh with
	_arguments --.

	* 29392: Doc/Zsh/compsys.yo: Remove now-defunct use-perl style
	documentation.

	* 29387: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_at: Add completion for at and friends.

	* 29385: Doc/Zsh/compsys.yo: Document when directories and
	local-directories are used.

2011-05-27  Barton E. Schaefer  <schaefer@zsh.org>

	* 29382: Src/Modules/curses.c: apply 29374 to zccmd_input too.

2011-05-27  Mikael Magnusson  <mikachu@gmail.com>

	* 29331: NEWS: Note g:: parameter expansion flag.

	* 29365: Completion/Unix/Command/_make: redefine _make so that
	helper functions are only defined once.

	* 29376: Completion/Unix/Command/_initctl: redefine _initctl so
	that helper functions are only defined once.

	* unposted: Doc/Zsh/params.yo: Document that PROMPT_EOL_MARK can
	be empty, forgot in 28480.

	* 29329: Src/math.c: Fix undefined behaviour in function argument
	evaluation order.

2011-05-26  Peter Stephenson  <pws@csr.com>

	* unposted: Etc/CONTRIBUTORS: expand.

	* 29374: Src/Zle/zle_main.c: Exit ZLE immediately if exit
	is pending when a keypress is expected.

2011-05-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	*  Bernhard Tittelbach: 29371: Completion/Unix/Command/_initctl:
	completion for initctl and related system job management
	utilities.

2011-05-24  Barton E. Schaefer  <schaefer@zsh.org>

	* 29368: Src/exec.c: do not restore xtrerr to stderr before
	running simple commands; restore xtrerr to stderr just before
	running a function body, but after printing the trace of
	the function call itself.

	* 29367: Test/E02xtrace.ztst: update tests to fix mistaken
	assumptions introduced by 25145 and add check of redirection
	inside a function body.

2011-05-24  Mikael Magnusson  <mikachu@gmail.com>

	* 29364: Completion/Unix/Command/_make: Partial fix for
	completion in dirs with spaces and other unusual characters.

	* 29335: Completion/Linux/Command/_valgrind: Update the hack
	for --tool= completion.

	* 29338: Completion/Base/Core/_main_complete: Correct pattern
	checking for true value in insert-tab style.

2011-05-23  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: 4.3.11-dev-4.

	* 29351: Src/subst.c: need to cast non-integer
	stdarg arguments to integer to fit % prototype.

	* unposted: Completion/Unix/Command/_go: typo

	* 29341, corrected: Completion/Unix/Command/_go,
	Completion/Unix/Command/.distfiles: basic completion for
	commands associated with the Go programming language.

2011-05-22  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Doc/Zsh/compsys.yo, ChangeLog: Quote -e with tt().
	Fix some formatting in ChangeLog.

	* 29328: Completion/Redhat/Command/_rpm,
	Completion/Unix/Command/_git, Completion/Unix/Command/_gnutls,
	Completion/Unix/Command/_gpg, Completion/Unix/Command/_growisofs,
	Completion/Unix/Command/_php: Another missing backslash in _git,
	remove some not needed backslashes in array definitions.

2011-05-19  Mikael Magnusson  <mikachu@gmail.com>

	* 29224: Doc/Zsh/expn.yo, NEWS, Src/subst.c,
	Test/D04parameter.ztst: Support negative LEN in ${VAR:OFFSET:LEN}
	like bash.

	* 29261: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	Add g:: parameter expansion flag. Add note that s:: can take an
	empty string.

	* 29307, 29308 + replies: Completion/BSD/Command/_bsd_pkg,
	Completion/Base/Utility/_sep_parts, Completion/Unix/Command/_git,
	Completion/Unix/Command/_osc, Completion/Unix/Command/_perforce,
	Completion/compinit, Completion/openSUSE/Command/_osc,
	Completion/openSUSE/Command/_zypper, Doc/Zsh/builtins.yo,
	Doc/Zsh/calsys.yo, Doc/Zsh/compctl.yo, Doc/Zsh/compsys.yo,
	Doc/Zsh/compwid.yo, Doc/Zsh/contrib.yo,
	Doc/Zsh/expn.yo, Doc/Zsh/zle.yo, Etc/CONTRIBUTORS,
	Functions/Calendar/calendar_parse, Functions/Misc/sticky-note,
	Functions/TCP/tcp_read, Functions/Zftp/zfcput, Src/Zle/compctl.c,
	Src/Zle/zle_hist.c, Src/exec.c, Src/hist.c, Src/jobs.c, Src/lex.c,
	Src/math.c, Src/params.c, Src/subst.c: Fix some doubled words in
	docs and comments.

2011-05-18  Wayne Davison  <wayned@users.sourceforge.net>

	* Valentin Haenel: 29315: Completion/Unix/Command/_git: add a
	missing backslash.

2011-05-17  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted: Doc/Zsh/options.yo: tweak description of the -l (LOGIN)
	option for clarity.

	* 29313: Src/subst.c: when SHWORDSPLIT is in effect, the state of
	the (@) expansion flag depends on the value of $IFS so as to mimic
	Bourne shell join/split behavior more closely (see users/15442).

	* 29312, users/16032: Doc/Zsh/mod_zutil.yo, Src/Modules/zutil.c:
	add "zparseopts -M" which allows option descriptions to map
	synonymous option names onto a single name.

2011-05-17  Clint Adams  <clint@zsh.org>

	* 29306: Completion/Debian/Command/_make-kpkg: typo fix
	from Laurent Fousse.

2011-05-17  Frank Terbeck  <ft@bewatermyfriend.org>

	* Nikolai Weibull: 29166: Completion/Unix/Command/_git: Speed
	improvements for file completion.

2011-05-17  Nikolai Weibull  <now@bitwi.se>

	* 29273: Completion/Unix/Command/_git: Parse compadd options in
	__git_guard_number.

2011-05-14  Barton E. Schaefer  <schaefer@zsh.org>

	* 29278: Completion/Unix/Type/_path_files: fix use of the $skips
	pattern from the squeeze-slashes style.

2011-05-14  Mikael Magnusson  <mikachu@gmail.com>

	* 29271: Doc/Zsh/compwid.yo: document _alternative -O name.

2011-05-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29282: Src/mem.c: hide prototypes for ZSH_HEAP_DEBUG with
	#ifdef's.

2011-05-14  Bart Schaefer  <schaefer@zsh.org>

	* 29276: Src/zsh.h: typedef Heapid unconditionally, to prevent
	compile errors in automatically-generated header files.

2011-05-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29268: Src/Zle/compcore.c: dupstring() the value that's
	going to be used for prpre, whatever the heck that is.

	* 29267: configure.ac, Src/mem.c, Src/zsh.h, Src/Zle/comp.h,
	Src/Zle/compcore.c, Src/Zle/compctl.c, Src/Zle/complist.c,
	Src/Zle/compresult.c: add --enable-zsh-heap-debug and use
	for debugging completion matcher groups.

2011-05-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Danek: 29254: Src/cond.c, Src/Builtins/rlimits.c,
	Src/Modules/datetime.c, Src/Modules/zftp.c, Src/Zle/computil.c:
	fix some compiler warnings.

2011-05-13  Peter Stephenson  <pws@csr.com>

	*  Jérémie Roquet: 29258: Src/Zle/zle_utils.c: mark a couple
	more functions for export.

	* unposted (late commit): Completion/Unix/Command/.distfiles,
	Config/version.mk, Test/.distfiles: update for 4.3.11-dev-3.

2011-05-12  Mikael Magnusson  <mikachu@gmail.com>

	* 29245: Completion/X/Command/_xset: pass -O instead of -o
	to _describe.

	* Nikolai Weibull: 29124: Completion/Unix/Command/_git: Fix
	-l option.

	* 29205: Completion/Unix/Type/_pids: don't sort processes.

	* 29208: Src/Zle/zle_move.c: make vimatchbracket check the
	character left of the cursor when at the end of the line.

2011-05-11  Mikael Magnusson  <mikachu@gmail.com>

	* 29206: Doc/Zsh/mod_complist.yo: fix formatting.

2011-05-11  Peter Stephenson  <pws@csr.com>

	* 29217: Src/zsh.mdd: zshterm.h and zshcurses.h are now
	dependencies for the main shell.

2011-05-10  Peter Stephenson  <pws@csr.com>

	* unposted: Src/.distfiles, Src/system.h, Src/zsh.mdd,
	Src/zsh_system.h: rename system.h to zsh_system.h to ensure
	there are no clashes.

	* 29214: Src/Makemod.in.in, Src/mkmakemod.sh, Src/zsh.mdd: use
	-I to find headers in order to allow #include'ing generated
	headers from non-generated headers when the build tree is
	separate from the source tree.

	* 29191 (Danek) and 29203 (with fixes): Doc/Zsh/params.yo,
	Src/params.c: make TERMINFO variable special.

2011-05-09  Peter Stephenson  <pws@csr.com>

	* 29195: Src/.distfiles, Src/hashnameddir.c, Src/hashtable.c,
	Src/system.h, Src/zsh.mdd: Separate out hash handling for named
	directories in order to keep RCP header usage from curses to
	avoid clash on Solaris 8.

	* 29193: Src/text.c: fix variable declaration that was after
	code.

	* 29165: Src/builtin.c, Src/exec.c, Src/glob.c, Src/hashtable.c,
	Src/init.c, Src/jobs.c, Src/loop.c, Src/params.c, Src/prompt.c,
	Src/system.h, Src/utils.c, Src/Modules/files.c,
	Src/Modules/termcap.c, Src/Modules/zpty.c, Src/Zle/comp.h,
	Src/Zle/complist.c, Src/Zle/compmatch.c, Src/Zle/compresult.c,
	Src/Zle/computil.c, Src/Zle/zle_refresh.c, Src/Zle/zle_tricky.c,
	Src/Zle/zle_utils.c: Use term.h globally if needed, instead of
	just using in Modules and fudging the headers elsewhere.  Fix
	various name clashes.

2011-05-08  Barton E. Schaefer  <schaefer@zsh.org>

	* users/15986 (belated commit): Src/Modules/curses.c: handle
	EINTR in zccmd_input.

2011-05-08  Wayne Davison  <wayned@users.sourceforge.net>

	* Valentin Haenel: 29187: Completion/Unix/Command/_git: add a
	missing backslash.

2011-05-07  Barton E. Schaefer  <schaefer@zsh.org>

	* 29175 (w/comment typo fixed): Src/mem.c: optimize freeheap.

2011-05-07  Frank Terbeck  <ft@bewatermyfriend.org>

	* 29170: Doc/Zsh/contrib.yo: vcs_info: Clarify check-for-changes
	style behaviour with the mercurial backend.

	* unposted: Doc/Zsh/contrib.yo: Add missing word ("style") spotted
	by Bart.

2011-05-06  Peter Stephenson  <pws@csr.com>

	* 29163: README, Etc/FAQ.yo: update latest version claimed
	to 4.3.12.

2011-05-04  Barton E. Schaefer  <schaefer@zsh.org>

	* 29140: Completion/bashcompinit: introduce function-scope wrapper
	around the call to the bash completion function; in this wrapper,
	hide the "words" special variable so that it may be used as an
	ordinary variable by the bash completions.

2011-05-04  Peter Stephenson  <pws@csr.com>

	* Rocky Bernstein: 29135 (plus tweaks): Completion/bashcompinit,
	Test/.distfiles, Test/Y04compgen.ztst, Test/compgentest: fix and
	test "compgen -W" in bash completion.

	* unposted: NEWS: a few notes for next release.

2011-05-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Haakon Riiser: 29137: Completion/Unix/Command/_ffmpeg: better
	handling of flags.

2011-05-03  Peter Stephenson  <pws@csr.com>

	* 29134: Src/prototypes.h: change termcap prototypes for AIX
	locally until we find the header.

2011-05-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 29129: Src/exec.c: reading off end of file descriptor array
	noticed by Vincent.

2011-05-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Haakon Riiser: unposted: Completion/Unix/Command/_ffmpeg: more
	tweaks.

2011-04-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Haakon Riiser: 29100: Completion/Unix/Command/_ffmpeg: Clean
	up and add dependencies.

	* 29114: Doc/Makefile.in, Doc/Zsh/.distfiles,
	Doc/Zsh/ftp_sites.yo, Doc/Zsh/metafaq.yo, Etc/FAQ.yo: Use same
	FTP sites list in META-FAQ as FAQ.

	* İsmail Dönmez: 29020: Completion/openSUSE/Command/_SuSEconfig,
	Completion/openSUSE/Command/_hwinfo,
	Completion/openSUSE/Command/_osc,
	Completion/openSUSE/Command/_yast2,
	Completion/openSUSE/Command/_zypper (plus .distfiles): new
	completions.

2011-04-29  Barton E. Schaefer  <schaefer@zsh.org>

	* 29107: Src/Zle/zle_tricky.c: replace overlapping strcpy with
	memmove.

2011-04-27  Mikael Magnusson  <mikachu@gmail.com>

	* 29051: Completion/Unix/Command/_make: add _make- prefix to
	internal helper functions.

2011-04-26  Wayne Davison  <wayned@users.sourceforge.net>

	* 29053 (modified): Src/prototypes.h: Use "const" qualifier
	in termcap prototypes.

2011-04-25  Frank Terbeck  <ft@bewatermyfriend.org>

	* Felipe Contreras: 29028: Completion/Unix/Command/_git: Add
	useful completion for `gitk'.

	* Simon Ruderich: 29041: Completion/Unix/Command/_git: Add
	completion for `tig' like the one for `gitk' from 29028.

	* unposted: Functions/Zle/edit-command-line: Revert change from
	28896, which did more evil than good.

2011-04-24  Barton E. Schaefer  <schaefer@zsh.org>

	* Jun T.: 29031: Src/Zle/complist.c: increment global minfo
	state when inserting characters on the line during interactive
	menu selection.

2011-04-21  Barton E. Schaefer  <schaefer@zsh.org>

	* 29025: Test/A01grammar.ztst: in select test, assert LINES=3
	along with COLUMNS=80 so that the selectlist is sure to be
	printed where the control script can capture/examine it.

2011-04-21  Frank Terbeck  <ft@bewatermyfriend.org>

	* Valentin Haenel: 29019, Completion/Unix/Command/_git: Fix git
	stash completion (apply and pop subcommands).

	* 29027: Completion/Unix/Command/_screen: support "/dev/ttyUSB0
	[baud]"-style arguments.

	* unposted: INSTALL: Clarify at which point directories from
	--enable-additional-fpath are added to $fpath.

2011-04-19  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/X/Command/.distfiles, Config/version.mk:
	development version 4.3.11-dev-2.

	* unposted: Completion/Unix/Command/_perforce: don't complete p4
	reopen to same change.

2011-04-18  Frank Terbeck  <ft@bewatermyfriend.org>

	* 29008, 29012: Config/defs.mk.in, Src/init.c, Src/zsh.mdd,
	configure.ac, INSTALL: Add `--enable-additional-fpath' option to
	add arbitrary directories to the default `$fpath'.

2011-04-18  Peter Stephenson  <pws@csr.com>

	* Simon Ruderich: 29004: M Doc/Zsh/compsys.yo,
	Doc/Zsh/metafaq.yo, Etc/FAQ.yo: update archive list.

2011-04-15  Wayne Davison  <wayned@users.sourceforge.net>

	* Unposted: Src/Zle/computil.c: Fix compiler warning caused by
	duplicate initialization of state.doff.

2011-04-15  Frank Terbeck  <ft@bewatermyfriend.org>

	* Simon Ruderich: 28927: Completion/Unix/Command/_git: Fix "git
	tag -v" completion.

2011-04-15  Mikael Magnusson  <mikachu@gmail.com>

	* 28998: Completion/Unix/Command/_make: set return status
	correctly.

2011-04-14  Peter Stephenson  <pws@csr.com>

	* 28997: configure.ac, Src/system.h: make --enable-libc-musl
	explicit.

2011-04-13  Peter Stephenson  <pws@csr.com>

	* gi1242+zsh: 28991: Completion/Unix/Command/_subversion: fix
	caching policy for subversion.

2011-04-12  Peter Stephenson  <pws@csr.com>

	* Valentin Ochs: 28990: configure.ac, Src/system.h: more
	changes needed for signals.

	* Valentin Ochs: 28989: configure.ac: define _POSIX_C_SOURCE
	when testing for sigset_t (needed for musl).

2011-04-11  Peter Stephenson  <pws@csr.com>

	* users/15953: Src/builtin.c: handle EINTR when using read -k or
	-q together with -u or -p.

	* cat.in.136: users/15945: Completion/Redhat/Command/_yum:
	various corrections and updates.

2011-04-05  Wayne Davison  <wayned@users.sourceforge.net>

	* 28977: Src/utils.c: fix copying of uninitialized memory
	when trying to spell-correct a really long string.

2011-04-01  Peter Stephenson  <pws@csr.com>

	* Stef van Vlierberghe: Src/jobs.c: 28965 (as posted in 28967):
	findproc() should not return processes not marked as SP_RUNNING
	since findproc() is used find processes still known to the OS.

2011-03-30  Frank Terbeck  <ft@bewatermyfriend.org>

	* Mike Meyer: 28956, 28957:
	Functions/VCS_Info/Backends/VCS_INFO_detect_fossil,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_fossil,
	Doc/Zsh/contrib.yo: Add fossil support to vcs_info.

	* unposted: Functions/VCS_Info/Backends/.distfiles: Add
	new backend files to `.distfiles'.

	* unposted: ChangeLog: Fix typo in date.

	* 28958: Functions/VCS_Info/VCS_INFO_hook: Support registering
	hooks independent of the context.

	* 28960: Doc/Zsh/contrib.yo, Functions/VCS_Info/.distfiles,
	Functions/VCS_Info/vcs_info, Functions/VCS_Info/vcs_info_hookadd,
	Functions/VCS_Info/vcs_info_hookdel: Add functions to add/remove
	static hooks.

	* 28961: Doc/Zsh/contrib.yo, Functions/VCS_Info/VCS_INFO_set: Add
	`no-vcs' hook.

	* 28959: Doc/Zsh/contrib.yo, Functions/VCS_Info/VCS_INFO_set,
	Functions/VCS_Info/vcs_info: Make the nvcsformats style be used if
	vcs_info is disabled.

2011-03-29  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Completion/Unix/Command/_vim: Fix typo in
	description for -N.

2011-03-29  Peter Stephenson  <pws@csr.com>

	* Mikael: 28948: Completion/compinit, Doc/Zsh/compsys.yo:
	compdef -e overrides interpretation of argument as service.

2011-03-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28941: Src/Zle/zle_params.c: accessing cursor with
	metafied line was problematic.

2011-03-21  Peter Stephenson  <pws@csr.com>

	* 28936: Src/subst.c: ${#$} and ${#?} also didn't work.

2011-03-20  Frank Terbeck  <ft@bewatermyfriend.org>

	* Johan Sundström: 28890: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_npm: New _npm completion.

2011-03-19  Barton E. Schaefer  <schaefer@zsh.org>

	* 28926: Src/Zle/zle_tricky.c: No newline after the last line in
	listlist() when printing the list in a single column.

2011-03-18  Frank Terbeck  <ft@bewatermyfriend.org>

	* Nikolai Weibull: 28914: Completion/Unix/Command/_git: Typo
	fix in `cvsexportcommit' description.

	* Nikolai Weibull: 28911: Completion/Unix/Command/_git: Only show
	modified files for git-checkout without tree.

	* Nikolai Weibull: 28913: Completion/Unix/Command/_git: Fix typo
	which broke `send-email' completion.

2011-03-16  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28896: Functions/Zle/edit-command-line: unset `monitor' option
	while the widget is running to avoid accidential data loss.

2011-03-16  Peter Stephenson  <pws@csr.com>

	* Mikael: users/15875: Completion/Unix/Command/_gpg: use return
	status from _arguments.

2011-03-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28889: Src/subst.c, Test/D04parameter.ztst: ${##} should
	return the length of $#.

2011-03-11  Barton E. Schaefer  <schaefer@zsh.org>

	* Greg Klanderman: 28887: Completion/Zsh/Type/_command_names:
	fix quoting in defs array.

2011-03-11  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Zsh/Context/_dynamic_directory_name:
	Mikael spotted that completion doesn't work if
	$zsh_directory_name_functions is set but zsh_directory_name
	isn't defined.

	* users/15864: Completion/Zsh/Context/_dynamic_directory_name,
	Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo, Functions/Chpwd/.distfiles,
	Functions/Chpwd/zsh_directory_name_cdr,
	Functions/Misc/add-zsh-hook, Src/subst.c, Src/utils.c:
	turn zsh_directory_name into a hook.

	* 28886: Src/Zle/zle_utils.c: Fix 28772 for the case where
	regions have the "P" flag to include $PREDISPLAY in the
	offsets.

2011-03-08  Barton E. Schaefer  <schaefer@zsh.org>

	* Greg Klanderman: 28846: Completion/Zsh/Type/_functions,
	Completion/Zsh/Type/_command_names,
	Completion/Zsh/Type/_parameters, Doc/Zsh/compsys.yo: adapt
	prefix-needed zstyle to handle the completion function naming
	convention of a leading underscore.

2011-03-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28866: Src/exec.c, Test/A04redirect.ztst: With POSIX_BUILTINS,
	"command" prefix tops a command having special behaviour.

2011-03-05  Barton E. Schaefer  <schaefer@zsh.org>

	* Adrian: 28857: Functions/Prompts/prompt_bigfade_setup: use %d
	instead of $PWD

2011-03-04  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28853: Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo, Functions/Chpwd/cdr,
	Src/builtin.c, Src/prompt.c: Fix typo: preceed -> precede

2011-03-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 28805: Doc/Zsh/builtins.yo, Doc/Zsh/mod_sched.yo: move stray
	text about the sched builtin away from the set builtin.

2011-03-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Baptiste: 28819: Completion/BSD/Command/_sockstat,
	Completion/Unix/Command/_mount,
	Completion/Unix/Type/_file_systems: FreeBSD completion tweaks.

2011-02-28  Barton E. Schaefer  <schaefer@zsh.org>

	* 28823: Src/builtin.c: make it an error to tie the same scalar to
	two different arrays (prevents crash bug); improve a couple of
	other error messages.

2011-02-28  Peter Stephenson  <pws@csr.com>

	* Frank, 28812, modified as in 28813: Src/string.c: wcs_ztrdup()
	needs to allocate array of wchar_t.  Looks like this isn't
	currently used anywhere.

2011-02-27  Wayne Davison  <wayned@users.sourceforge.net>

	* Nikolai Weibull: 28649,28804: Completion/Unix/Command/_git:
	Latest version copied from https://github.com/now/zsh.

2011-02-24  Peter Stephenson  <pws@csr.com>

	* 28799: Src/lex.c: fix bug introduced with lexflags
	that lexical analyser didn't stop quickly enough when
	retrieving completion words.

2011-02-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28795: Src/exec.c: tweak to 28791 for forked shells.
	Also (unposted) typos in comments noticed by Mikael.

2011-02-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28791: Doc/Zsh/options.yo, Src/builtin.c, Src/exec.c,
	Test/A04redirect.ztst: exit on errors in special builtins
	with POSIXBUILTINS.

2011-02-21  Peter Stephenson  <pws@csr.com>

	* 28783: Doc/Zsh/options.yo, Src/lex.c, Test/A01grammar.ztst:
	allow ( to be treated specially in more places when SH_GLOB
	is set but KSH_GLOB isn't.

	* 28784: Doc/Zsh/options.yo, Test/A04redirect.ztst, Src/exec.c:
	exit on exec redirection error with POSIXBUILTINS.

2011-02-19  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28776: Functions/VCS_Info/VCS_INFO_bydir_detect,
	Functions/VCS_Info/Backends/VCS_INFO_detect_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg: Let
	vcs_info detect very old mercurial repositories.


2011-02-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28773, Doc/Zsh/zle.yo, Src/zle_hist.c: add
	zle-history-line-set widget.

	* 28772: Doc/Zsh/zle.yo, Src/Zle/compcore.c,
	Src/Zle/compresult.c, Src/Zle/zle.h, Src/Zle/zle_refresh.c,
	Src/Zle/zle_tricky.c, Src/Zle/zle_utils.c: update regions
	in $region_highlight dynamically.

2011-02-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28761: Completion/Unix/Command/_sccs: file completion missing
	for some commands.

	* 28762: Src/exec.c: logic for closing coproc file descriptors
	was wrong.

2011-02-15  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28758: Functions/Misc/colors: work with non-default option sets.

2011-02-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28750 with some extra comments:
	Completion/Unix/Type/_path_files: separate out completeinword
	handling where the current component is not the last but is
	the first from the already handled case where there is a further
	component in front.

2011-02-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28671: Src/Zle/zle_utils.c: better cursor positioning
	after undo.

	* users/15738: Functions/Zle/modify-current-argument: better
	positioning of the cursor after the operation.

2011-02-11  Frank Terbeck  <ft@bewatermyfriend.org>

	* Lennart Weller: 28739:
	Functions/VCS_Info/Backends/VCS_INFO_detect_svn: Fix svn
	detection in vcs_info.

2011-02-10  Barton E. Schaefer  <schaefer@zsh.org>

	* users/15759 (slightly augmented): Functions/Zle/send-invisible,
	Functions/Zle/.distfiles: widget to read a concealed string from
	the keyboard and stash it in $INVISIBLE.

	* users/15770: Src/init.c: disable HASH_DIRS when not interactive.

	* 28710: Completion/Debian/Type/_deb_packages: replace complex
	parameter expansion with command substitution to speed diffing
	of large lists of packages.

	* unposted: Doc/Zsh/contrib.yo: add send-invisible.  Re-order
	some other entries to restore approximate alphabetization.

2011-01-24  Clint Adams  <clint@zsh.org>

	* Carl Worth: 28648: Completion/Unix/Command/_notmuch: notmuch
	completion by Ingmar Vanhassel.

2011-01-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* gi1242+zsh@gmail.com: 28647: Completion/X/Command/_vnc: more
	options.

	* gi1242+zsh@gmail.com: 28646: Completion/X/Command/_matlab: new
	completion.

2011-01-19  Peter Stephenson  <pws@csr.com>

	* 28638: Doc/Zsh/parameter.yo, Src/zsh.h,
	Src/Modules/parameter.c, plus NEWS added: add $usergroups hash
	mapping from user's own groups by name to GID.

2011-01-18  Peter Stephenson  <pws@csr.com>

	* Mikael: 28637: Src/subst.c: ${foo:0:} caused crash.

2011-01-17  Peter Stephenson  <pws@csr.com>

	* Atom Smasher: users/15715: Completion/Zsh/Function/_zargs: new

2011-01-16  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Config/defs.mk.in, configure.ac: use the -L option
	with yodl 3.x.

2011-01-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28631: gi1242+zsh@gmail.com (as in 28633):
	Completion/Unix/Command/.distfiles, Completion/Unix/Command/_lp,
	Completion/Unix/Command/_tex, Completion/Unix/Command/_xournal,
	Completion/Unix/Type/.distfiles, Completion/Unix/Type/_tex,
	Completion/X/Command/.distfiles, Completion/X/Command/_xournal:
	various updates.

	* 28634: Test/D04parameter.ztst: test for 28630.

	* Ricky Zhou: 28630: Src/params.c: fix crash with isident.

	* gi1242+zsh@gmail.com: 28629: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_lp, Completion/Unix/Command/_tex,
	Completion/Unix/Command/_xournal,
	Completion/Unix/Type/.distfiles, Completion/Unix/Type/_tex,
	Completion/X/Command/.distfiles, Completion/X/Command/_xournal:
	completion updates.

2011-01-16  Clint Adams  <clint@zsh.org>

	* unposted: Completion/Unix/Command/_fuser: fix typo in pattern

2011-01-13  Peter Stephenson  <pws@csr.com>

	* c.f. 28628: Doc/Zsh/func.yo: some extra notes on traps.

2011-01-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/params.c: fix return types in 28617.

	* 28611: Src/Zle/zle_move.c: remove unused special behaviour for
	VI mark 26.

2011-01-11  Peter Stephenson  <pws@csr.com>

	* 28626: Doc/Zsh/func.yo: summarise differences between two
	types of trap.

2011-01-10  Peter Stephenson  <pws@csr.com>

	* 28617: Src/glob.c, Src/params.c, Test/E01options.ztst: NO_EXEC
	option was doing to much work with parameter subscripting,
	parameter assignments, and globbing.

2011-01-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28544: Src/Makefile.in, Makemod.in.in: another way of handling
	bad dependencies for 'make prep' as in 28541.

	* gi1242+zsh@gmail.com: 28594 (with changes as in 28598):
	Completion/Linux/Command/.distfiles,
	Completion/Linux/Command/_modutils,
	Completion/Linux/Command/_wpa_cli,
	Completion/Unix/Command/.distfiles, Completion/Unix/Command/_lp,
	Completion/Unix/Command/_pgrep,
	Completion/Unix/Command/_subversion,
	Completion/Unix/Command/_unison,
	Completion/Unix/Command/_xournal, Completion/Unix/Type/_pdf,
	Completion/X/Command/.distfiles, Completion/X/Command/_gv,
	Completion/X/Command/_okular, Completion/X/Command/_pdftk,
	Completion/X/Command/_vnc, Completion/X/Command/_xrandr: Various
	new and improved completions.

2011-01-07  Peter Stephenson  <pws@csr.com>

	* 28590 (added a comment): Src/builtin.c, Test/B04read.ztst:
	read builtin should return non-zero status on error.

	* Mikael: 28585: Completion/Unix/Command/_mkdir: don't set ret=0
	when _wanted fails to find any matches.

2011-01-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/utils.c: fix argument type for write_loop().

	* 28588: Src/text.c, Test/C02cond.ztst: fix textual display
	after =~ test.

	* Ben: 28574: Completion/Unix/Command/_ri: use bs formatter.

2011-01-06  Barton E. Schaefer  <schaefer@zsh.org>

	* 28579: Completion/Unix/Command/_du: propagate failure status
	from _arguments so that _complete will try other completions.

	* 28578 (plus test): Src/utils.c, Src/zsh.h, Test/B03print.ztst:
	fix handling of numeric escapes that expand to "%" in printf
	format strings, so they are not treated as format introducers.

2011-01-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28568 c.f. 28549 (Ricky Zhou): Src/utils.c: buffer overflow
	examining paths.

	* Alexey: 28557: Completion/Unix/Command/_ri: update for new
	versions of Ruby.

2010-12-25  Clint Adams  <clint@zsh.org>

	* 28548: Completion/Unix/Command/_fuser: match psmisc in any case.

2010-12-21  Barton E. Schaefer  <schaefer@zsh.org>

	* users/15662: Src/params.c: fix array slice assignment with one
	index positive and one negative.

	* unposted: Test/A06assign.ztst: tests for users/15662.

2010-12-21  Peter Stephenson  <pws@csr.com>

	* users/15663: Test/A06Assign.ztst: some (incomplete) array
	assignment tests.

	* unposted: Config/version.mk: update version to 4.3.11-dev-1.

2010-12-20  Peter Stephenson  <pws@csr.com>

	* unposted: Src/Makefile.inc: restore unintentionally removed
	.PHONY entires.

	* unposted: Config/version.mk, Src/Makefile.inc: release 4.3.11.
	Tweak to Src/Makefile.inc was to workaround some make problem
	with timestamps.

	* Paul Ackersviller: 28538: as modified in 28540 plus a couple
	of casts to char * I missed: Src/init.c,Src/input.c,
	Src/parse.c, Src/prototypes.h, Src/utils.c, Src/Zle/zle_main.c:
	pointer arithmetic needs to be done with char *, not void *.

2010-12-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28537: Src/lex.c, Test/D04parameter.ztst: word splitting on
	'((' in command position that turned into nested subshell
	commands was broken.

2010-12-18  Barton E. Schaefer  <schaefer@zsh.org>

	* 27862 (belatedly): Completion/X/Utility/_x_arguments: handle
	X11 versions greater than X11R6 in the compdef line.

	* unposted: Src/Makefile.in: "prep" target depends on Makemod,
	not on the files on which Makemod depends.

2010-12-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28535: NEWS: typo

2010-12-17  Peter Stephenson  <pws@csr.com>

	* Štěpán Němec: 28533: README, Doc/Zsh/compsys.yo,
	Doc/Zsh/compwid.yo, Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/params.yo, Doc/Zsh/zle.yo, Functions/Chpwd/cdr: typos.

	* unposted: NEWS: note zle_highlight suffix control.

	* Mikael: users/15653: Src/Zle/zle_refresh.c:
	zle_highlight=(none) should turn off suffix highlighting.

2010-12-16  Peter Stephenson  <pws@csr.com>

	* Mikael: 28531: Completion/Base/Utility/_combination,
	Doc/Zsh/expn.yo, Doc/Zsh/mod_clone.yo, Doc/Zsh/options.yo,
	Src/exec.c: typos.

	* unposted: NEWS: add notes on (Z) parameter flag.

	* unposted: README, Config/version.mk, Etc/FAQ.yo,
	Completion/Debian/Command/.distfiles: update for 4.3.10-test-3.

2010-12-14  Barton E. Schaefer  <schaefer@zsh.org>

	* 28530: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	replace (z+opts+) flag with (Z:opts:), add reserved (_:flags:).

2010-12-14  Peter Stephenson  <pws@csr.com>

	* unposted: Src/lex.c: another neatening of lexflags use for
	ZLE.

	* 28529: Src/hist.c, Src/lex.c, Src/zsh.h, Src/Zle/compcore.c,
	Src/Zle/compctl.c, Src/Zle/zle_tricky.c: save and restore
	lexflags and separate out special word logic for ZLE by
	adding new flag LEXFLAGS_ZLE.

	* 28528: Doc/Zsh/expn.yo, Src/hist.c, Src/lex.c, Src/subst.c,
	Src/zsh.h, Src/Zle/compcore.c, Src/Zle/compctl.c,
	Src/Zle/zle_tricky.c, Test/D04parameter.ztst: clear up use of
	zleparse variable into lexflags; add (z+n+) for splitting with
	newline treated as ordinary whitespace.

2010-12-13  Peter Stephenson  <pws@csr.com>

	* 28526: Src/lex.c, Test/D04parameter.ztst: zplitting
	'line # with comment' when stripping comments shouldn't generate
	a newline at the end (unless there is one).

2010-12-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28510: Doc/Zsh/expn.yo, Src/hist.c, Src/lex.c, Src/subst.c,
	Src/Modules/parameter.c, Src/Zle/zle_hist.c, Src/Zle/zle_misc.c,
	Test/D04parameter.ztst: add (z+c+) and (z+C+) parameter flags.

2010-12-07  Peter Stephenson  <pws@csr.com>

	* unposted: remove users/15622 which causes problems
	with certain existing forms of testing commands.

2010-12-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	*  Mikael: 28480: Doc/Zsh/params.yo, Src/utils.c: allow
	PROMPT_EOL_MARK to be an empty string.

2010-12-06  Peter Stephenson  <pws@csr.com>

	* users/15622: Completion/Base/Utility/_pick_variant: use
	$service rather than $words[1] to pick the service. Although
	there may be cases where this doesn't work, this provides
	transparent behaviour for simple uses along the lines of
	"compdef <_func> <cmd>=<service>"

	* users/15621: Completion/compinit,
	Completion/Base/Core/dispatch: fix setting service for compef
	-p/-P.

	* Mikael: 28487: Doc/Zsh/builtins.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/options.yo, Doc/Zsh/prompt.yo: fix docs to refer to
	current directory rather than $PWD.

	* 28486: Src/Zle/compcore.c: $compstate[parameter] needed
	untokenizing.

	* Mikael: 28484: Completion/Unix/Command/_du: updated for GNU
	variant.

2010-12-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: mention {START..END..STEP} changes.

	* Mikael: 28474, 28478: Doc/Zsh/expn.yo, Src/glob.c,
	Test/D09brace.ztst: extended {START..END..STEP} syntax.

	* 28476: Test/.distfiles, Test/D09brace.ztst: new set of tests
	for brace expansion.

	* 28475: Test/A05execution.ztst: test that starting a background
	job resets the status.

	* 28469: Src/exec.c: fix memory leak in anonymous function.

2010-12-04  Wayne Davison  <wayned@users.sourceforge.net>

	* Aaron Schrab: 28210: Completion/Unix/Command/_git: add completion
	for help subcommand.

2010-12-03  Peter Stephenson  <pws@csr.com>

	* 28468: Completion/Unix/Command/_man: if argument contains a
	"/", complete file instead of manual page reference; prefer
	files with man suffixes.

2010-11-30  Peter Stephenson  <pws@csr.com>

	* unposted: NEWS: add news about ${NAME:OFFSET} and took the
	opportunity for a general tidy up.

2010-11-27  Barton E. Schaefer  <schaefer@zsh.org>

	* 28461: Src/exec.c: flush stderr in PRINT_EXIT_VALUE handling.

	* users/15583: Functions/Misc/sticky-note: update with zstyles and
	for ease of use in zle-line-init.

2010-11-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28459: Src/utils.c: flush shell output in PROMPT_SP handling.

2010-11-25  Wayne Davison  <wayned@users.sourceforge.net>

	* 28445: Src/utils.c: overwrite PROMPT_SP string if it
	should remain invisible, even with an upcoming newline.

2010-11-25  Peter Stephenson  <pws@csr.com>

	* Sebastian Stark: users/15581:
	Completion/Zsh/Command/_zmodload: MacOS has .bundle DLL files.

	* users/15580: Completion/Zsh/Function/_zsh-mime-handler,
	Functions/MIME/zsh-mime-handler: fixes for completion when
	dropping through to normal completion.

	* 28434: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	Make ${NAME:OFFSET} always use zero-offset.

2010-11-22  Peter Stephenson  <pws@csr.com>

	* 28424: Doc/Zsh/options.yo, Src/options.c, Src/utils.c,
	Src/zsh.h, Test/A03quoting.ztst: New POSIX_STRINGS option
	makes \0 in $'...' terminate the quoted string.

2010-11-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28425: Src/subst.c: remove null arguments and untokenize
	in check_colon_subscript().

2010-11-18  Peter Stephenson  <pws@csr.com>

	* 28419: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	KSH_ARRAY ${*:0:1} gives $0 etc.

	* 28418: Doc/Zsh/expn.yo, Src/lex.c, Src/params.c, Src/subst.c,
	Test/D04parameter.ztst: add ${NAME:OFFSET} and
	${NAME:OFFSET:LENGTH} substitution syntax.

2010-11-17  Peter Stephenson  <pws@csr.com>

	* 28377: Doc/Zsh/grammar.yo: document more alias problems.

2010-11-14  Clint Adams  <clint@zsh.org>

	* 28411: Completion/Unix/Command/_git: complete submodule
	and annex as subcommands; complete files when the subcommand
	is unknown.

2010-11-10  Clint Adams  <clint@zsh.org>

	* 28401: Completion/Debian/Command/_git-buildpackage:
	git-buildpackage completion from Felipe Sateler.

2010-11-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28389: Completion/Unix/Type/_java_class: empty section
	in $CLASSPATH.

2010-11-03  Barton E. Schaefer  <schaefer@zsh.org>

	* 28384: Src/params.c: improve error message on assignment to a
	field of a read-only hash.

2010-10-27  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/grammar.yo: typo pointed out by
	Štěpán plus slight rephrasing.

	* 28375: Doc/Zsh/grammar.yo: clarify how to quote aliases from
	expansion.

2010-10-25  Peter Stephenson  <pws@csr.com>

	* 28363: Src/Zle/zle_refresh.c: inserting a character when a
	wide character was at the end of the line didn't work.

2010-10-22  Peter Stephenson  <pws@csr.com>

	* 28360: Src/subst.c, Test/E01options.ztst: NO_UNSET option
	should test parameters with following operators, too.

	* not quite posted: Completion/Unix/Command/_screen: better to
	allow sessions to be completed after -S.

2010-10-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Silas Silva (with minor improvement): users/15464:
	Completion/Unix/Command/_man: support for -M argument.

2010-10-18  Peter Stephenson  <pws@csr.com>

	* Jérôme Pouiller: 28351: Functions/Misc/run-help-openssl,
	Functions/Misc/run-help-sudo: new help functions.

2010-10-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28356: Src/Zle/zle_refresh.c: don't increment old
	display line past NULL.

	* c.f. 28353: Doc/Zsh/metafaq.yo: removing remaining reference
	to sunsite in FTP sites.

2010-10-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28345: Doc/Zsh/expn.yo, Functions/Chpwd/cdr, Src/builtin.c,
	Src/utils.c: make new ${(D)} flag return the contracted file as
	a fully usable command line argument.

2010-10-12  Barton E. Schaefer  <schaefer@zsh.org>

	* unposted (users/15440): Doc/Zsh/expn.yo: fix cross-references
	among parameter expansion rules.

2010-10-12  Peter Stephenson  <pws@csr.com>

	* Mikael: 28343: Completion/Unix/Command/_setfacl: didn't
	complete file argument in all cases.

2010-10-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28340: Src/params.c: assignment with negative index didn't
	work with multibyte characters.

	* 28339: Src/hist.c: NO_HIST_LEX_WORDS didn't handle
	backslash-newline line continuation properly, either.

	* 28332: Src/hist.c: HIST_LEX_WORDS didn't handle
	backslash-newline line continuation properly.  Come to think of
	it, neither does the alternative.

2010-10-10  Phil Pennock  <pdpennock@users.sourceforge.net>

	* 28338: Src/cond.c, C02cond.ztst: keep =~ from inverting sense
	of subsequent tests (after &&/||).

2010-10-08  Peter Stephenson  <pws@csr.com>

	* Ben: 28330: Completion/X/Command/_acroread: add
	completion for -openInNewInstance.

	* Ben: 28329: Completion/X/Command/_acroread: version 9 is
	similar to 7 and 8.

2010-10-07  Peter Stephenson  <pws@csr.com>

	* 28327: Src/hist.c: Fix bufferwords() splitting when RC_QUOTES
	is turned on.

2010-10-06  Peter Stephenson  <pws@csr.com>

	* 28326: Src/hist.c, Test/D04parameter.ztst: Problems with
	HIST_LEX_WORDS: memory allocation was screwed if we skipped
	"words" from the lexer; use local heap to avoid silly amounts of
	memory; fallback to non-lex on failure rather than just fixing
	up at the end; workaround oddity with splitting with RC_QUOTES.

	* 28319: Src/hist.c, Test/D04parameter.ztst: ${(z)...}
	splitting oddities and some tests for consistency.

	* 28285: Doc/Zsh/zle.yo, Src/Zle/zle_hist.c: add
	zle-isearch-update and zle-isearch-exit hooks.

2010-10-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: note HIST_LEX_WORDS option.

	* 28310 with 28308 (Bart): Doc/Zsh/options.yo, Src/hist.c,
	Src/options.c, Src/zsh.h: HIST_LEX_WORDS option and check
	for full history file read.

	* 28309: Src/subst.c: infinite loop when padding with extra wide
	characters.

	* Mikael: 28301: Doc/Zsh/compsys.yo: restore missing line.

2010-10-01  Oliver Kiddle  <opk@zsh.org>

	* 28307: Completion/Zsh/Command/_zstyle: support new styles
	especially vcs_info ones and allow quoted contexts again

2010-09-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28295 plus tweak for failure case: Src/hist.c: use lexer to
	split words from history file.

2010-09-23  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/manual.yo: update address of HTML manual.

2010-09-20  Peter Stephenson  <pws@csr.com>

	* 28282: Src/Zle/zle_keymap.c, Src/Zle/zle_main.c,
	Src/zle_utils.c: new function zlecallhook() and fix argument to
	zle-keymap-select.

2010-09-19  Barton E. Schaefer  <schaefer@zsh.org>

	* 28268: Src/builtin.c: I/O to a terminated (or never created)
	coprocess emits a "no coprocess" diagnostic, instead of either
	nothing or "bad file number".

2010-09-16  Peter Stephenson  <pws@csr.com>

	* Baptiste: 28264: Completion/Unix/Command/_ffmpeg: remove the
	need for sed.

2010-09-15  Wayne Davison  <wayned@users.sourceforge.net>

	* 28261: Julius Plenz: Completion/Debian/_dpkg: separate the
	options to _arguments.

2010-09-14  Peter Stephenson  <pws@csr.com>

	* 28259: Src/exec.c, Src/lex.c, Src/parse.c, Src/text.c,
	Src/zsh.h, Test/A04redirect.ztst: Fix bug that empty
	here-documents were given a newline, and output here-documents
	from shell text as real here-documents rather than here-strings.

	* 28258: Src/signals.c: bug in 28250 could cause undefined
	variable resulting in mayhem.

2010-09-13  Peter Stephenson  <pws@csr.com>

	* unposted: NEWS: add POSIX_TRAPS

	* Mikael: 28252: Completion/Zsh/Command/_zle: remove unnecessary
	looped that caused errors.

2010-09-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/builtins.yo: note exit trap runs before
	zshexit hook.

	* 28250: Doc/Zsh/options.yo, Src/options.c, Src/signals.c,
	Src/zsh.h, Test/C03traps.ztst: POSIX_TRAPS option.

	* Mikael: 28253: Doc/Zsh/mod_attr.yo: document -h argument to
	attribute commands.

2010-09-08  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Zle/replace-string-again: safety on
	regexp failures.

	* 28244 with typo noted by Mikael and Bart: NEWS: updated 4.3.11
	news.

	* 28241: Doc/Zsh/zle.yo, Src/Zle/zle_keymap.c: don't list .safe
	keymap with "bindkey -lL", you don't get there from here.

	* 28237: Doc/Zsh/params.yo, Doc/Zsh/zle.yo, Src/Zle/zle_main.c:
	set ZLE_LINE_ABORTED to line so far when ZLE aborts on an error.

2010-09-06  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/zle.yo: small typo.

2010-09-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28226, 28229: Doc/Zsh/zle.yo, Src/Zle/zle_keymap.c: "bindkey
	-lL" now lists aliased keymaps in a more useful way; can list
	individual keymaps.

	* 28227: Doc/Zsh/zle.yo: a few remarks on the question of
	keymaps.

2010-09-02  Peter Stephenson  <pws@csr.com>

	* users/15350: Doc/expn.yo: explain the strange rounding rules for
	size glob qualifier.

2010-09-01  Peter Stephenson  <pws@csr.com>

	* 28188: Doc/Zsh/mod_complist.yo, Doc/Zsh/zle.yo: better
	documentation for limitations in the overlay key maps.

2010-08-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28220: Src/exec.c (plus comments), Src/params.c,
	Test/A06assign.ztst: "HELLO=$HELLO shellfunc" failed because
	we removed HELLO from the parameter table to save it.  Copy it
	instead.

	* Mikael: 28202: Src/Zle/complist.c: need line unmetafied for
	reversemenucomplete().

2010-08-23  Peter Stephenson  <pws@csr.com>

	* Mikael: 28190: Doc/Zsh/options.yo: reference to wrong
	manual page.

	* unposted: Completion/Unix/Command/_perforce: update for 2010.1.

2010-08-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28179: Src/jobs.c, Src/signals.c: use WIFCONTINUED() and
	WCONTINUE by exporting child handler to a function.

	* users/15314: Doc/Zsh/expn.yo: redescribe process substitution.

	* users/15301 (bits applying to process substitution with
	redirection): Src/exec.c: make redirection process substitution
	attach to the appropriate process group.

	* users/15300: pass foreground signals on to process
	substitutions in current shell

2010-08-22  Barton E. Schaefer  <schaefer@zsh.org>

	* 28186: Completion/Base/Utility/_multi_parts: replace a single
	(...|...) pattern-match with a loop over the alternatives to
	avoid issues with pattern-quoting each alternative.

2010-08-21  Frank Terbeck  <ft@bewatermyfriend.org>

	* Mikael Magnusson: 28181: Doc/Zsh/mod_zprof.yo: Remove a
	stray `)' that caused a ".RE" string to be output

2010-08-19  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_todo.sh: more commands.

2010-08-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28172: Src/jobs.c: mark processes as not stopped if
	sent SIGCONT.

2010-08-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28167: Src/Zle/compresult.c: reset more variables when
	invalidating completion list.

2010-08-13  Peter Stephenson  <pws@csr.com>

	* 28160 modified as per 28164: Src/Zle/zle_refresh.c: when the
	display was reset we didn't properly mark the old display line
	as invalid.  This could mean the display didn't get redrawn
	properly.

2010-08-11  Peter Stephenson  <pws@csr.com>

	* 28139: based on Frank Terbeck: 28122: Src/Zle/zle_params.c,
	Doc/Zsh/zle.yo: add ZLE_STATE variable.

2010-08-10  Clint Adams  <clint@zsh.org>

	* unposted: Functions/Newuser/zsh-newuser-install: tweak
	newline placement.

2010-08-10  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_todo.sh: need care matching
	initial whitespace; strip priorities to get text to replace.

2010-08-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28137: Functions/MIME/zsh-mime-handler: $argv[0] should be
	$argv[1].

2010-08-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Simon Ruderich: 28136: README: typo.

2010-08-06  Peter Stephenson  <pws@csr.com>

	* 28131: MACHINES: latest status on Cygwin.

	* users/15232: Completion/Unix/Type/_path_files: somehow
	this didn't get completed.

2010-08-05  Peter Stephenson  <pws@csr.com>

	* users/15232: Completion/Unix/Type/_path_files: another
	go at fixing up for bizarre quoting rules, c.f. users/15031.

2010-08-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Holger Macht: 28130: Completion/Unix/Command/_osc: new
	completion.

2010-08-02  Frank Terbeck  <ft@bewatermyfriend.org>

	* Seth House: 28115: Misc/vcs_info-examples: Another git example
	hook.

	* Seth House: 28114:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: Fix revision
	lookup with packed repositories.

2010-08-02  Peter Stephenson  <pws@csr.com>

	* Daiki Ueno: 28112: Src/Zle/zle_refresh.c: missing parentheses
	caused incorrect size for character width.

2010-07-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/15219: Src/jobs.c: print exit status if PRINTEXITVALUE
	and terminated by signal.

	* 28111: Src/jobs.c: always print exit status if PRINTEXITVALUE
	is set.

	* users/15217: Src/Zle/zle_main.c: use top-level status
	when redrawing prompt.

2010-07-30  Frank Terbeck  <ft@bewatermyfriend.org>

	* Mikael Magnusson: 28110: Doc/Zsh/compsys.yo: Fix yodl warning.

	* unposted: Fix a date in ChangeLog.

2010-07-29  Peter Stephenson  <pws@csr.com>

	* <hamer@hamer.org.ua>: 28104: Src/Zle/compcore.c: crash
	in obscure completion case due to NULL pointer.

2010-07-28  Peter Stephenson  <pws@csr.com>

	* users/15204: Functions/Zftp/zfinit: check compctl is loaded
	before trying to use it (for ksh emulation).

	* as described in users/15202: Functions/Misc/run-help,
	Functions/Newuser/zsh-newuser-install,
	Functions/Prompts/promptinit, Functions/TCP/tcp_open,
	Functions/Zftp/zfinit, Functions/Zle/down-case-word-match,
	Functions/Zle/forward-word-match,
	Functions/Zle/history-pattern-search,
	Functions/Zle/insert-composed-char, Functions/Zle/kill-word-match,
	Functions/Zle/match-words-by-style,
	Functions/Zle/select-word-style,
	Functions/Zle/transpose-words-match,
	Functions/Zle/up-case-word-match, Functions/Zle/zed-set-file-name:
	Use "autoload -Uz" consistently throughout distributed functions.

2010-07-26  Peter Stephenson  <pws@csr.com>

	* 28102: Src/Zle/computil.c: use lstat() when checking
	ignore-parents.

2010-07-26  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28101: Completion/Unix/Command/_tmux: Fix window completion
	for tmux version 1.3 and newer.

2010-07-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Config/version.mk: update to 4.3.10-dev-2.

2010-07-24  Wayne Davison  <wayned@users.sourceforge.net>

	* 28000: Completion/Unix/Command/_git: make the branch arg for
	"git log" optional.

2010-07-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28096: Functions/Chpwd/chpwd_recent_dirs: don't add
	$OLDPWD.

	* 28081: Doc/Zsh/contrib.yo,
	Functions/Chpwd/chpwd_recent_filehandler: document style
	stuff with cdr, future-proof file reading.

2010-07-19  Peter Stephenson  <pws@csr.com>

	* 28092: Completion/Unix/Command/_getconf: generate missing keys.

2010-07-19  Frank Terbeck  <ft@bewatermyfriend.org>

	* 28093, based on Michel Lespinasse: 28090:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: Fix a problem
	with `check-for-changes' and freshly initialised repositories.

	* Seth House: 28084, 28083: Misc/vcs_info-examples: cleanups
	and new examples.

	* 28095: Functions/VCS_Info/Backends/VCS_INFO_get_data_git: Fix
	two hard-coded invocations of the "git" command.

2010-07-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28073: Src/exec.c, Src/init.c, Src/utils.c: allow #!
	scripts to search path if interpreter not found.

2010-07-15  Doug Kearns  <dougkearns@gmail.com>

	* 28078: Completion/Unix/Command/_xmlsoft: update.

	* Michael Hwang: 28075: Completion/Unix/Command/_gpg: add gpg-zip
	completion and other general improvements.

2010-07-13  Peter Stephenson  <pws@csr.com>

	* Jörg Sommer: 28063: Completion/Unix/Command/_rubber: suppress
	warning messages when extracting output.

2010-07-12  Peter Stephenson  <pws@csr.com>

	* 28068: Doc/Zsh/contrib.yo: Texinfo declaration got wrapped
	causing mayhem.

2010-07-12  Frank Terbeck  <ft@bewatermyfriend.org>

	* users/15165: Doc/Zsh/contrib.yo: Fix a warning about a
	missing macro.

2010-07-09  Peter Stephenson  <pws@csr.com>

	* 28065: Doc/Zsh/contrib.yo, Functions/Chpwd/.distfiles,
	Functions/Chpwd/cdr, Functions/Chpwd/_cdr,
	Functions/Chpwd/chpwd_recent_add,
	Functions/Chpwd/chpwd_recent_dirs,
	Functions/Chpwd/chpwd_recent_filehandler, plus Src/zsh.mdd
	(not posted): add cdr function, tools, and documentation.

2010-06-30  Clint Adams  <clint@zsh.org>

	* 27998, 28061, 28062: Functions/Newuser/zsh-newuser-install:
	add recommended zshrc option.

	* 28060: Completion/Unix/Command/_xmlsoft: xmlsoft --nodtdattr
	completion thanks to Vincent Lefevre.

2010-06-23  Doug Kearns  <dougkearns@gmail.com>

	* 28056: Completion/Unix/Command/_lynx: add option descriptions.

2010-06-22  Doug Kearns  <dougkearns@gmail.com>

	* 28055: Completion/Unix/Command/_vim: add some missing options.

2010-06-22  Peter Stephenson  <pws@csr.com>

	* 28047: Src/hist.c: make fc -R/-W more consistently verbose
	and allow fc -R to work if file could be read but permissions
	didn't allow it to be locked (as distinct from failing to lock
	it because something else had locked it).

2010-06-22  Doug Kearns  <dougkearns@gmail.com>

	* 28052: Completion/Unix/Command/_cvs: remove duplicated completion of
	the version subcommand.

	* unposted: INSTALL, README: fix typos.

	* 28051: Completion/Unix/Command/_elinks: update for version 0.12pre5.

2010-06-17  Frank Terbeck  <ft@bewatermyfriend.org>

	* Holger Weiss: 28016, 28017, 28018, 28019:
	Completion/Unix/Command/_git: various fixes and enhancements.

	* Holger Weiss: 28020: Doc/Zsh/compsys.yo: Fix a typo.

	* unposted: Fix a date in ChangeLog.

2010-06-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28042: Doc/Zsh/contrib.yo, Functions/Zle/.distfiles,
	Functions/Zle/transpose-lines: new widget.

2010-06-14  Peter Stephenson  <pws@csr.com>

	* 28038: Index: Completion/Zsh/Command/_zstyle, Doc/Zsh/calsys.yo,
	Functions/Calendar/calendar, Functions/Calendar/calendar_add,
	Functions/Calendar/calendar_parse,
	Functions/Calendar/calendar_scandate: improved handling of
	recurring events in calendar system.

	* unposted: Doc/Zsh/params.yo: extra note on ZSH_EVAL_CONTEXT.

	* 28037: Src/exec.c, Src/math.c, Src/module.c,
	Test/V01zmodload.ztst: improved error messages for autoloading
	math functions and builtins (but not conditions).

	* 28010: configure.ac, Src/compat.c: use getcwd() as fallback
	if zgetcwd() fails.

2010-06-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 28027: Doc/Zsh/expn.yo: typo.

2010-06-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 28026: Completion/Zsh/Context/_dynamic_directory_name,
	Doc/Zsh/expn.yo: use "zsh_directory_name c" for completion
	of dynamic directory names.

	* 28025: Doc/Zsh/expn.yo, Src/subst.c, Src/utils.c: (D)
	parameter flag to abbreviate directories.

2010-06-09  Peter Stephenson  <pws@csr.com>

	* Haakon Riiser: 28009: Completion/Unix/Command/_ffmpeg: new.

2010-06-08  Peter Stephenson  <pws@csr.com>

	* 28006: Src/builtin.c, Src/compat.c, Src/init.c: Make zgetcwd()
	fall back to pwd in preference to returning "."; only use "." if
	we're trying to set pwd at that point.

2010-06-08  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Completion/Mandriva/Command/_urpmi: fix typo in parameter
	name.

2010-06-07  Peter Stephenson  <pws@csr.com>

	* Alexey: 27999: Test/V01zmodload.ztst: fix error message.

2010-06-07  Doug Kearns  <dougkearns@gmail.com>

	* Simon Ruderich: 28002: Completion/Unix/Command/_feh: fix bad commit.

2010-06-06  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Completion/BSD/Command/_csup,
	Completion/BSD/Command/_fetch, Completion/BSD/Command/_freebsd-update,
	Completion/BSD/Command/_fstat, Completion/BSD/Command/_pfctl,
	Completion/BSD/Command/_portaudit, Completion/BSD/Command/_portmaster,
	Completion/BSD/Command/_portsnap, Completion/BSD/Command/_powerd,
	Completion/BSD/Command/_procstat, Completion/Darwin/Command/_open,
	Completion/Darwin/Command/_softwareupdate,
	Completion/Debian/Command/_apt-file,
	Completion/Linux/Command/_analyseplugin,
	Completion/Linux/Command/_ethtool, Completion/Linux/Command/_ipset,
	Completion/Linux/Command/_mdadm, Completion/Linux/Command/_rpmbuild,
	Completion/Linux/Command/_strace,
	Completion/Mandriva/Command/_rebootin, Completion/Redhat/Command/_yum,
	Completion/Solaris/Command/_coreadm,
	Completion/Solaris/Command/_dhcpinfo,
	Completion/Solaris/Command/_dladm, Completion/Solaris/Command/_dumpadm,
	Completion/Solaris/Command/_gcore, Completion/Solaris/Command/_inetadm,
	Completion/Solaris/Command/_ptree,
	Completion/Solaris/Command/_savecore,
	Completion/Solaris/Command/_svcadm, Completion/Solaris/Command/_svccfg,
	Completion/Solaris/Command/_svcprop, Completion/Solaris/Command/_svcs,
	Completion/Solaris/Command/_zlogin, Completion/Unix/Command/_arp,
	Completion/Unix/Command/_arping, Completion/Unix/Command/_bzr,
	Completion/Unix/Command/_cdcd, Completion/Unix/Command/_ecasound,
	Completion/Unix/Command/_feh, Completion/Unix/Command/_git,
	Completion/Unix/Command/_gnupod, Completion/Unix/Command/_gnutls,
	Completion/Unix/Command/_locate, Completion/Unix/Command/_module,
	Completion/Unix/Command/_perforce, Completion/Unix/Command/_pkgadd,
	Completion/Unix/Command/_pkginfo, Completion/Unix/Command/_pkgrm,
	Completion/Unix/Command/_sisu, Completion/Unix/Command/_sqsh,
	Completion/Unix/Command/_surfraw, Completion/Unix/Command/_tcpdump,
	Completion/Unix/Command/_tmux, Completion/Unix/Command/_todo.sh,
	Completion/Unix/Command/_wget, Completion/Unix/Command/_yafc,
	Completion/Unix/Command/_zfs, Completion/Unix/Command/_zpool,
	Completion/Unix/Type/_printers, Completion/X/Command/_mplayer,
	Completion/X/Command/_setxkbmap, Completion/Zsh/Command/_cd: fix
	incorrectly capitalized completion descriptions as per the
	recommendations in Etc/completion-style-guide.

2010-06-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27983: Src/prompt.c: colours could be output twice.

2010-06-03  Peter Stephenson  <pws@csr.com>

	* 27994: Src/params.c: better error message when failing to
	autoload parameter.

2010-06-03  Frank Terbeck  <ft@bewatermyfriend.org>

	* Holger Weiss: 27977: Completion/Unix/Command/_git: shouldn't
	return 0 if there are no matches.

2010-06-02  Peter Stephenson  <pws@csr.com>

	* 27990: Src/Modules/termcap.c (not in original patch),
	Src/Modules/terminfo.c: ignore error return value from
	setupterm(), it's not useful in telling us whether the module
	booted OK.

2010-06-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Daniel Friesel: 27982: Completion/Unix/Command/_feh: update.

2010-05-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27981: Completion/Zsh/Context/_subscript: complete
	(e).

2010-05-28  Peter Stephenson  <pws@csr.com>

	* Mikael: 27980: Completion/Zsh/Type/_globquals: typo.

2010-05-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27965 plus as per 27966: Src/builtin.c, Src/subst.c,
	Src/utils.c, Src/zsh.h: Use $'\n' quoting instead of literal
	newline for ${(q)...} to avoid lines getting split unexpectedly.
	Quote empty strings as ''.

	* 27976: Doc/Zsh/expn.yo: add yet more to the my-brain-hurts
	description of how parameter expansion is ordered.

2010-05-27  Frank Terbeck  <ft@bewatermyfriend.org>

	* Seth House: 27971: Functions/VCS_Info/Backends/VCS_INFO_get_data_hg:
	vcs_info: Fix a bug that caused the mercurial backend to always return
	`default' as the branch name.

2010-05-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/15078: Completion/Zsh/Function/.distfiles,
	Completion/Zsh/Function/_zsh-mime-handler, Doc/Zsh/contrib.yo,
	Functions/MIME/zsh-mime-handler: completion for a
	zsh-mime-handler should understand how the line will be handled.

2010-05-22  Clint Adams  <clint@zsh.org>

	* 27964: Doc/Zsh/contrib.yo: add back missing enditem().

2010-05-14  Frank Terbeck  <ft@bewatermyfriend.org>

	* Simon Ruderich: 27954: Doc/Zsh/contrib.yo, Misc/vcs_info-examples:
	vcs_info: more minor documentation fixes.

	* Simon Ruderich: 27953: Doc/Zsh/contrib.yo, Misc/vcs_info-examples,
	Functions/VCS_Info/VCS_INFO_formats: vcs_info: changed default formats
	and actionformats

2010-05-12  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/params.yo, Src/Modules/zutil.c: fix typo
	("zregesparse-guard").

	* 27951: Doc/Zsh/expn.yo, Doc/Zsh/params.yo, Src/builtin.c,
	Src/exec.c, Src/glob.c, Src/init.c, Src/params.c, Src/signals.c,
	Src/Builtins/sched.c, Src/Modules/zpty.c, Src/Modules/zutil.c:
	Add $ZSH_EVAL_CONTEXT and $zsh_eval_context to provide context
	stack.

2010-05-10  Peter Stephenson  <pws@csr.com>

	* c.f. 27950: Test/C03traps.ztst some bogus whitespace got added
	in patching 27947.

2010-05-10  Frank Terbeck  <ft@bewatermyfriend.org>

	* Seth House, Simon Ruderich and myself: 27948:
	Doc/Zsh/contrib.yo, Functions/VCS_Info/.distfiles, Misc/.distfiles,
	Misc/vcs_info-examples, Functions/VCS_Info/Backends/VCS_INFO_detect_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Functions/VCS_Info/VCS_INFO_formats, Functions/VCS_Info/VCS_INFO_hook,
	Functions/VCS_Info/VCS_INFO_quilt, Functions/VCS_Info/vcs_info: various
	vcs_info changes: mercurial backend improvements, new hooks, quilt
	support, documentation improvements and bugfixes

2010-05-05  Peter Stephenson  <pws@csr.com>

	* users/15031: Completion/Unix/Type/_path_files: fix (still
	incomplete) for bizarre quoting rules for files in completion
	with path-completion off or accept-exact-dirs on.

	* 27947: Src/exec.c, Test/C03traps.ztst: fix some cases where we
	should (probably) execute an EXIT trap but don't.

2010-05-02  Frank Terbeck  <ft@bewatermyfriend.org>

	* Simon Ruderich: 27813: Completion/Unix/Command/_git: Complete
	some generic symbolic references as heads.

2010-04-28  Clint Adams  <clint@zsh.org>

	* Bernd Zeimetz: 27931: Completion/Debian/Command/_bts:
	completion for bts affects.

2010-04-28  Peter Stephenson  <pws@csr.com>

	* Mikael: 27929: Src/lex.c, Doc/Zsh/options.yo (added pws): global
	aliases with space shouldn't trigger HIST_IGNORE_SPACE.

2010-04-27  Peter Stephenson  <pws@csr.com>

	* 27926: Src/Zle/zle_hist.c: fix completion suffix when inserting
	last word.

	* 27911: Completion/Base/Core/_main_complete: ensure colouring is
	not used if not configured when showing old lists.

2010-04-26  Frank Terbeck  <ft@bewatermyfriend.org>

	* 27908: Functions/VCS_Info/vcs_info: Avoid locale related
	problems

2010-04-26  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: update to Perforce
	2009.2 features.

	* unposted: Completion/X/Command/_kfmclient: also kioclient;
	probe desktop bindings.

2010-04-25  Clint Adams  <clint@zsh.org>

	* 27912: Completion/Linux/Command/_lsusb: presume that
	usb.ids is uncompressed now.

	* 27914 (tweaked): Completion/Linux/Command/_lsusb: find
	usb.ids in /usr/share/misc.

2010-04-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/15028 (modified to do the unquoting a bit more
	logically): Completion/Unix/Type/_path_files: for
	path-completion false and accept-exact-dirs true we need to
	unquote the word from the command line.

2010-04-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27889: Src/subst.c, Test/D04parameter.ztst: Force more use of
	GLOB_SUBST in parameters if ~ is used.

2010-04-20  Peter Stephenson  <pws@csr.com>

	* "Akinori MUSHA: 27892: Completion/Redhat/Command/.distfiles,
	Completion/Redhat/Command/_service
	Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_init_d,
	Completion/Unix/Command/_service (moved from Redhat),
	Completion/Unix/Type/_services: updates for FreeBSD.

2010-04-15  Peter Stephenson  <pws@csr.com>

	* unposted: NEWS: update to include path-completion.

2010-04-15  Frank Terbeck  <ft@bewatermyfriend.org>

	* 27798: Alexey I. Froloff: Completion/Unix/Command/_git: support
	for the `--interactive' option of "git commit".

2010-04-14  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/compsys.yo: add kindex entry for
	path-completion.

	* unposted: Doc/Zsh/compsys.yo: slightly rephrase previous doc.

	* users/15011: Completion/Unix/Type/_path_files,
	Doc/Zsh/compsys.yo: add path-completion style to allow
	completion of preceding directories in files to be be turned
	off.

2010-04-13  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar, Functions/Calendar/calendar_add,
	Functions/Calendar/calendar-edit, Functions/Calendar/calendar_show,
	Functions/Calendar/calendar_sort:  Fall back to link file locking if
	system file locking fails; don't need dcop for kdialog.

2010-04-12  Clint Adams  <clint@zsh.org>

	* 27876: Completion/Debian/Command/_axi-cache: completion for
	axi-cache (from apt-xapian-index).

2010-04-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Simon Ruderich: 27856 (tweaked): Doc/Zsh/metafaq.yo: Git
	availability.

2010-04-09  Peter Stephenson  <pws@csr.com>

	* 27865: Src/subst.c, Test/D04parameter.ztst: text in parameter
	substitution that came from the command line rather than the
	parameter was a candidate for GLOB_SUBST even if it was quoted
	if the overall expression was not quoted.

	* Ben: 27589: Completion/Zsh/Context/_redirect: attempt
	to use arguments better.

2010-03-30  Clint Adams  <clint@zsh.org>

	* 27847: Completion/Unix/Command/_uzbl: completion for uzbl.

2010-03-29  Peter Stephenson  <pws@csr.com>

	* 27843: Simon Ruderich: Doc/Zsh/options.yo: claimed format for
	extended history was incorrect.

2010-03-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27831: Doc/Zsh/expn.yo, Src/input.c, Src/subst.c, Src/utils.c:
	add ${(mm)...} to count displayed characters and rationalise use
	of wcwidth so that negative numbers are treated as zero.

2010-03-25  Peter Stephenson  <pws@csr.com>

	* unposted: Test/A02alias.ztst: change sort to cat to
	make test foolerproof.

	* 27827: Src/input.c, Test/A02alias.ztst: infinite loop
	if alias with recursive definition occurred at end
	of parsed string (normal shell input was OK).

2010-03-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27823: Src/hist.c: 27822 could access freed memory because
	hptr wasn't consistently set to NULL when chline was.

	* 27812: Doc/Zsh/zle.yo, Src/Zle/zle.h, Src/Zle/zle_refresh.c,
	Src/Zle/zle_utils.c: when wchar_t contains Unicode code points,
	use private area to put bytes that don't form characters for
	special display.

2010-03-22  Peter Stephenson  <pws@csr.com>

	* 27822: Src/hist.c, Src/lex.c, Src/zle_params.c,
	Src/zle_tricky.c: Fix ZLE access to current history line if pushed
	onto lexical stack.

2010-03-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Etc/FAQ.yo: update section on coloured prompts and
	some other minor bits.

2010-03-19  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar: update previous
	change also to perform calendar_show in current shell since
	it interacts better with zle for use with sched.

	* 27808: Completion/Unix/Type/_files: Use // parameter
	substitution instead of :gs.  This form is consistent with the
	rest of the file and has handled quoting correctly for longer.

2010-03-18  Peter Stephenson  <pws@csr.com>

	* unposted: Test/A01grammar.ztst: missed -f option off zsh
	invocation in 27793++.

	* 27804: Src/Zle/zle_hist.c: don't hang on encountering invalid
	character in incremental search.

2010-03-17  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar: fix embarrassing bug in
	calendar scheduling introduced by new file locking, 27756.

2010-03-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/calsys.yo: age now uses zstat.

	* unposted: NEWS: PATH_SCRIPT

2010-03-16  Peter Stephenson  <pws@csr.com>

	* 27793 plus 27794, 27795: Doc/Zsh/invoke.yo, Doc/Zsh/options.yo,
	Src/init.c, Src/options.c, Src/zsh.h, Test/A01grammar.ztst:
	add PATH_SCRIPT option to find script using path.

2010-03-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27797: Completion/Base/Completer/_expand_alias:
	delimit arguments to avoid problems with hyphens.

	* Alexey: 27789: Completion/Unix/Command/_sudo: use _arguments.

2010-03-15  Peter Stephenson  <pws@csr.com>

	* 27780: Completion/Unix/Type/_files, Test/D04parameter.ztst:
	users/14905 changed the number of backslashes needed to
	quote backslashes in :s modifier.

2010-03-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/expn.yo: note that & needs quoting in :s in
	glob qualifier.

	* 27785: Src/init.c, Src/utils.c, Src/zsh.h: default IFS in sh
	and ksh mode doesn't have '\0'.

2010-03-11  Frank Terbeck  <ft@bewatermyfriend.org>

	* Simon Ruderich: 27779: Functions/VCS_Info/vcs_info_printsys,
	Doc/Zsh/contrib.yo:  Fix mistakes in vcs_info's documentation.

2010-03-09  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/calsys.yo, Functions/Calendar/calendar,
	Functions/Calendar/calendar_editfiles:  Fix bug that
	calendar wouldn't update repeating event times for events
	that were already in the past; allow calendar_editfiles to
	take argument to specify editor.

2010-03-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Michael Hwang: 27773: Src/linklist.c: document how linked
	lists are joined together.

2010-03-04  Frank Terbeck  <ft@bewatermyfriend.org>

	* 27770: Completion/Unix/Command/_git: support for user specific
	sub commands.

2010-03-04  Peter Stephenson  <pws@csr.com>

	* Frank: 27768: Functions/VCS_Info/VCS_INFO_realpath: shut up cd
	some more.

2010-02-28  Clint Adams  <clint@zsh.org>

	* 27762: Completion/Unix/Type/_hosts: omit ssh known_hosts
	entries with port numbers from host completion.

2010-02-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14905 (modified, see users/14096): Doc/Zsh/expn.yo,
	Src/subst.c, Test/D04parameter.ztst: fix various problems
	with :s modifier in parameters.

2010-02-26  Peter Stephenson  <pws@csr.com>

	* users/14902: Src/Modules/datetime.c: another go.

	* users/14900: Src/Modules/datetime.c: ULONG_MAX may be valid
	return value from strtoul().

	* users/14897: Src/Modules/datetime.c: test needed on
	conversion of time_t to struct tm.  Found on 64-bit Linux.

	* 27756: Doc/Zsh/calsys.yo, Functions/Calendar/calendar,
	Functions/Calendar/calendar_add, Functions/Calendar/calendar_edit,
	Functions/Calendar/calendar_sort, Src/Modules/system.c:
	use new file locking in calendar where available and add
	errflag test to loop over fcntl().

	* users/14891: Doc/Zsh/cond.yo: say explicitly that condition
	arguments don't undergo file generation.

2010-02-25  Peter Stephenson  <pws@csr.com>

	* 27755: Doc/Zsh/mod_system.yo, Src/Modules/system.c:
	add "zsystem supports" to test what zsystem supports.

2010-02-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27754: NEWS (unposted), Doc/Zsh/mod_system.yo, Src/exec.c,
	Src/utils.c, Src/zsh.h, Src/Modules/system.c: add
	"zsystem flock" subcommand to zsh/system module.

2010-02-22  Peter Stephenson  <pws@csr.com>

	* unposted: Src/utils.c: Add a debug test for trapping bad uses of
	fdtable when closing fd's in zclose().

	* 27721: Src/compat.c [with unnecessary test removed], Src/exec.c,
	Src/system.h, Src/utils.c:  update zopenmax() not to examine huge
	numbers of file descriptors; only call it at initialisation;
	rationalise use of fdtable_size and expansion of fdtable.

2010-02-22  Clint Adams  <clint@zsh.org>

	* 27744: Completion/Debian/Command/_pbuilder: completion for
	pbuilder.

2010-02-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank: 27731: Functions/VCS_Info/vcs_info: turn off
	WARN_CREATE_GLOBAL.

2010-02-21  Clint Adams  <clint@zsh.org>

	* Michael Prokop: 27725: Completion/Debian/Command/_apt: apt
	--no-install-recommends.

2010-02-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jonathan Beckman: 27728: Completion/X/Command/_mplayer: quote
	colon after -ss.

2010-02-19  Peter Stephenson  <pws@csr.com>

	* 27722: Src/cond.c, Test/C02cond.zts, Test/V01zmodload.ztst: Error
	reporting for failed conditions was badly handled; one
	piece of code didn't test for a '-' prefix.

	* 27723: Src/builtin.c, Test/D02glob.ztst: eval shouldn't
	modify non-zero return statuses.

2010-02-17  Peter Stephenson  <pws@csr.com>

	* Frank: 27717: Functions/VCS_Info/vcs_info_lastmsg:
	add option terminators for builtins.

2010-12-17  Andrey Borzenkov  <bor@zsh.org>

	* unposted: Doc/Zsh/compsys.yo: typo fix

2010-12-16  Andrey Borzenkov  <bor@zsh.org>

	* 27715: Completion/Unix/Command/_stgit: fixes for new
	version (workaround removed commands); autogenerate list
	of stg subcommands.

2010-02-16  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/.distfiles: new files

	* Frank Terbeck, Seth House: 27712, 22713, 27714: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svk,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svn,
	Functions/VCS_Info/VCS_INFO_formats,
	Functions/VCS_Info/VCS_INFO_hook, Functions/VCS_Info/vcs_info:
	hooks and Mercurial improvements.

2010-02-15  Peter Stephenson  <pws@csr.com>

	* 27710: Etc/FAQ.yo: update sections on advanced character sets.

	* unposted: Etc/FAQ.yo: correct outrageously old dates in FAQ.

2010-02-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27708: Src/text.c: remove distracting initial semicolons
	in job output.

	* unposted: zero gf_pre_words from 27694.

	* Mikael: Completion/Zsh/Type/_globquals: extend argument
	handling.

	* Frank: 27705: Completion/Unix/Command/_git: notes

2010-02-12  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Zsh/Type/_globquals: add P to list.

2010-02-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/expn.yo: typo in formatting.

2010-02-09  Peter Stephenson  <pws@csr.com>

	* 27694: NEWS, Completion/Zsh/Type/_globquals, Doc/Zsh/expn.yo,
	Src/glob.c, Test/D02glob.ztst: add "P" glob qualifier for
	prepending words.

	* Frank: 27696: Completion/Unix/Command/_tmux: another update

	* Geoff: 27693: Src/exec.c, Src/init.c, Src/params.c, Src/init.c,
	Src/utils.c: rename underscore to avoid name clash.

2010-02-08  Peter Stephenson  <pws@csr.com>

	* unposted: Src/subst.c: comment about what colon in parameter
	substitution might be doing.

	* unposted: Completion/compinit,
	Functions/Calendar/calendar_scandate: add some "typeset -g"s
	to avoid WARN_CREATE_GLOBAL warnings.

	* 27665: Frank: Completion/Unix/Command/_tmux: update.

	* 27658: Completion/Unix/Command/_zip: work around globbing
	problems.

2010-02-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank: 27679:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	better logic.

	* Michael Hwang: 27675: Src/builtin.c: fix crash from error in
	hash builtin.

2010-02-04  Peter Stephenson  <pws@csr.com>

	* 27661: Ben: Doc/Zsh/builtins.yo, Doc/Zsh/options.yo,
	Doc/Zsh/tcpsys.yo: typos in manual references.

2010-02-03  Peter Stephenson  <pws@csr.com>

	* 27648, 267650/1, unposted README change: README,
	Doc/Zsh/builtins.yo, Doc/Zsh/grammar.yo,
	Etc/zsh-development-guide, Src/builtin.c, Src/init.c,
	Src/mkbltnmlst.sh, Src/Builtins/rlimits.mdd: "repeat"
	is not available when starting in emulation mode,
	"ulimit" is; document that "sched", "limit", "unlimit"
	already aren't.

2010-02-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27647: Completion/Unix/Command/_cp: update

2010-02-02  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/contrib.yo: minor doc upgrade for
	regexp-replace.

	* based on Andrei, 27644: Config/installfns.zsh: check for
	#! line without a fork.

2010-02-01  Peter Stephenson  <pws@csr.com>

	* unposted: Etc/FAQ.yo: update with notes on
	zsh-nt.sourceforge.net and application terminal mode horror.

2010-01-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27642: Completion/Zsh/Type/_globquals: add some
	missing entries.

2010-01-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14752: Functions/Misc/zed, Src/builtin.c: add #!
	line to zed; allow script run with -i to exit on "return".

	* Julien Jehannet: users/14751: Functions/Misc/zed: variable
	incorrect when autoloading function.

2010-01-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27638, based on Frank Terbeck, 27633: Doc/Zsh/options.yo,
	init.c, options.c, zsh.h: add SOURCE_TRACE option with output
	similar to XTRACE for tracing sourced files.

2010-01-23  Clint Adams  <clint@zsh.org>

	* 27617: Completion/Unix/Command/_graphicsmagick: graphicsmagick
	completion based on _imagemagick.

2010-01-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14732: Src/Zle/computil.c: we need to test X:/ rather
	than X: for recent versions of Cygwin.

2010-01-21  Peter Stephenson  <pws@csr.com>

	* users/14723: Src/pattern.c: invalid character conversions
	should never match valid character conversions.

2010-01-20  Peter Stephenson  <pws@csr.com>

	* 27611: Src/math.c, Test/C01arith.ztst: cache parameter values so
	that subscripts aren't multiply evaluated when they shouldn't be.

	* 27608: Src/Modules/pcre.c, Src/Modules/regex.c,
	Test/C02cond.ztst:  test was broken and sizes of variables
	for arrays were wrong.

2010-01-19  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/contrib.yo, Functions/Misc/regexp-replace:
	return status 1 if no replacement.

	* unposted: Doc/Zsh/cond.yo: avoid Yodl error.

	* Frank: 27606: Completion/Unix/Command/_tmux: tmux -d.

2010-01-18  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/contrib.yo: minor clarification in 27604.

	* 27604: Doc/Zsh/contrib.yo, Functions/Misc/.distfiles,
	Functions/Misc/regexp-replace,
	Functions/Misc/replace-string-again: add facilities for
	substitution using regular expressions.

2010-01-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27600: Doc/Zsh/cond.yo, Src/Modules/pcre.c, Src/Modules/regex.c,
	Test/C02cond.ztst: extend =~ syntax to set MBEGIN and MEND
	with MATCH and mbegin and mend with match.

2010-01-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank: 27599: Doc/Zsh/contrib.yo: fix formatting documentation
	for VCS_Info.

2010-01-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27597: Completion/Zsh/Command/_zstyle: accepting
	completion unnecessarily hard.

2010-01-13  Peter Stephenson  <pws@csr.com>

	* Joakim Rosqvist: 27591 as modified in 27594:
	FEATURES, Doc/Zsh/options.yo, Doc/Zsh/params.yo, Src/input.c,
	Src/options.c, Src/params.c: extend SUN_KEYBOARD_HACK option
	to KEYBOARD_HACK variable.

2010-01-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27553: Jesse Weinstein: Doc/Zsh/compsys.yo: improve phrasing.

2010-01-10  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 27586: Completion/Unix/Command/_tmux:
	more tmux completion support.

2010-01-08  Peter Stephenson  <pws@csr.com>

	* 27577: sergio: Functions/Misc/zcalc: vared -p obeys
	the PROMPTPERCENT option so it's not necessary to have an
	explicit (%) in the variable expansion.

2010-01-07  Clint Adams  <clint@zsh.org>

	* 27579: Completion/Unix/Command/_ssh: allow ssh -S argument to
	follow immediately the option letter.

	* 27578: Completion/Linux/Command/_ionice: allow ionice -c and -n
	arguments to immediately follow the option letters.

2010-01-05  Peter Stephenson  <pws@csr.com>

	* 27566: Src/Builtins/rlimits.c: add ulimit -c hard and immediate
	return on argument error

	* 27565: Src/Builtins/rlimits.c: ulimit didn't sanity check
	numeric arguments.

2010-01-04  Clint Adams  <clint@zsh.org>

	* 27559: Completion/Unix/Command/_espeak: espeak language
	codes and voice names.

	* Jesse Weinstein: 27558: Completion/Unix/Command/_espeak:
	completion for espeak.

2010-01-04  Peter Stephenson  <pws@csr.com>

	* 27556: Src/lex.c: lexsave() should sanitize more variables else
	inner loops can get confused by outer state.  Symptom was
	source within precmd.

2009-12-28  Clint Adams  <clint@zsh.org>

	* Chris Lamb: 27545: Completion/Unix/Command/_django:
	runserver_plus and files completion for django.

2009-12-18  Wayne Davison  <wayned@users.sourceforge.net>

	* users/14659: Src/hist.c: Add symlink-based hist-file locking.

2009-12-17  Peter Stephenson  <pws@csr.com>

	* Greg: 27529: Completion/Unix/Command/_subversion: make URL
	schemas (schemata?) configurable.

2009-12-16  Wayne Davison  <wayned@users.sourceforge.net>

	* 26735+unposted: Src/utils.c, Src/Modules/zftp.c, Src/Modules/zpty.c,
	Src/Zle/zle_main.c, Src/exec.c, Src/init.c, Src/input.c, Src/jobs.c,
	Src/parse.c:  Check the return value of all pipe(), read(), and
	write() calls.  Gets rid of all "ignoring return value" compiler
	warnings, and makes some read/write operations safer by ensuring
	that an EINTR is handled.

2009-12-16  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Misc/run-help-p4, Functions/Misc/.distfiles:
	new helper.

	* 27492 based on Jörg Sommer: 27473: Functions/Misc/run-help:
	fix alias problem.

2009-12-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27518: Completion/Unix/Command/_configure: suggest some
	more patterns for arguments.

2009-12-14  Andrey Borzenkov  <bor@zsh.org>

	* unposted: Completion/Unix/Command/_grep:
	add --exclude-dir option

2009-12-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Alexey I. Froloff: 27470: Completion/Unix/Command/_git:
	update.

2009-12-13  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Completion/Unix/Command/_rsync: Fixed the
	--human-readable options and arg-acceptance of -f.

2009-12-12  Clint Adams  <clint@zsh.org>

	* Michael Prokop: 27504: Completion/Debian/Command/_dput:
	fix typo with dput --delayed.

2009-12-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27503: Src/utils.c: fix crash when changing a hook
	function inside a hook function of the same type.

2009-12-10  Clint Adams  <clint@zsh.org>

	* 27494: Completion/Debian/Command/_bug: reportbug --paranoid,
	--no-paranoid, --body, and --body-file.

2009-12-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27479: Src/Zle/zle_tricky.c: prevent completions
	split across backlash-newline continuations from
	causing mayhem.

2009-12-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27466: Doc/Zsh/zle.yo: document 27453.

	* Mikael: 27453: Src/Zle/zle_refresh.c: highlighting
	of removable completions suffixes.

	* Frank: 27450: b/Completion/Unix/Command/_tmux: another
	update.

2009-12-05  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 27458: Completion/Unix/Command/_tmux:
	set-option -w completion.

	* Ingmar Vanhassel: 27457: Completion/Zsh/Command/_precommand:
	add hilite as a precommand.

	* Ingmar Vanhassel: 27456: Completion/Unix/Type/_tar_archive:
	complete .tar.lzma, .tbz, .txz.

2009-12-03  Clint Adams  <clint@zsh.org>

	* 27448: Completion/Unix/Command/_tar,
	Completion/Unix/Type/_tar_archive: mild understanding of
	xz-compressed tarballs.

2009-12-02  Peter Stephenson  <pws@csr.com>

	* 27447: Doc/Zsh/options.yo: document 27442.

	* Frank: 27446: Completion/Unix/Command/_tmux: update.

	* 27442 plus tweak: Src/exec.c, Src/init.c, Src/jobs.c,
	Src/signals.c: return status for last background job from
	wait even if it's already exited, but only if POSIX_JOBS
	is set.

2009-12-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Alexey: 27445: Completion/Unix/Command/_ruby: argument can be
	any file.

2009-11-30  Peter Stephenson  <pws@csr.com>

	* 27442: Src/exec.c, Src/init.c, Src/job.s,c Src/signals.c:
	add lastpid_status to record status of last background job
	even after it's exited.

	* 27441: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: add "sa"
	highlight code for suffix aliases.

	* Richard Hartmann: 27440: Src/Modules/cap.c, Src/Modules/zftp.c:
	typos in warnings.

2009-11-24  Peter Stephenson  <pws@csr.com>

	* Baptiste Daroussin: 27431: Completion/Unix/Command/_make: Fix
	for FreeBSD.

	* 27430: Completion/Unix/Command/_make: extend variable value
	completion to anything that looks like an assignment.

	* 27429:  Completion/Unix/Command/_make: restore variable value
	completion.  Also make indentation more standard (not posted).

	* Michael Hwang <michael.a.hwang@gmail.com>: 27428:
	Completion/Unix/Command/_make:  complete rewrite with
	variable completion.

2009-11-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Alexey. I Froloff: users/14588:
	Completion/Zsh/Command/.distfiles,
	Completion/Zsh/Command/_ztodo,
	Functions/Misc/.distfiles, Functions/Misc/ztodo: new ztodo
	function.

2009-11-20  Clint Adams  <clint@zsh.org>

	* 27417: Completion/Unix/Command/_gpg: fix completion after
	gpg --verify-files.

	* unposted: Functions/Prompts/prompt_clint_setup: change bracket
	colors default to yellow when in an ssh session.

2009-11-19  Peter Stephenson  <pws@csr.com>

	* Greg: 27416: Completion/Unix/Command/_subversion: repository
	path enhancement.

2009-11-17  Barton E. Schaefer  <schaefer@zsh.org>

	* 27415: Src/Zle/computil.c: comparguments "*::..." descriptions
	could step on sequentially earlier descriptions when completing
	for a word other than the last word on the command line.

2009-11-17  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: improve
	whole-path completion so that it doesn't take ages looking
	for clients after typing two slashes.

2009-11-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Greg Klanderman: 27409: Completion/Unix/Command/_subversion,
	Completion/Unix/Type/_urls: improve subversion remote paths
	and fix minor URL issues.

	* Frank Terbeck: 27407: Completion/Unix/Command/_tmux:
	switch-client subcommand.

	* Benjamin R. Haskell: users/14565, 27399:
	Completion/Unix/Command/_env: argument problem.

2009-11-11  Barton E. Schaefer  <schaefer@zsh.org>

	* Greg Klanderman: 27391: Completion/Unix/Command/_rm:
	 fix ignored (duplicate) file names

	* users/14548: Src/Modules/termcap.c: prevent libtermcap from
	exiting on an unknown terminal type

	* Alexey Froloff: 27367: Completion/Unix/Command/_ri: update
	for Ruby 1.9 and later

	* Frank Terbeck: 27364: Completion/Unix/Command/_tmux: fix
	cut'n'paste error in descriptions

2009-11-10  Barton E. Schaefer  <schaefer@zsh.org>

	* 27368, 27369: FEATURES: replace one incorrect example with two
	correct ones

2009-11-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27362: Src/Modules/attr.c: some more fixes.

2009-11-07  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 27359: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_tmux: completion for tmux 1.1.

2009-11-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27358: Src/builtin.c: error if $0 was altered within
	a sourced file.

	* 27357: Src/Modules/attr.c: fix compiler warnings

2009-11-06  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 27353: Functions/VCS_Info/VCS_INFO_bydir_detect,
	Functions/VCS_Info/vcs_info: More sanity checks for vcs_info

2009-11-05  Peter Stephenson  <pws@csr.com>

	* Jun T.: 27351: zdelattr missed first argument.

2009-11-04  Peter Stephenson  <pws@csr.com>

	* Mikael: 27347: Completion/Zsh/Command/_zattr,
	Doc/Zsh/mod_attr.yo, Src/Modules/attr.c: enhance the
	extended attribute support.

2009-11-03  Peter Stephenson  <pws@csr.com>

	* Mikael: 27337: Src/utils.c: fix bug with cd checking symlinks
	that could do arbitrarily nasty things when looking for a "/".

2009-10-29  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar: brief display
	failed on single-line entries.

2009-10-24  Clint Adams  <clint@zsh.org>

	* 27314, 27315: Completion/Unix/Command/_mpc: update for
	mpc 0.17.

	* unposted: update config.guess and config.sub to
	2009-06-10 and 2009-06-11 versions respectively.

2009-10-22  Peter Stephenson  <pws@csr.com>

	* Functions/Zle/history-beginning-search-menu: unposted:
	make more variables local.

	* unposted, c.f. 27313: INSTALL, NEWS, README, Doc/Zsh/contrib.yo,
	Doc/Zsh/manual.yo, Doc/Zsh/metafaq.yo, Etc/CONTRIBUTORS,
	Etc/FAQ.yo, Etc/changelog2html.pl,
	Functions/Zle/history-beginning-search-menu,
	Functions/Zle/insert-composed-char: mailing lists moved
	to zsh.org and website to zsh.sourceforge.net.

2009-10-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 27312: Completion/Unix/Command/_valgrind: option
	changes.

	* Jesse Weinstein: 27311: Completion/Unix/Type/_diff_options:
	remove redundant line.

	* Holger Weiss: 27310: Doc/Zsh/compsys.yo: typo.

	* Frank Terbeck: 27309: Doc/Zsh/contrib.yo: improve context
	in VCS_Info docs.

2009-10-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27308, based on 27305 from Edgar Merino:
	Completion/Unix/Command/_init_d, Completion/Unix/Type/_services:
	search for init scripts in other locations.

	* Lionel Flandrin: 27307:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Doc/Zsh/contrib.yo: enhanced VCS_INFO support for Mecurial.

2009-09-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* http://www.opensource.apple.com/source/zsh/zsh-53/patches/utils.c.patch:
	Src/utils.c: fix length of search when spell checking.

	* http://www.opensource.apple.com/source/zsh/zsh-53/patches/PR-6370391.patch:
	Src/jobs.c: fix error message.

2009-09-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jun T.: 27296: configure.ac: bad preprocessing of Mac OS
	Snow Leopard headers.

2009-09-29  Peter Stephenson  <pws@csr.com>

	* Jun T.: 27292: Src/Modules/socket.c: abuse of UNIX_PATH_MAX on
	Snow Leopard: use the correct maximum.

2009-09-22  Wayne Davison  <wayned@users.sourceforge.net>

	* 27286: Src/Modules/socket.c Src/Modules/tcp.c Src/utils.c:
	Made movefd() return the targetfd on success.  Added a little
	more error checking in the callers of movefd().

2009-09-22  Peter Stephenson  <pws@csr.com>

	* 27284: Src/exec.c, Src/parse.c, Src/utils.c,
	Src/Modules/socket.c, Src/Modules/tcp.c, Src/Modules/zpty.c:
	improve use of movefd() and restore closing of original fd
	on failure pending further work.

2009-09-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27283: Src/exec.c, Src/utils.c: failure to dup fd accessed
	uninitialised memory and closed the original fd regardless.

2009-09-21  Peter Stephenson  <pws@csr.com>

	* users/14411: Src/hashtable.c: only hash stat-able executable
	regular files in the command table.

2009-09-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Darel Henman: users/14412: Doc/Zsh/builtins.yo: fix confusions
	in explanation of getopts option arguments.

	* Holger Weiss: 27281: Doc/Zsh/expn.yo: example of global
	history substitution was wrong.

2009-09-18  Peter Stephenson  <pws@csr.com>

	* Mikael: 27279: Doc/Zsh/builtins.yo, Doc/Zsh/mod_zselect.yo:
	minor tweaks.

2009-09-16  Peter Stephenson  <pws@csr.com>

	* Baptiste Daroussin: 27277: Completion/BSD/Command/_csup: Improve
	csup completion.

2009-09-15  Peter Stephenson  <pws@csr.com>

	* users/14387 (tweaked): Doc/Zsh/grammar.yo: alternative syntax is
	not about to disappear, but does make shell scripts less portable
	and possibly readable.

2009-09-14  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 27262: Completion/Unix/Type/_path_files:
	prefixes were incorrect with accept-exact-dirs style.

2009-09-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Baptiste Daroussin: 27271: Functions/Zftp/zfanon: remove awk
	dependence.

	* Baptiste Daroussin: 27270: Functions/Zftp/zfcd_match: remove
	awk dependence.

2009-09-11  Peter Stephenson  <pws@csr.com>

	* Baptiste Daroussin: 27268: Functions/MIME/pick-web-browser:
	remove Perl dependency.

	* Baptiste Daroussin: 27267 plus 27269 plus doc:
	Functions/Zftp/zfrtime, Doc/Zsh/zftpsys.yo: remove perl
	dependency.

2009-09-10  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 27259 / 27260:
	Completion/Unix/Type/_path_files: make unset parameters in
	file prefix not be treated as empty.

2009-09-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Greg Klanderman: 27255: Doc/Zsh/builtins.yo,
	Doc/Zsh/compctl.yo, Doc/Zsh/compsys.yo, Doc/Zsh/contrib.yo:
	some consistency fixes.

2009-09-07  Peter Stephenson  <pws@csr.com>

	* 27236 (somewhat late): configure.ac: use $CPPFLAGS
	after all occurrences of $CPP and see what happens.

2009-09-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Holger Weiss <holger@CIS.FU-Berlin.DE>: 27248:
	Src/Zle/zle_hist.c: anchoring of vi search was wrong because
	of reversed prefix matching.

	* 27247: Functions/Misc/zmv: checking for "**/" was wrong.

2009-09-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Daniel Friesel <derf@tabularazor.org>: 27244:
	Completion/Unix/Command/_feh, Completion/Unix/Command/.distfils:
	new completion.

	* 27243: Src/params.c, Test/D04parameter.ztst: reverse
	indexing in array parameters with a beginning index out of range
	returned the wrong value.

2009-09-02  Peter Stephenson  <pws@csr.com>

	* 27240: Src/builtin.c: 27079 caused later use of tokstr and tok
	to be invalid.

2009-08-28  Peter Stephenson  <pws@csr.com>

	* 27233: Completion/Base/Utility/_values,
	Completion/Unix/Command/_mount: improve _values handling of
	optional arguments so that list separate removes the argument
	separator; use this to make "mount -o loop" complete better.

2009-08-21  Peter Stephenson  <pws@csr.com>

	* 27228: Functions/Newuser/zsh-newuser-install: add a clear
	function if the command doesn't exist.

2009-08-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27219: Completion/Unix/Type/_files: "_files -F <array>" wasnʼt
	correctly handled, which broke duplicate filtering in _rm.

	* 27218: Src/Zle/computil.c: don't unquote command line
	to generate "line" in _arguments since the caller can't
	tell what was there before.

2009-08-17  Peter Stephenson  <pws@csr.com>

	* 27217: Functions/Newuser/zsh-newuser-install: fix typo
	in assignment.

2009-08-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27216: Src/hist.c: set chwords to NULL when freed.

2009-08-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14307: Src/Zle/zle_tricky.c: end of current command in
	completion wasn't properly found when using variant zsh loop
	or test syntax.

2009-08-07  Peter Stephenson  <pws@csr.com>

	* Andrew Psaltis: 27212: Completion/Linux/Command/_pkgtool:
	Slackware supports extra tar formats.

2009-08-05  Peter Stephenson  <pws@csr.com>

	* 27211: Src/Zle/computil.c: Extend exact completion within
	compfiles -p/-P to treat drives and device files specially under
	Cygwin.

2009-08-05  Clint Adams  <clint@zsh.org>

	* 27209: Completion/Unix/Type_path_files: fix breakage from
	27208.

	* Mikael Magnusson: 27204: Completion/Unix/Command/_patch:
	remove stray curly brace.

	* 27208: Completion/Unix/Type_path_files: try to do the
	right thing when applying file-sort to extant glob qualifiers.

2009-08-01  Clint Adams  <clint@zsh.org>

	* 27203: Completion/Debian/Command/_aptitude: treat
	aptitude build-depends just as aptitude build-dep.

	* 27202: Src/system.h: unbreak _GNU_SOURCE on Debian
	GNU/kFreeBSD.

2009-07-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14267: Completion/Base/Core/_description: files added
	for the ignore-line style need to be quoted to be treated
	literally.

2009-07-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27188: Doc/Zsh/builtins.yo, Src/builtin.c, Test/B04read.ztst,
	Test/D07multibyte.ztst: Make read -q use the same code as read
	-k, hence enabling support for -t with terminals, -p and -u.

2009-07-21  Peter Stephenson  <pws@csr.com>

	* 27181: Doc/Zsh/options.yo, Src/builtin.c: extend POSIX_CD to
	handle target directory printing behaviour.

2009-07-20  Peter Stephenson  <pws@csr.com>

	* 27178, 27180: Etc/FAQ.yo: as pointed out by Mikael, quoting
	function names to stop alias expansion is always(ish) safe.

2009-07-19  Barton E. Schaefer  <schaefer@zsh.org>

	* 27169: Src/jobs.c, Src/signals.c: 23067 went too far in opening
	up the signal mask when waiting for jobs; an interrupt from the
	terminal should not terminate the shell until the foreground job
	has a chance to exit or to choose not to do so.

2009-07-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27167: Src/builtin.c, Src/options.c, Src/zsh.h,
	Doc/Zsh/builtins.yo, Doc/Zsh/options.yo: POSIX_CD option,
	currently only moves testing of "." to after testing of CDPATH.

2009-07-18  Clint Adams  <clint@zsh.org>

	* 27160: Completion/Debian/Command/_bug: tweaks to reportbug
	completion, thanks to Vincent Lefevre.

	* 27128: Completion/Unix/Type/_tex: complete tex files for
	latexmk.

2009-07-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/14240: Src/parse.c: assignment before a function
	definition should be an error, in common with other complex
	functions and as documented.

2009-07-14  Eric Blake  <ebb9@byu.net>

	* Eric Blake: 27151: Src/builtin.c: Fix // handling in cd for
	cygwin.

2009-07-14  Peter Stephenson  <pws@csr.com>

	* Andy Spencer: 27148: Completion/Linux/Command/_modutils:
	ignore build as well as source directories when searching
	recursively for modules.

2009-07-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27135: Doc/Zsh/options.yo, Src/exec.c, Src/jobs.c: expand
	POSIX_JOBS option to leave MONITOR on in subshell and not to
	report the parent shell's jobs.

	* 27134: Src/exec.c, Src/init.c: improve 27131 by setting
	FD_CLOEXEC for SHTTY or closing it by hand when executing.

2009-07-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27131: Src/exec.c, Src/jobs.c: tentative attempt to
	allow MONITOR option to be set in a subshell by not
	closing SHTTY.

	* 27129: Src/exec.c, Src/init.c, Src/zsh.h,
	Test/A01grammar.ztst, Test/C04funcdef.ztst,
	Test/D08cmdsubst.ztst: fix 27126 so as not to break the
	case where a status is tested at the start of a function,
	command substitution, or "." file.

2009-07-10  Clint Adams  <clint@zsh.org>

	* 27127: Vincent Bernat: Completion/Debian/Command/_bts: handle
	bts fixed and bts notfixed.

2009-07-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27126: Src/exec.c, Src/init.c, Test/A01grammar.ztst,
	Test/C04funcdef.ztst, Test/D08cmdsubst.ztst: a few more
	contexts where empty lists should give status zero.

	* 27125: Src/prompt.c: handle nested use of colour code buffer
	allocation.

2009-07-10  Peter Stephenson  <pws@csr.com>

	* 27122: Doc/Zsh/options.yo, Src/jobs.c, Src/options.c, Src/zsh.h:
	add POSIX_JOBS option to print only job text for bg and fg.

	* 27106: Src/exec.c, Src/signals.c, Src/zsh.h,
	Test/A01grammar.ztst: on a command line that had text that
	expanded to nothing reset the status (unless it should come
	from a command substitution).

	* 27119: Src/jobs.c: correct 27112: output is to stdout, not
	stderr, and there's no automated jobs notification if not
	INTERACTIVE.

2009-07-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27112: Src/jobs.c: allow output to stderr if MONITOR but
	not INTERACTIVE.

2009-07-09  Eric Blake  <ebb9@byu.net>

	* 27109: Touch up non-interactive MONITOR handling.
	Don't mess with tty when MONITOR but not interactive.

2009-07-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27110: Src/init.c: Only turn on MONITOR if INTERACTIVE is on
	or if set explicitly.

2009-07-08  Peter Stephenson  <pws@csr.com>

	* 27100: Allow MONITOR option in non-interactive shells.
	Not properly test it, but you only get if you ask for it,
	so worth committing to allow it to be further investigated.

2009-07-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27092: Src/parse.c, Test/A01grammar.ztst: "if" didn't check
	for missing clauses so a missing then-clause wasn't spotted
	as an error.

2009-07-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Brendan Cully: 27088: Completion/Unix/Command/_hg,
	Completion/Unix/Command/.distfiles: new Mercurial completion.

2009-07-02  Peter Stephenson  <pws@csr.com>

	* 27087: Doc/Zsh/builtins.yo, Src/builtin.c, Src/zsh.h,
	Test/A01grammar.ztst:  change return codes from 27083 to
	126, 127.

	* Nicolas Pouillard: 27028: Completion/Unix/Command/_darcs: New
	darcs completion; it's a lot shorter but apparently that's OK.

2009-07-01  Peter Stephenson  <pws@csr.com>

	* 27085: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c:
	in scrollist keymap allow accept-search to exit but do nothing
	else.

	* 27083: Doc/Zsh/builtins.yo, Src/builtin.c, Src/init.c,
	Src/zsh.h, Src/Modules/newuser.c, Test/A01grammar.ztst:  "."
	returns status 128 on execution failure, 129 on failure to find
	file.

	* 27080: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: it
	wasn't possible to exit menu selection cleanly.

2009-07-01  Peter Stephenson  <pws@csr.com>

	* 27079: Src/builtin.c: test builtin uses parser and so should
	save and restore the lexical context to avoid pulling the
	rug out when called in some nested fashion.

2009-06-28  Andrey Borzenkov  <bor@zsh.org>

	* unposted: Completion/Unix/Command/_man:
	support lzma compression of man pages used in Mandriva

2009-06-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27061: Nicolas Lalevée: Completion/Unix/Command/_ant:
	importing files into ant.

2009-06-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Greg Klanderman: 27057: Src/utils.c: %e and %f time formats
	were swapped.

	* Frank Terbeck: users/14207:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: make
	variable local.

2009-06-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Frank Terbeck: 27049, 27050, 27051, 27052:
	Functions/VCS_Info/VCS_INFO_bydir_detect,
	Functions/VCS_Info/Backends/VCS_INFO_detect_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg: VCS_INFO
	improvements.

2009-06-18  Clint Adams  <clint@zsh.org>

	* 27048: Functions/MIME/zsh-mime-setup: avoid multiline prints
	which break CSH_JUNKIE_QUOTES.

2009-06-05  Peter Stephenson  <pws@csr.com>

	* 27305: Functions/Misc/run-help: use POSIXLY_CORRECT with man
	to avoid GNU man grabbing options in the argument list.

	* 27304: Doc/Zsh/expn.yo, Src/subst.c, Src/utils.c, Src/zsh.h,
	Test/D04parameter.ztst:  add ${(q-)...} flag to do minimal
	quoting of arguments with no unnecessary single quotes.

2009-06-04  Peter Stephenson  <pws@csr.com>

	* Baptiste Daroussin: 27033: Completion/BSD/Command/_portaudit,
	Completion/Unix/Command/_mount: more FreeBSD changes.

	* Baptiste Daroussin: 27030: Completion/Unix/Type/_file_systems:
	update for FreeBSD.

	*  Baptiste Daroussin: 27029: Completion/BSD/Command/_pfctl: new
	completion.

2009-06-02  Clint Adams  <clint@zsh.org>

	* Colin Watson: 27027: Completion/Unix/Command/_bzr:
	completion for bzr switch.

2009-06-02  Peter Stephenson  <pws@csr.com>

	* Akinori MUSHA: private communication:
	Completion/Unix/Command/_subversion: fix typo.

	* Config/version.mk: update version recorded in archive
	to 4.3.10-dev-1 (not released).

2009-06-01  Wayne Davison  <wayned@users.sourceforge.net>

	* Util/mkdisttree.sh, Util/preconfig: Tweak find to prune a .git dir.
	This allows a .git/cvs dir to exist with a cvs checkout in it.

2009-06-01  Peter Stephenson  <pws@csr.com>

	* Config/version.mk: release 4.3.10.

2009-05-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jesse W: 27024: configure.ac, Doc/Makefile.in: allow
	overriding TEXI2HTML.

2009-05-30  Clint Adams  <clint@zsh.org>

	* 27025: Src/system.h: define _GNU_SOURCE on the Hurd.

2009-05-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 27021: Src/pattern.c: length of variable saving globflags
	was wrong causing restored value to be wrong in pattern matching
	on big-endian 64-bit systems.

2009-05-28  Peter Stephenson  <pws@csr.com>

	* Jun T.: 27010: Completion/Unix/Command/_date: Darwin.

2009-05-26  Peter Stephenson  <pws@csr.com>

	* 26998: configure.ac, Config/defs.mk.in: use --htmldir passed
	to configure:  restore zsh default if unchanged from current
	configure default of '${docdir}'.

2009-05-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Ingmar Vanhassel: 26990: Doc/Makefile.in: tidy up all html
	files created by updated naming scheme.

2009-05-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Michael Hwang: 26986: Doc/Zsh/compsys.yo: formatting.

2009-05-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26978: Julien Langer: Completion/Unix/Command/_stgit: complete
	patch names.

2009-05-22  Peter Stephenson  <pws@csr.com>

	* 26982: Julien Langer: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: support stgit

	* 26970: Greg Klanderman: Completion/Unix/Command/_subversion: fix
	caching.

2009-05-22  Clint Adams  <clint@zsh.org>

	* 26939: Completion/Unix/Command/_xmms2: clean up xmms2 jump
	completion.

	* Patrick Schoenfeld: 26977: Completion/Unix/Command/_perl:
	complete .t files for perl.

2009-05-20  Peter Stephenson  <pws@csr.com>

	* 26975: Src/builtin.c: compilation issues in bin_print().

	* users/14143 plus extra fix in padding code: Doc/Zsh/params.yo,
	Src/subst.c, Src/utils.c: use default IFS if IFS is unset.

2009-05-19  Peter Stephenson  <pws@csr.com>

	* 26973: Doc/Zsh/contrib.yo, Functions/Misc/zmathfuncdef: make
	zmathfuncdef replace functions and list existing functions.

	* Config/version.mk: 4.3.9-dev-5 (4.3.9-dev-4 not recorded).

	* Greg Klanderman: 26972: Src/utils.c: fix problem ni 26964.

2009-05-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Greg Klanderman: 26964 (modified): Src/utils.c,
	Doc/zsh/options.yo, Doc/Zsh/params.yo:  make prompt
	end-of-line configurable with PROMPT_EOL_MARK.

	* Greg Klanderman: 26963: fix suffix handling for svn completion

2009-05-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Paul Ackersviller: 26962: configure.ac, aczsh.m4,
	Src/module.c, MACHINES, INSTALL: updated HP-UX dynamic linking.

2009-05-13  Peter Stephenson  <pws@csr.com>

	* users/14118: Functions/Prompts/prompt_special_chars: fix test
	and assignment.

	* Paul Ackersviller: 26959: Test/Makefile.in: need a delay before
	removing modules after testing on HP-UX.

2009-05-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26958: Src/prompt.c: Reallocation of prompt line didn't
	fix the pointer to the start of the current line.

2009-05-12  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Prompts/prompt_bart_setup: fix a warning
	with WARN_CREATE_GLOBAL.

	* Src/builtin.c: fix some memory usage issues.

2009-05-11  Peter Stephenson  <pws@csr.com>

	* 26956: Etc/zsh-development-guide, Src/Zle/zle_refresh:
	clear up region highlight variables properly and note that the
	variables should be zeroed even if the module is being unloaded
	(problem on HP-UX).

2009-05-09  Andrey Borzenkov  <bor@zsh.org>

	* unposted: Completion/Unix/Command/_getfacl:
	fix options definition; add file names completion for variant=unix

2009-05-08  Peter Stephenson  <pws@csr.com>

	* 26953: Test/D07multibyte.ztst: print warning but don't fail test
	if system apparently can't do simple character set conversion.

	* 26950: Src/params.c: warn on failed attempt to change real or
	effective group or user ID.

	* 26949: Completion/Unix/Command/_sudo: new options and sudoedit.

	* 26948: Src/Zle/zle_refresh.c: ensure recorded window sizes
	are reset when video data is freed.

2009-05-07  Peter Stephenson  <pws@csr.com>

	* 26945: Src/builtin.c, Test/D07multibyte.ztst: read should
	pass through invalid multibyte characters.

2009-05-06  Clint Adams  <clint@zsh.org>

	* 26937: Completion/Unix/Command/_git: have `git log` complete
	files after branch/range.

2009-05-05  Peter Stephenson  <pws@csr.com>

	* martin f. krafft: 26922: Completion/Unix/Command/_xmms2: extend
	xmms2 completion.

2009-04-30  Barton E. Schaefer  <schaefer@zsh.org>

	* users/14076 (tweaked per 26906): Completion/Unix/Command/_ssh:
	Add -q or -r: options to some compadd argument lists to properly
	handle suffix removal when completing ssh option names or remote
	host references in file names.

2009-04-30  Peter Stephenson  <pws@csr.com>

	* c.f. 26895: Test/D07/multibyte.ztst: restrict the sorting test
	to western European characters.

2009-04-29  Peter Stephenson  <pws@csr.com>

	* 26900: Benjamin R. Haskell: Completion/Unix/Command/_ssh: ssh -Y,
	-x and -X are mutually exclusive.

	* 26899: Ingmar Vanhassel: Completion/Unix/Command/_ssh: -Y option

	* 26898: Ingmar Vanhassel: configure.ac: don't link
	libbind unless really needed.

2009-04-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Paul Ackersviller: 26883: Test/D07multibyte.ztst: naming of
	UTF8 locales is different in HPUX.

2009-04-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted, see 26880: Functions/Misc/run-help: back off 26862.

2009-04-24  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: update to 4.3.9-dev-3.

	* uposted: update some .distfiles

	* 26876 (documentation slightly modified): NEWS, Doc/Zsh/compwid.yo,
	Doc/Zsh/params.yo, Src/Zle/compresult.c, Src/Zle/zle.h,
	Src/Zle/zle_misc.c: add ZLE_REMOVE_SUFFIX_CHARS and
	ZLE_SPACE_SUFFIX_CHARS to make actions for suffix removals when
	not controlled by completion system more configurable.

2009-04-23  Clint Adams  <clint@zsh.org>

	* 26877, 26879: Completion/Debian/Command/_apt: handle apt-get
	purge.

2009-04-22  Peter Stephenson  <pws@csr.com>

	* see 26867: Functions/VCS_Info/Backends/VCS_INFO_get_data_svk:
	remove odd "${".

2009-04-21  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 26862: Functions/Misc/run-help: remove
	unecessary "print".

	* Greg Klanderman (26861) + 26863:
	Completion/Base/Widget/_read_comp: don't warn over unset
	parameters but typeset -g _read_comp anyway.

	* 26858: Test/A01grammar.ztst: use zsh -fc instead of /bin/sh -c
	for testing exec -l to avoid sensitivity to /etc/profile.

	* 26853 + typo fix: NEWS, README, Etc/CONTRIBUTORS, Etc/FAQ.yo,
	Etc/relnote_4.3.10.txt: package documentation updates.

2009-04-20  Peter Stephenson  <pws@csr.com>

	* Src/Modules/terminfo.mdd: make test agree with the one
	in terminfo.c.

2009-04-20  Clint Adams  <clint@zsh.org>

	* Kalle Olavi Niemitalo: 26850: Completion/Unix/Command/_git:
	fix breakage in git write-tree and git send-pack.

2009-04-18  Andrey Borzenkov  <bor@zsh.org>

	* users/14033 as modified by users/14037 and added doc:
	Completion/Base/Utility/_describe, Doc/Zsh/compsys.yo: allow
	quoting of ":" with backslashes in possible matches in _describe

2009-04-17  Peter Stephenson  <pws@csr.com>

	* users/14041: Doc/Zsh/zle.yo, Src/Zle/zle_bindings.c: bind ":"
	by default to execute-named-cmd in vicmd mode.

	* unposted: Config/version.mk: change version to 4.3.9.dev-2.

	* Jesse W: 26840: Doc/Zsh/manual.yo: texi2html instructions.

2009-04-16  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_mdmadm -> _mdadm

	* 26389: Doc/.cvsignore, Doc/.distfiles, Doc/Makefile.in: add
	--node-files option to texi2html.

	* Alexey I. Froloff: 26830: Completion/Unix/Command/_man: fix
	stripping of manual page suffixes.

	* Evgenii Terechkov: 26831: Completion/Unix/Command/_screen:
	filter out redundant output.

	* Alexey I. Froloff: 26829: Completion/Unix/Command/_rsync:
	miscounting fields in output.

	* Tomasz Pala: users/14031: Completion/Linux/Command/_ipset:
	updates.

	* Tomasz Pala: users/14032: Completion/Linux/Command/_mdmadm,
	Completion/Linux/Command/_rpmbuild: new completions.

	* Tomasz Pala: users/14030: Completion/Linux/Command/_ethtool:
	update.

2009-04-07  Peter Stephenson  <pws@csr.com>

	* Bart: 26822: Completion/Zsh/Context/_subscript: ">" should
	be "-gt"---caused infinite loop looking for nonexistent subscript.

2009-04-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	*  Frank Terbeck <ft@bewatermyfriend.org>:  Functions/VCS_Info/*:
	26816: vcs_info: add revision and "misc" argument to
	VCS_INFO_formats(); 26817: updates for get-revision, %i and %m;
	26818:  Add git's sha1 hash as revision information; 26819: Add
	information about hg's local revision number and the  commit's
	hash; 26820:  Make the hg backend work with new versions of
	mercurial.

2009-04-06  Peter Stephenson  <pws@csr.com>

	* 26806 (doc tweaked): Add CORRECT_IGNORE variable for pattern to
	be ignored by correction from internal hash tables.

2009-04-04  Clint Adams  <clint@zsh.org>

	* Simon Ruderich: 26800: Completion/Unix/Command/_git: fixes for "git add"
	completion.

2009-04-01  Peter Stephenson  <pws@csr.com>

	* 26801: Completion/Base/Core/_main_complete,
	Completion/Unix/Command/_calendar,
	Completion/Zsh/Command/_command,
	Completion/Zsh/Command/_precommand: add completion for calendar
	function; add tracking for precommand modifiers that are
	in effect.

2009-03-26  Peter Stephenson  <pws@csr.com>

	* 26797: Doc/Zsh/options.yo: further minor changes.

	* 26795: Doc/Zsh/options.yo: further warning in POSIX_ALIASES.

2009-03-25  Peter Stephenson  <pws@csr.com>

	* 26783: Doc/Zsh/compsys.yo, Completion/Base/Completer/.distfiles,
	Completion/Base/Completer/_user_expand: new _user_expand completer.

	* Jon Strait: 26778, 26781: Doc/Zsh/mod_pcre.yo,
	Src/Modules/pcre.c:  a couple of extra options for PCRE matching.

	* Michael Hwang: 26776: Src/builtin.c: improved column alignment
	with print -c -P.

2009-03-24  Peter Stephenson  <pws@csr.com>

	* 26774: Src/utils.c: cd to $HOME on failure in preference to /.

	* 26772: Src/glob.c, Src/utils.c, Src/zsh.h, Src/Modules/files.c:
	more failed cd handling: fix possible runaway series of chdirs;
	better error handling.

2009-03-23  Peter Stephenson  <pws@csr.com>

	* 26769: Src/utils.c: 26767 created an even worse problem.

	* 26748: Doc/Zsh/expn.yo, Src/hist.c, Src/subst.c: c modifier
	to add command path.

	* 26767: Src/utils.c: 26763 created file descriptor leak.

2009-03-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26763: Src/utils.c: fix problem restoring directory
	when attempting to cd to relative path and failing.

	* users/13593: Src/utils.c: tidy up from 26625.

2009-03-20  Peter Stephenson  <pws@csr.com>

	* Bart: 26761: Src/hist.c: typo in 26754.

2009-03-19  Peter Stephenson  <pws@csr.com>

	* Mikael: 26759: Src/Modules/curses.mdd: missing here-document
	terminator.

	* 26756: Completion/Zsh/Type/_history_modifiers: handling
	following :s was wrong.

	* 26754: configure.ac, Doc/Zsh/expn.yo, Src/compat.c, Src/hist.c:
	tweak zgetdir() (but don't use it) and test for realpath().

2009-03-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26752: Src/hist.c: fix ../ removal in :a and metafication
	in :a and :A modifiers.

2009-03-18  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 26751: Functions/VCS_Info/vcs_info_setsys:
	suppress warning with WARN_CREATE_GLOBAL.

2009-03-17  Peter Stephenson  <pws@csr.com>

	* 26746: Completion/Zsh/Context/_normal,
	Completion/Zsh/Type/_history_modifiers: complete new history
	modifiers a and A and allow completion of history modifiers
	at the start of double quotes.

2009-03-16  Peter Stephenson  <pws@csr.com>

	* 26744: Completion/Zsh/Context/_normal: handle completion
	of history modifiers for normal command line arguments.

2009-03-15  Barton E. Schaefer  <schaefer@zsh.org>

	* users/13937, users/13939: configure.ac, Src/jobs.c: check for
	and if available use setproctitle() for "jobs -Z".

2009-03-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26736: Doc/Zsh/expn.yo: document 26731.

	* Michael Hwang: 26731 (with cosmetic changes): Src/hist.c,
	Src/subst.c: add `a' and `A' modifiers.

2009-03-14  Wayne Davison  <wayned@users.sourceforge.net>

	* 26735: Src/Modules/files.c, Src/Modules/mapfile.c,
	Src/Modules/zftp.c, Src/builtin.c, Src/exec.c,
	Src/hist.c, Src/utils.c: improved return-value checking.

2009-03-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/13910: Src/jobs.c: spawnjob() should output job
	information to the tty like printjob() does.

	* 26699: Makefile.in: dependencies for config.modules.

2009-03-14  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Adding .gitignore for the mirrored git repo.

2009-03-13  Peter Stephenson  <pws@csr.com>

	* users/13902: Doc/Zsh/zle.yo, Src/Zle/zle_hist.yo,
	Src/Zle/zle_params.yo: improve return value from isearch functions
	and add LASTABORTEDSEARCH variable.

	* 26723: Completion/Unix/Type/.distfiles,
	Completion/Unix/Type/_have_glob_qual,
	Completion/Unix/Type_path_files: centralise test for whether
	file has glob qualifiers and how to match them.

	* users/13903: Src/Zle/zle_hist.c: repeated vi searching was
	broken and "_" prompt was missing.

2009-03-13  Barton E. Schaefer  <schaefer@zsh.org>

	* 26713: Completion/Zsh/Type/_globflags: add #autoload

2009-03-13  Geoff Wing  <gcw@zsh.org>

	* unposted: LICENCE: update year to 2009

2009-03-10  Peter Stephenson  <pws@csr.com>

	* 26708: Src/hist.c: print message if we give up trying to
	create a lock file with hard links.

	* 26705: Src/subst.c, Test/D07multibyte.ztst: still problems
	with multibyte characters with Meta in prompt expansion within
	parameter expansion.

2009-03-09  Peter Stephenson  <pws@csr.com>

	* 26702: Src/init.c: lexsave()/lexrestore() needed around
	use of history in loop() when not at top level; shows up
	when calling things from zle, for example.

	* derf@sievert.tabularazor.org: 22701:
	Completion/Unix/Command/_devtodo: new completion

2009-03-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26697: configure.ac, Src/Modules/attr.c, Src/Modules/attr.mdd:
	test for Linux- and Mac- style xattr functions and don't use
	if neither appropriate.

2009-03-06  Peter Stephenson  <pws@csr.com>

	* unposted: fix definition of _perforce_whole_path in 26690.

2009-03-04  Peter Stephenson  <pws@csr.com>

	* 26690: Completion/Unix/Command/_perforce: the
	whole-path style allows you to complete certain types of
	file (e.g. opened) as a complete path rather than in directory
	segments; the special value absolute only does that if you
	type the leading slash.

	* unposted: Etc/FAQ.yo: add POSIX_ALIASES and POSIX_IDENTIFIERS
	to the list of compatibility options with ksh.

2009-03-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26686: Src/exec.c, Src/utils.c: storing long $_ on the
	stack can be problematic, so use zalloc() rather than VARARR().

	* 26683: Doc/Zsh/params.yo, Doc/Zsh/roadmap.yo: add some notes
	on LC_CTYPE etc.

	* unposted: Src/Modules/cap.c: that's what happens when you
	make patches for things that aren't supported on your system.

2009-03-03  Peter Stephenson  <pws@csr.com>

	* 26680: Src/Modules/cap.c: missed some stuff that needed metafied
	arguments.

	* 26677: Src/Module/caps.c: need some unmetafy() calls as noticed
	by Mikael.

	* 26676: Doc/Zsh/options.yo: redirect to main description
	of reserved words instead.

	* 26675: Doc/Zsh/options.yo, Src/lex.c, Src/options.c, Src/zsh.h,
	Test/A02alias.ztst: add POSIX_ALIASES option.

	* 26671: Completion/Zsh/Command/_zattr, Doc/Zsh/.distfiles,
	Src/Modules/attr.c: various minor tidy-ups (tidies up?) for
	26670.

	* Mikael Magnusson: 26670: configure.ac,
	Completion/Command/Zsh/.distfiles, Completion/Zsh/Command/_zattr,
	Doc/Makefile.in, Doc/Zsh/.distfiles, Doc/Zsh/mod_attr.yo,
	Src/Modules/.distfiles, Src/Modules/attr.c, Src/Modules/attr.mdd:
	add module to handle Linux extended file attributes.

	* Jun T.: 26667: Doc/Zsh/prompt.yo: separate out parentheses.

2009-03-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 26665: Src/utils.c: fix one incorrect test in 26614.

2009-03-02  Peter Stephenson  <pws@csr.com>

	* Lionel Flandrin: 26625: Src/utils.c: inopportune interrupt
	could wreck terminal set up.

	* 26614 plus 26615: Doc/Zsh/builtins.yo, Doc/Zsh/calsys.yo,
	Doc/Zsh/prompt.yo, Src/builtin.c, Src/utils.c: support
	-t <fmt> in history and as a side effect support GNU
	"-" extension for date and time elements with no padding
	for those handled internally.

2009-03-01  Clint Adams  <clint@zsh.org>

	* Frank Blendinger: 26656: Completion/Unix/Command/_gnupod:
	improved gnupod completion.

	* Chris Lamb: 26655: Completion/Unix/Command/_django: complete
	custom Django management commands.

2009-02-28  Clint Adams  <clint@zsh.org>

	* Daniel Friesel: 26636: Completion/X/Command/_mplayer: complete
	.flac files for mplayer.

2009-02-27  Barton E. Schaefer  <schaefer@zsh.org>

	* 26609: Completion/Unix/Type/_path_files: further / different fix
	for doubled -s in path completion, which only might be correct in
	all cases but is more correct for the original failed example.

	* unposted: Completion/Base/Utility/_pick_variant: be consistent
	about explicitly returning 0 or 1, just because.

2009-02-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26622: Src/lex.c, Test/A01grammar.ztst: improve 26617 and add
	test.

2009-02-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26617, c.f. Tomáš Smetana, 26610: Src/lex.c: comments
	weren't handled in $(...).

2009-02-26  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 26612: Doc/Zsh/contrib.yo: VCS info documentation
	fix

2009-02-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26606: Completion/Unix/Type/_path_files: fix doubled -s
	in path completion in certain cases.

2009-02-25  Peter Stephenson  <pws@csr.com>

	* Src/hist.c: 26602: history substitution buffer could overflow
	with no test.

2009-02-25  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 26596: Completion/Unix/Command/_git: new git
	options.

	* Jörg Sommer: 26593: Completion/Debian/Command/_lintian: complete
	multiple files for lintian.

2009-02-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26588: Src/Zle/zle_tricky.c: don't expand aliases in run-help
	since the run-help function can do that.

2009-02-20  Peter Stephenson  <pws@csr.com>

	* c.f. 26586: Src/builtin.c, Src/lex.c, Src/parse.c: rename yylex
	to zshlex and yytext to zshlextext to avoid possible clashes
	in linked libraries.

	* 26584: configure.ac, Src/Modules/tcp.h: use bind/netdb.h where
	appropriate.

2009-02-19  Peter Stephenson  <pws@csr.com>

	* 26583: Src/init.c, Src/zsh.h: use HOOK_SUFFIX more widely
	for "*_functions" arrays.

2009-02-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Jörg Sommer: 26582: Completion/Unix/Command/_date: --rfc-3339
	option.

2009-02-18  Peter Stephenson  <pws@csr.com>

	* 26580: Mikael: Doc/Zsh/func.yo: typo.

	* 26579: Doc/Zsh/func.yo: fix hook function documentation.

	* unposted: Src/.cvsignore: ignore patchlevel.h.

	* Arkadiusz Miskiewicz <arekm@maven.pl>: 26573:
	Functions/Completion/compdump: force compdump to overwrite
	dump file if mv is a bit dubious.

2009-02-14  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Danek Duvall: 26571: Src/Zle/complete.mdd,
	Completion/Solaris/Command/_dladm,
	Completion/Solaris/Command/_ptree,
	Completion/Solaris/Command/_svccfg,
	Completion/Solaris/Command/_svcs, Completion/Unix/Command/_zfs,
	Completion/Unix/Command/_zpool: additions for Solaris
	support.

	* Richard Hartmann: 26558: Doc/Zsh/options.yo: modification
	of 2650.

2009-02-12  Clint Adams  <clint@zsh.org>

	* 26565: Completion/Unix/Command/_patch: fix breakage in 26482.

2009-02-12  Peter Stephenson  <pws@csr.com>

	* 26560: Doc/Zsh/builtins.yo: document autoload -z/-k (finally).

2009-02-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26556: Doc/Zsh/builtins.yo: documentation for 26546.

	* 26546: Src/builtin.c, Src/exec.c, Src/hashtable.c, Src/init.c,
	Src/mkbltnmlst.sh, Src/options.c, Src/params.c, Src/parse.c,
	Src/signals.c, Src/subst.c, Src/zsh.h, Src/Modules/newuser.c,
	Src/Modules/parameter.c, Test/B07emulate.ztst: sticky emulation
	for functions defined within emualate ... -c ... environments.

2009-02-11  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/age: accidentally committed a
	currently undocumented change that allows an age spec beginning
	with a colon to be followed by a file name whose modification time
	will be used as the date/time.  Probably needs improving but
	not actually harmful since the syntax wasn't valid before.

	* Richard Hartmann: 26550: Doc/Zsh/options.yo: make
	it clear that various options can't be changed within the shell.

	* Frank Terbeck: 26549: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_cdv,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_cvs,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_darcs,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_mtn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svk,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_tla,
	Functions/VCS_Info/VCS_INFO_formats: improvements to VCS_Info:
	check for changes in git.

	* Richard Hartmann: 26547: Doc/Zsh/options.yo: further extension
	to option indexing:  NOoptions without underscore.

2009-02-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26545: Test/B07emulate.ztst: new test.

2009-02-10  Clint Adams  <clint@zsh.org>

	* 26544: Completion/Unix/Command/_lp: complete pdf files
	as well as ps.

2009-02-09  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 26538: Completion/Base/Widget/_read_comp:
	needs "nounset" option.

	* Richard Hartmann: 26536: Doc/Zsh/options.yo: add index entries
	for options that appear with "NO" in front.

	* Richard Hartmann: 26535: Doc/Zsh/options.yo: remove typo.

2009-02-08  Andrey Borzenkov  <bor@zsh.org>

	* 26530: Doc/Zsh/builtins.yo: clarify that "emulate -c"
	restores all options on return, not only those related
	to emulation

2009-02-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Allan Caffee <allan.caffee@gmail.com>: 26532: index option
	names without underscore, too.

2009-02-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/zle.yo: use of highlighting was out of
	date.

2009-02-06  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/builtins.yo: typo in previous patch
	spotted by Mikael.

	* 26517: Doc/Zsh/builtins.yo, Doc/Zsh/compsys.yo,
	Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo, Doc/Zsh/options.yo,
	Doc/Zsh/params.yo: prompt expansion section in Unix manual
	is actually named EXPANSION OF PROMPT SEQUENCES.

2009-02-05  Peter Stephenson  <pws@csr.com>

	* unposted: fix number in foregoing.

	* 26513: README: note that addition of ".." in completion
	was broken.

2009-02-01  Andrey Borzenkov  <bor@zsh.org>

	* 26504: Doc/Zsh/options.yo: document that LOCAL_OPTIONS
	does not restore PRIVILEGED and RESTRICTED

2009-01-30  Clint Adams  <clint@zsh.org>

	* 26494: Completion/Unix/Command/_pydoc: completion for pydoc.

2009-01-29  Peter Stephenson  <pws@csr.com>

	* 26485: Completion/Unix/Type/_path_files: accept-exact-dirs could
	rearrange directories into the wrong order.

2009-01-29  Clint Adams  <clint@zsh.org>

	* 26482: Completion/Unix/Command/_patch: complete patch -U,
	--unified-reject-files, --global-reject-file.
	* unposted: move _getfacl and _setfacl from Completion/Cygwin/Command
	to Completion/Unix/Command.
	* 26483: Completion/Unix/Command/_getfacl,
	Completion/Unix/Command/_setfacl: handle SGI's acl programs as well
	as Cygwin's.
	* Jörg Sommer: 26451: Completion/Linux/Command/_modutils: use
	globbing to find available modules, now that modprobe -l is
	deprecated.
	* Jörg Sommer: 26452: Completion/Linux/Command/_modutils: drop
	completion of modinfo -f.
	* Jörg Sommer: 26453: Completion/Linux/Command/_modutils: complete
	modinfo -k.
	* Ingmar Vanhassel: 26467: Completion/Unix/Command/_git: add "git
	remote rename" completion.
	* Ingmar Vanhassel: 26468: Completion/Unix/Command/_git: "git
	stage" is now a synonym for "git add". git diff: --staged is a
	synonym for --cached.
	* Ingmar Vanhassel: 26469: Completion/Unix/Command/_git: complete
	"git clone --verbose".
	* Ingmar Vanhassel: 26470: Completion/Unix/Command/_git: update
	"git svn" completion.
	* Ingmar Vanhassel: 26471: Completion/Unix/Command/_git: update
	"git rebase" completion.
	* Ingmar Vanhassel: 26472: Completion/Unix/Command/_git: complete
	"git add --intent-to-add".
	* Ingmar Vanhassel: 26473: Completion/Unix/Command/_git: complete
	"git commit --cleanup=" and "git commit --allow-empty".
	* Ingmar Vanhassel: 26474: Completion/Unix/Command/_git: add
	"git describe --tags" completion and fix typos.

2009-01-29  Peter Stephenson  <pws@csr.com>

	* 26466: Src/Zle/compmatch.c: with suffix, bld_line() got
	the arithmetic over patterns wrong.

2009-01-28  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 26465: Doc/Zsh/zle.yo, Src/Zle/zle_keymap.c:
	add command keymap for command execution.

	* Greg Klanderman: 26464: Completion/Unix/Type/_pids: style
	insert-ids=single was problematic with menu completion.

	* Greg Klanderman: 26463: Doc/Zsh/zle.yo, Src/Zle/zle_main.c: add
	zle-line-finish widget.

2009-01-27  Peter Stephenson  <pws@csr.com>

	* 26448: Doc/Zsh/expn.yo, Src/glob.c: glob sort operators
	oe and o+ allow arbitrary code to pick name for sorting.

2009-01-26  Peter Stephenson  <pws@csr.com>

	* Greg Klanderman: 26439: Doc/Zsh/mod_system.yo: convert sections
	to subsections.

2009-01-25  Andrey Borzenkov  <bor@zsh.org>

	* 26425: Doc/Zsh/builtins.yo Src/builtin.c:
	"emulate csh -c command" will evaluate `command' after temporary
	enable csh emulation. Note that `-c' is not actually an option,
	but positional parameter.

2009-01-24  Doug Kearns  <dougkearns@gmail.com>

	* 26413: Completion/Unix/Command/_ant: update for version 1.7.1.

	* 26411: Completion/Cygwin/Command/.distfiles,
	Completion/Cygwin/Command/_cygcheck,
	Completion/Cygwin/Command/_cygpath,
	Completion/Cygwin/Command/_cygrunsrv,
	Completion/Cygwin/Command/_cygserver,
	Completion/Cygwin/Command/_cygstart,
	Completion/Cygwin/Command/_dumper,
	Completion/Cygwin/Command/_getclip,
	Completion/Cygwin/Command/_getfacl,
	Completion/Cygwin/Command/_mkshortcut,
	Completion/Cygwin/Command/_mkzsh,
	Completion/Cygwin/Command/_putclip,
	Completion/Cygwin/Command/_readshortcut,
	Completion/Cygwin/Command/_setfacl: update Cygwin completion
	functions and add new completion for setfacl and readshortcut.

2009-01-22  Clint Adams  <clint@zsh.org>

	* 26407: Completion/Debian/Command/_aptitude: patch to handle
	aptitude build-dep, from Sven Joachim.

	* 26405: Completion/Unix/Command/_xmms2: completion for
	xmms2, from Louis-David Mitterand.

2009-01-22  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Etc/zsh-development-guide: fix some typos.

2009-01-20  Peter Stephenson  <pws@csr.com>

	* 26373: Src/Zle/complist.c: initialise variable in menu
	completion in attempt to prevent crash when starting
	a new completion.

2009-01-20  Doug Kearns  <dougkearns@gmail.com>

	* 26372: Completion/Unix/Command/_antiword: update for version
	0.37.

2009-01-19  Peter Stephenson  <pws@csr.com>

	* 26366: Doc/Zsh/zle.yo, Src/Zle/iwidgets.list,
	Src/Zle/zle_hist.c, Src/Zle/zle_keymap.c: add "isearch"
	keymap and "accept-search" function.

	* Doug Kearns: 26365: Completion/Unix/Command/_python: new 3.0
	options.

2009-01-19  Wayne Davison  <wayned@users.sourceforge.net>

	* 26362: Src/Modules/regex.c: avoid calling regfree() when the
	regex_t "re" was not initialized.

2009-01-19  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/Modules/regex.c: fixed a few compiler warnings
	in zcond_regex_match(), including a (useless) warning about
	matchessz potentially being used uninitialized and some
	signed/unsigned warnings about re.re_nsub.  Also split a
	couple compound lines.

2009-01-19  Doug Kearns  <dougkearns@gmail.com>

	* 26361: Completion/Unix/Command/_rake: update for version 0.8.3.

	* 26360: Completion/Unix/Command/_git: add --work-tree option.

2009-01-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26315: Src/params.c: define ZSH_PATCHLEVEL to "unknown" if
	revision not found.

2009-01-15  Peter Stephenson  <pws@csr.com>

	* 26313: INSTALL, configure.ac, Src/params.c: add
	--enable-custom-patchlevel for tweaked shells.

	* Functions/TCP/tcp_log: unposted: suppress WARN_CREATE_GLOBAL
	message.

	* 26312: Phil Pennock: Doc/Zsh/cond.yo, Doc/Zsh/mod_pcre.yo,
	Doc/Zsh/mod_regex.yo: Document no variables altered on failed
	match.

2009-01-13  Peter Stephenson  <pws@csr.com>

	* 26304: Mikael Magnusson: configure.ac: logical correction
	in link warning.

	* 26393: Src/Zle/zle_refresh.c: turn off text attributes when
	deleting text, to avoid them being used for inserted blanks.

	* unposted: Completion/Base/Utility/_values, Doc/Zsh/compwid.yo,
	Src/Zle/compcore.c, Src/Zle/complete.c, Src/Zle/compresult.c:
	Back off 26270 and follow up; was causing memory corruption.

	* Doc/Zsh/mod_zpty.yo, Src/Modules/zpty.c, Test/comptest:
	make "zpty -r" exit more cleanly on read failures and add and
	use option to ensure a pattern has been matched.

	* 26300: Src/zsh.mdd: don't use "echo -n" for $ZSH_PATCHLEVEL.

2009-01-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/compwid.yo: tweak doc for 26270.

	* unposted: Src/zsh.mdd: fix the inevitable confusion with
	using dollar Revision dollar.

	* 26272: Doc/Zsh/params.yo, Src/params.c, Src/zsh.mdd: extract
	Revision from ChangeLog for use in $ZSH_PATCHLEVEL.

	* unposted: add RCS Revision tag for use in patchlevel
	recording.

2009-01-09  Andrey Borzenkov  <bor@zsh.org>

	* 26270: Completion/Base/Utility/_values, Doc/Zsh/compwid.yo,
	Src/Zle/compcore.c, Src/Zle/complete.c, Src/Zle/compresult.c:
	allow accept-and-menu-complete to work also with _values.
	Add compstate[list_in_word] flag to control, whether suffix
	is replaced by space; when set, next match is added in the same
	word.

	* unposted: Completion/Mandriva/Command/.distfiles,
	Completion/Mandriva/Command/_rebootin: add _rebootin completion
	from Mandriva RPM (modified to allow spaces in GRUB menu titles)

2009-01-09  Peter Stephenson  <pws@csr.com>

	* Benjamin R. Haskell: 26265: Functions/Zle/define-composed-chars:
	fix some accented characters.

2009-01-08  Peter Stephenson  <pws@csr.com>

	* 26260: Src/params.c: fix crash when failing to assign
	scalar to special hash.

2009-01-06  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/mod_stat.yo: fix yodl problem with 26229.

2009-01-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26249: Src/utils.c: remove arbitrary string length limit in
	unmeta().

2009-01-05  Peter Stephenson  <pws@csr.com>

	* Richard Hartmann: 26170 (parts 1 and 2):
	Completion/Unix/Type/_ps, Completion/Unix/Type/_pdf:
	files compressed with .bz2.

2009-01-05  Andrey Borzenkov  <bor@zsh.org>

	* 26247: configure.ac, Src/Zle/zle_tricky.c: fix compilation
	with -Werror=format-security GCC option.

2009-01-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Richard Hartmann: 26229: Doc/Zsh/mod_stat.yo: note that zstat
	follows links by default.

	* Frank Terbeck: 26215: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/vcs_info: disable-patterns style.

	* Greg Klanderman: 26159: Src/Zle/zle_utils.c: CUT_RAW should be
	CUT_REPLACE for multiple kills to append.

2008-12-30  Clint Adams  <clint@zsh.org>

	* 26202: Functions/Misc/run-help: show zshmodules(1) for echotc,
	echoti, sched, zprof, zpty, zsocket, zstyle, and ztcp builtins
	as well.

2008-12-29  Geoff Wing  <gcw@zsh.org>

	* unposted: Test/C04funcdef.ztst, Test/C05debug.ztst,
	Test/V06parameter.ztst: clean up temporary files

2008-12-29  Clint Adams  <clint@zsh.org>

	* 26185: Doc/Zsh/mod_newuser.yo: fix two places where path to
	global zshenv was specified statically.

	* Richard Hartmann: 26175: Completion/Unix/Command/_vim: updates
	for vim completion.

2008-12-18  Peter Stephenson  <pws@csr.com>

	* Richard Hartmann: 26155: Doc/Zsh/builtins.yo,
	Doc/Zsh/mod_parameter.yo, Doc/Zsh/options.yo: quote use of `.'
	as a command in text.

2008-12-16  Clint Adams  <clint@zsh.org>

	* 26141: Functions/Zle/edit-command-line: word-split
	EDITOR/VISUAL so users can have multi-argument
	commands in those variables.

2008-12-11  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 26125: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/.distfiles,
	Functions/VCS_Info/VCS_INFO_check_com,
	Functions/VCS_Info/VCS_INFO_get_cmd, Functions/VCS_Info/vcs_info,
	Functions/VCS_Info/Backends/VCS_INFO_detect_cdv,
	Functions/VCS_Info/Backends/VCS_INFO_detect_cvs,
	Functions/VCS_Info/Backends/VCS_INFO_detect_darcs,
	Functions/VCS_Info/Backends/VCS_INFO_detect_git,
	Functions/VCS_Info/Backends/VCS_INFO_detect_hg,
	Functions/VCS_Info/Backends/VCS_INFO_detect_mtn,
	Functions/VCS_Info/Backends/VCS_INFO_detect_p4,
	Functions/VCS_Info/Backends/VCS_INFO_detect_svk,
	Functions/VCS_Info/Backends/VCS_INFO_detect_svn,
	Functions/VCS_Info/Backends/VCS_INFO_detect_tla,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_mtn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_tla: add
	"command" style for VCS command to use.

2008-12-10  Peter Stephenson  <pws@csr.com>

	* 26121: Doc/Zsh/calsys.yo, Functions/Calendar/calendar: add
	-B <lines> option to calendar.

	* users/13566: Etc/FAQ.yo: note problem with unsetting elements
	of regular arrays.

2008-12-09  Peter Stephenson  <pws@csr.com>

	* 26119: Doc/Zsh/zle.yo, Src/Zle/zle_main.c: option to allow vared
	to open to an alternative terminal.

2008-12-09  Clint Adams  <clint@zsh.org>

	* Richard Hartmann: 26114: Completion/Unix/Command/_git: add color
	options.

2008-12-08  Peter Stephenson  <pws@csr.com>

	* Benjamin R. Haskell: users/13544:
	Functions/Zle/define-composed-chars: accents for i were wrong.

	* 26116: Src/Zle/deltochar.c: wasn't updated properly for
	combining characters.

2008-12-02  Peter Stephenson  <pws@csr.com>

	* Richard Hartmann: 26105: Completion/Unix/Type/_pdf: add okular.

	* Frank Terbeck: 26194: Functions/Prompts/promptinit: eliminated
	WARN_CREATE_GLOBAL warnings.

2008-12-01  Peter Stephenson  <pws@csr.com>

	* (with some help from Peter A. Castro): 26103: configure.ac:
	FIFOs seem to be more reliable than per-process FD files for
	process substitution on current Cygwin.

2008-11-27  Peter Stephenson  <pws@csr.com>

	* 26095: Src/utils.c: failed to compile if TIOCGWINSZ wasn't
	defined.

2008-11-26  Peter Stephenson  <pws@csr.com>

	* 26090: Test/C02cond.ztst: [[ -r ... ]] on Cygwin succeeds
	more often than expected, so don't test.

2008-11-25  Clint Adams  <clint@zsh.org>

	* Brendan Cully: 26057: Completion/Unix/Command/_mercurial:
	mercurial completion updates.

2008-11-25  Peter Stephenson  <pws@csr.com>

	* 26091: Src/hist.c: crash at end of history line if history
	not in use.

2008-11-24  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: users/13482: Doc/Zsh/contrib.yo: fix some prompt
	docs for vcs info.

2008-11-23  Barton E. Schaefer  <schaefer@zsh.org>

	* users/13477: Completion/Unix/Command/_rm: call _files instead
	of _path_files to correctly handle cycling through choices.

2008-11-20  Peter Stephenson  <pws@csr.com>

	* 26075: Functions/Calendar/calendar_parse: update repeated events
	until they're in the future.

	* users/13464: Functions/MIME/zsh-mime-handler,
	Functions/MIME/zsh-mime-setup: allow suffixes specified as
	lower case to match upper case variants.

2008-11-18  Peter Stephenson  <pws@csr.com>

	* 26065: Config/version.mk: update to 4.3.9-dev-1 because of
	internal code changes.

	* 26060: François Revol: configure.ac, Src/Module/zpty.c,
	Src/Zle/zle_refresh.c: fixes for BeOS.

	* 26062: Src/Zle/compmatch.c: missed change needed with 26047.

	* 26061: Src/lex.c, Src/parse.c, Src/subst.c, Src/zsh.h,
	Test/D02glob.ztst: fix clashes between numeric glob and
	process substitution such as "<->(N)".

2008-11-17  Peter Stephenson  <pws@csr.com>

	* 26056: Doc/Zsh/expn.yo, Src/exec.c:  < <(...)more_stuff is
	an error and similarly for > >(...)yet_more_stuff.

	* 26055: README, Doc/Zsh/expn.yo, Src/subst.c: ensure process
	substitution is handled completely before parameter and
	command substitution.

	* 26053: Completion/Base/Utility/_arguments: handle
	"<cmd> --help" output that includes optional parts of options
	in square brackets.

2008-11-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26047: Src/pattern.c, Src/Zle/comp.h, Src/Zle/compmatch.c,
	Src/Zle/complete.c, Src/Zle/compmatch.c, Src/Zle/computil.c,
	Src/Zle/zle_utils.c:  convert lower levels of completion
	matching to user multibyte strings / wide characters.

	* Phil (unposted): README: another typo.

2008-11-15  Clint Adams  <clint@zsh.org>

	* 26046: Functions/TCP/tcp_send: return an error if session's fd is
	unusable.

2008-11-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26042 with some fixes from 26043 (Mikael): README,
	Doc/Zsh/expn.yo, Src/exec.c, Src/lex.c, Src/subst.c,
	Test/D03procsubst.zst: allow <(...) and >(...) to occur
	in the middle of command arguments and =(...) to have
	other strings following.

2008-11-12  Oliver Kiddle  <opk@zsh.org>

	* 26030: Src/Zle/zle_main.c: fix memory leak in vared

	* 26028: Src/builtin.c: close temporary file when aborting fc

2008-11-12  Peter Stephenson  <pws@csr.com>

	* 26029: Test/A04redirect.ztst: add test for redirection operators
	with no preceding whitespace.

2008-11-11  Oliver Kiddle  <opk@zsh.org>

	* 26024: Src/Zle/zle_keymap.c: don't leave reference count
	incremented when aborting bindkey with an error

2008-11-11  Clint Adams  <clint@zsh.org>

	* 26027: Src/Zle/compctl.c: free pprogc before it goes out of
	scope in makecomplistflags.

2008-11-11  Peter Stephenson  <pws@csr.com>

	* 26025: Src/Zle/zle_main.c: prefer handling user input to
	file installed with zle -F.

2008-11-11  Clint Adams  <clint@zsh.org>

	* 26023: Completion/Unix/Command/_topgit: skeletal completion for
	tg (topgit).

2008-11-08  Oliver Kiddle  <opk@zsh.org>

	* 26022: Completion/Zsh/Type/_file_descriptors: fix on Solaris
	where /proc/$$/fd exists but doesn't contain symlinks

	* 26017: Completion/Unix/Type/_path_files,
	Completion/Zsh/Type/_globflags, Completion/Zsh/Type/_globquals:
	add completion of globbing flags

2008-11-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 26021: Completion/Unix/Type/_path_files: complete glob
	qualifiers where they don't mess up the rest of the word,
	don't complete a bare glob qualifier if there's nothing
	before it.

2008-11-08  Clint Adams  <clint@zsh.org>

	* unposted: Src/glob.c: revert 26014.

2008-11-07  Clint Adams  <clint@zsh.org>

	* 26016: Completion/Unix/Command/_bzr: treat "bzr co" as an alias
	of "bzr checkout"; patch from Ryo IGARASHI.

2008-11-06  Clint Adams  <clint@zsh.org>

	* 26014: Src/glob.c: don't allocate and leak a patprog if it's not
	going to be used.

	* 26013: Src/Modules/tcp.c: don't ztrdup the other buffer returned
	by inet_ntoa.  cf. 25987.

2008-11-05  Peter Stephenson  <pws@csr.com>

	* 26008, Src/builtin.c, Test/B02typeset.ztst: "typeset -g
	<var...>" should be silent even if TYPESET_SILENT is not set.

2008-11-04  Peter Stephenson  <pws@csr.com>

	* 26006: Test/C05debug.ztst: remove dependence on system
	error message.

2008-11-03  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: update version to 4.3.9-dev-0.

	* unposted: Etc/.distfiles: missing entry; 4.3.9 finally
	released, perhaps.

2008-11-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25989: Src/Zle/computil.c: Slight improvement for multibyte
	characters in matching to prevent crash.

2008-11-02  Clint Adams  <clint@zsh.org>

	* 25988: Completion/Darwin/Command/_fink,
	Completion/Darwin/Type/_retrieve_mac_apps,
	Completion/Debian/Command/_apt,
	Completion/Debian/Type/_deb_packages,
	Completion/Redhat/Command/_rpm, Completion/Redhat/Command/_yum,
	Completion/Unix/Command/_bogofilter,
	Completion/Unix/Type/_path_commands,
	Completion/Unix/Type/_perl_modules, Doc/Zsh/compsys.yo: declare
	temporary cache array as local, thanks to problem noticed by
	Kazuhiro NISHIYAMA.

2008-11-01  Clint Adams  <clint@zsh.org>

	* 25987: Src/Modules/tcp.c: don't ztrdup the buffer returned by
	inet_ntoa.

	* 25985: Src/hashtable.c: don't try to disable signal traps if
	getsignum returns -1.

2008-10-31  Oliver Kiddle  <opk@zsh.org>

	* 25983: Fix bug in hash builtin with empty hash entry name

2008-10-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25975: Src/compmatch.c: bad tests for pattern match
	when building up a line.

	* 25972: Src/Zle/complete.c, Src/Zle/compmatch.c: leaked
	and uninitialised memory found by valgrind.

	* 25971: Src/builtin.c, Src/zsh.h: fix 25937 which broke some
	builtins that handle options themselves.

2008-10-30  Peter Stephenson  <pws@csr.com>

	* 25969: Src/subst.c, Src/utils.c, Test/D07multibyte.ztst:
	bugs in metafication with prompt expansion called from parameter
	expansion and with zsh_directory_name when called from finddir().

	* 25963: Src/utils.c: Interrupt at spell check prompt output
	garbage.

	* 25961: configure.ac: some sh's don't handle opening parentheses
	in case.

	* unposted: NEWS, README, Config/version.mk, Etc/FAQ.yo,
	Etc/relnote_4.3.7.txt, Etc/relnote_4.3.8.txt,
	Etc/relnote_4.3.9.txt: try again with 4.3.9 (N.B. not yet
	released, CVS tag not finalised).

	* 25958: INSTALL: Doc/Makefile.in, Doc/Zsh/filelist.yo,
	Doc/Zsh/files.yo, Doc/Zsh/options.yo: make it possible to
	get correctly named global startup files by remaking docs.

	* Oliver (unposted): configure.ac: 25950 should use xyes, too.

	* unposted: Completion/Zsh/Command/_tcpsys: added this since
	it's already in .distfiles.  It's very limited in what it
	does but it's better than nothing, I suppose.

	* 25950: configure.ac: need "x$dynamic" trick in two
	more places.

	* users/13418: Src/Modules/termcap.c: protect against
	HAVE_STRCODES lying.

2008-10-30  Clint Adams  <clint@zsh.org>

	* 25949: Src/Zle/zle_hist.c: remove dead code in getvisrchstr.

2008-10-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25945: Completion/Unix/Type/_path_files: need some extra
	matcher options to compadd for completing abbreviated
	directory hierarchies when -U is not present (i.e. not
	correcting).

2008-10-29  Peter Stephenson  <pws@csr.com>

	* Mikael: users/13412: Etc/relnote_4.3.7.txt: typo.

	* c.f. users/13411: Config/version.mk: update archived release
	number to 4.3.8-dev-0.

	* unposted: Etc/relnote_4.3.8.txt: tiny typo.

	* unposted: Completion/Zsh/Command/.distfiles, Etc/.distfiles,
	Functions/VCS_Info/.distfiles,
	Functions/VCS_Info/Backends/.distfiles:  belatedly sort out some
	.distfiles

	* unposted: NEWS, README, Config/version.mk, Etc/FAQ.yo,
	Etc/relnote_4.3.7.txt, Etc/relnote_4.3.8.txt: update version
	to 4.3.8.

	* unposted: Functions/Zle/replace-string: use "typeset -g"
	to avoid warnings with WARN_CREATE_GLOBAL.

2008-10-29  Clint Adams  <clint@zsh.org>

	* 25940: Src/Zle/computil.c: delay !multi memory allocation until
	after possibility to error out and return without freeing.

2008-10-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25938 (Mikael) + probably 25939, too:
	Completion/Unix/Type/_path_files: IPREFIX missing $.

	* 25937: README, Src/builtin.c: builtins that don't have
	options now ignore an initial "--" argument.

2008-10-28  Peter Stephenson  <pws@csr.com>

	* unposted: Config/Version.mk, Etc/relnote_4.3.7.txt: Release
	4.3.7

2008-10-26  Clint Adams  <clint@zsh.org>

	* 25934: Completion/Debian/Command/_bts: handle bts subscribe,
	unsubscribe, and fix owner.  Patches from Ansgar Burchardt.

2008-10-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: region_highlight is an array and so
	not capitalised.

	* unposted: README: update claimed version to 4.3.7.

	* Mikael: 25933: Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/options.yo, NEWS: typos.

2008-10-24  Peter Stephenson  <pws@csr.com>

	* users/13400: Doc/Zsh/options.yo, Etc/FAQ.yo: clarify some
	aspects of ksh-like editing.

	* 25931: Test/D01prompt.zsh: test fix in 25930.

	* 25930: Src/prompt.c, Src/utils.c: dynamic directory names
	may need recursive prompt expansion; memory leak with reverse
	expansion of dynamic directory names.

2008-10-23  Peter Stephenson  <pws@csr.com>

	* users/13375: Src/Zle/zle_refresh.c: rewrite ternary expression
	which caused problems with the Sun Studio 11 compiler.

2008-10-22  Barton E. Schaefer  <schaefer@zsh.org>

	* 25927: Completion/Unix/Type/_path_files: include the ignored
	prefix/suffix in the hidden prefix/suffix only for compadd -U.

2008-10-23  Clint Adams  <clint@zsh.org>

	* 25926: Src/params.c: free val only after it may be passed to
	strlen (as in 25656).

2008-10-20  Peter Stephenson  <pws@csr.com>

	* unposted: Config/version.mk: 4.3.6-dev-2.

2008-10-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25912: Doc/Zsh/compwid.yo, Src/Zle/computil.c: fix yet another
	Meta bug in completion with matchers in compfiles; remove 25893
	because that wasn't it at all.

	* 25911: Test/D07multibyte.ztst: see if we can work around file
	system idiosyncracies.

2008-10-18  Clint Adams  <clint@zsh.org>

	* 25910: Src/builtin.c: avoid dangling file handle in bin_print.

2008-10-17  Peter Stephenson  <pws@csr.com>

	* Rocky: 25907: Test/Makefile.in: makefile needs .exe
	extension to run zsh on Cygwin.

2008-10-16  Peter Stephenson  <pws@csr.com>

	* 25905: Src/math.c, Test/C01arith.ztst: fix and test doubled-hash
	radix output syntax.

2008-10-14  Barton E. Schaefer  <schaefer@zsh.org>

	* 25887: Completion/Unix/Type/_path_files: pass -U to compadd only
	when _comp_correct is true; otherwise, completing subpatterns
	inside braces tends to behave oddly.

	* Jörg Sommer: 25883: Completion/Base/Utility/_multi_parts: quote
	strings in the temporary variable tmp1 before joining them with
	"|" to create an alternatives pattern.

	* Phil Pennock: 25854: Completion/Unix/Command/_perl,
	Completion/Unix/Type/_perl_modules: fix module completion for
	"perl -d:" (Devel modules).

2008-10-14  Clint Adams  <clint@zsh.org>

	* 25898: Src/module.c: avoid dereference of p after it is freed
	in getmathfunc.

	* 25897: Src/Zle/computil.c: remove small bit of dead code in
	cfp_opt_pats.

	* 25896: Src/builtin.c: remove small bit of dead code in
	execbuiltin.

	* Jörg Sommer: 25882: Completion/Unix/Command/_ssh: run ssh with
	-oBatchMode=yes.

2008-10-14  Peter Stephenson  <pws@csr.com>

	* 25893: Doc/Zsh/compwid.yo: matcher "m:{a-z}={A-Z}" still
	works better than "m:{[:lower:]}={[:upper:]}" in that the
	latter can glitch on some multibyte characters with Meta in
	(and doesn't yet work on non-ASCII characters anyway).

2008-10-12  Clint Adams  <clint@zsh.org>

	* 25860: Src/Zle/compmatch.c: avoid possible NULL dereferencing in
	bld_parts.

2008-10-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted, c.f. 25848: Test/comptest: attempt to sanitize
	the environment.

2008-10-12  Clint Adams  <clint@zsh.org>

	* 25859: Src/Zle/zle_tricky.c: avoid possible NULL dereferencing if
	RC_QUOTES is set.

	* Mikael Magnusson: 25856: Etc/completion-style-guide: typo fixes.

	* Mikael Magnusson: 25855: Etc/zsh-development-guide: typo fixes.

2008-10-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25845: Src/pattern.c, Test/D07multibyte.ztst: combination of
	backslashed characters and metafied characters confused pattern
	test for pure string.

2008-10-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25816: Marc Chantreux: Completion/Unix/Command/_ip:
	add promiscuous link option.

2008-10-11  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/Modules/curses.c: fixed a signed/unsigned
	compiler warning.

2008-10-10  Peter Stephenson  <pws@csr.com>

	* users/13323: Test/E02xtrace.ztst: new test wasn't robust
	about ignoring /etc/zshenv.

	* users/13321: configure.ac: allow --disable-gdbm.

	* unposted: Doc/Zsh/expn.yo: protect () from macro expansion.

	* unposted: Etc/CONTRIBUTORS: update.

	* 25837: NEWS: add descriptions of new debugging features.

	* unposted: Functions/Zftp/zffcache,
	Functions/Zftp/zftp_progress: silence some warnings when
	WARN_CREATE_GLOBAL is set.

	* unposted: Config/version.mk: 4.3.6-dev-1.

	* unposted: Test/B06fc.ztst: use -f flag to zsh to prevent
	initialization scripts running.

2008-10-10  Barton E. Schaefer  <schaefer@zsh.org>

	* 25814: Functions/Misc/run-help: quote arguments to "eval".

	* unposted (?): Functions/Prompts/promptinit: quote expansion of
	prompt_opts in prompt() because zsh emulation is by necessity not
	enforced there.

	* 25140: Src/exec.c: improve error handling/reporting for
	here-document temp files.

	* 25029 (plus unposted doc): Completion/Unix/Command/_sudo,
	Doc/Zsh/compsys.yo: "environ" style to allow a different search
	path when completing as a different user.

2008-10-09  Clint Adams  <clint@zsh.org>

	* 25833: Completion/Unix/Command/_git: remove zparseopts line
	obsoleted by 25824.

	* Jörg Sommer: 25824: Completion/Unix/Command/_git: make it
	possible to use abbreviated paths for tree files.

2008-10-09  Peter Stephenson  <pws@csr.com>

	* 25831: Doc/Zsh/expn.yo, Doc/Zsh/options.yo, Src/params.c,
	Src/zsh.h, Test/D04parameter.ztst: ensure failed subscript matches
	of a type that are documented as strings rather than arrays
	return an empty string rather than an empty array to avoid
	strange RC_EXPAND_PARAM behaviour.

2008-10-08  Peter Stephenson  <pws@csr.com>

	* Nikolai Weibull: 25828: Completion/Unix/Command/_rm,
	Completion/Unix/Command/.distfiles: new completion.

	* unposted: NEWS: note some new features.

2008-10-07  Clint Adams  <clint@zsh.org>

	* 25823: Functions/Misc/run-help: bring up zshcontrib man page if
	run-help is run on run-help and run-help is a function.

	* Jörg Sommer: 25819: Completion/Linux/Command/_modutils: improve
	module parameter completion.

	* Jörg Sommer: 25822: Completion/Linux/Command/_modutils: declare
	val_args as local array.

	* Jörg Sommer: 25821: Completion/Linux/Command/_modutils: return 0
	if a modules parameter was completed.

	* Jörg Sommer: 25820: Completion/Linux/Command/_modutils: add the
	option --field of modinfo.

2008-10-06  Clint Adams  <clint@zsh.org>

	* 25818: Completion/compinstall: compinstall data loss typo fix
	from Morita Sho.

2008-10-06  Peter Stephenson  <pws@csr.com>

	* 25817: Src/builtin.c: "fc -l" is now more careful to
	list all history just added, however it got there.  Use
	of fc for executing previous commands unchanged.

2008-10-04  Clint Adams  <clint@zsh.org>

	* 25808: Completion/Debian/Command/_bts: handle bts claim and
	unclaim subcommands.

2008-10-02  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Zsh/Context/_subscript: off-by-one
	error in testing for dynamic directory name prefix.

2008-10-01  Peter Stephenson  <pws@csr.com>

	* 25791: Src/exec.c, Test/C05debug.ztst: force return from
	eval-style DEBUG trap lost status.

2008-09-30  Peter Stephenson  <pws@csr.com>

	* Frank Terbeck: 25778: Functions/VCS_Info/VCS_INFO_realpath: use
	builtin cd.

	* unposted: Completion/Zsh/Context/_subscript: recognise ~[...]
	after = and :, too.

	* 25777: Src/Modules/db_gdbm.c: argument to gdbmsetfn.

2008-09-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25775: Src/exec.c, Src/prompt.c, Src/signals.c, Src/zsh.h:
	line numbering in functions inside eval-style traps on the
	function stack was screwy.  Simplest fix is to restore normal
	line numbering within the functions so that only the immediate
	eval-style trap environment is special.

	* 25774: Src/params.c: fix in 25772 was applied too widely.

2008-09-29  Peter Stephenson  <pws@csr.com>

	* 25733: Completion/Zsh/Context/.distfiles,
	Completion/Zsh/Context/_dynamic_directory_name,
	Completion/Zsh/Context/_subscript: stub function for dynamic
	directory name completion.

	* 25772: Src/params.c: searching an associative array with
	a bad pattern could cause a crash, seen in _expand following
	"echo ~[]".

	* 25771: Src/utils.c, Src/zsh.h: shell function context
	for substitution functions.

	* users/13295 (with tweak always to keep old line numbers at
	exit from parse_string()): Src/builtin.c, Src/exec.c, Src/glob.c,
	Src/parse.c, Src/Modules/parameter.c, Src/Modules/zpty.c,
	Src/Modules/zutil.c: don't reset $LINENO when parsing strings
	unless the surrounding environment provides support (funcstack
	etc.) for it.

2008-09-28  Clint Adams  <clint@zsh.org>

	* 25764: Completion/Unix/Command/.distfiles,
	Completion/Unix/Command/_django: completion for Django, from Chris
	Lamb.

2008-09-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael Magnusson: Src/utils.c: newline in getquery() is
	treated as n but should also behave like a newline. duh.

2008-09-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25760: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	(~) tokenizes arguments to further parameter flags, but not
	the rest of the parameter expansion.

	* Jörg Sommer: 25755, with tweak from 25756:
	Completion/Linux/Command/_modutils (args): improved handling
	of module arguments.

	* 25759: Doc/Zsh/expn.yo, Src/builtin.c, Src/subst.c: fix crash
	after failed dynamic named directory expansion; clarify the
	fact that static named directories can contain only
	alphanumerics, `_', `-' or `.'.

2008-09-26  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25617: Completion/Unix/Command/_vim:
	complete -t <tags>.

2008-09-26  Peter Stephenson  <pws@csr.com>

	* 25744: Doc/Zsh/expn.yo, Src/exec.c, Src/math.c, Src/signals.c,
	Src/subst.c, Src/utils.c, Src/Modules/zftp.c, Src/Zle/compcore.c,
	Src/Zle/compctl.c, Src/Zle/zle_main.c, Src/Zle/zle_misc.c,
	Test/D01prompt.ztst: Add dynamic named directories using
	~[<stuff>] which calls zsh_directory_name n <stuff> and
	reverse call to look up names.  Also further simplify doshfunc()
	interface to use flags directly from the Shfunc structure.

2008-09-25  Peter Stephenson  <pws@csr.com>

	* 25684: Src/prompt.c: make %x and %I consistent with
	eval line numbering.

2008-09-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/13288: Src/parse.c: don't report parse errors if the
	line was aborted by spell checking etc.

2008-09-24  Peter Stephenson  <pws@csr.com>

	* 25739: configure.ac: warn about GPL in binary if libgdm
	is linked.

	* Rocky Bernstein: 25734: Test/B06fc.ztst: typo.

2008-09-23  Clint Adams  <clint@zsh.org>

	* 25737: Src/Zle/computil.c: remove dead code in ca_parse_line.

	* 25736: Src/Zle/complete.c: one more zsfree missing from
	25667.

2008-09-23  Peter Stephenson  <pws@csr.com>

	* 25733: Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Doc/Zsh/contrib.yo: add revision number (latest synced change)
	to Perforce backend and list abbreviations with backends.

	* 25732: Functions/VCS_Info/Backends/VCS_INFO_detect_p4,
	Doc/Zsh/contrib.yo: make vcs_info detect Perforce from server
	if style use-server is set.

	* Rocky Bernstein: 25727: Src/hist.c, Test/B06fc.ztst: remove
	restriction on interactive use of fc and test another problem.

2008-09-23  Clint Adams  <clint@zsh.org>

	* 25728: Completion/Linux/Command/_ionice: spelling fix.

	* Jörg Sommer: 25717: Completion/Linux/Command/_ionice: fixups for
	25702.

2008-09-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25723: Src/Zle/zle_main.c: align combining character when
	retrieved from input stack.

2008-09-22  Clint Adams  <clint@zsh.org>

	* 25721: Src/exec.c: revert another mistake of 25701.

	* Jörg Sommer: 25718: Completion/Unix/Command/_git: add completion
	of option --reverse.

	* 25720: Doc/Zsh/contrib.yo: remove misleading vcs_info bit about
	PROMPT_SUBST.

2008-09-22  Peter Stephenson  <pws@csr.com>

	* 25715: Frank Terbeck: Doc/Zsh/contrib.yo: vcs_info
	now works straight away.

	* 25710: Functions/VCS_Info/vcs_info,
	Functions/VCS_Info/vcs_info_lastmsg,
	Functions/VCS_Info/vcs_info_printsys,
	Functions/VCS_Info/vcs_info_setsys: use native zsh emulation;
	make vcs_comm local in other functions; vcs_info_printsys
	runs vcs_info_setsys if necessary.

2008-09-22  Clint Adams  <clint@zsh.org>

	* 25713: Functions/VCS_Info/vcs_info: ensure that vcs_info
	functions immediately after autoloading.

2008-09-22  Peter Stephenson  <pws@csr.com>

	* Rocky Bernstein: 25696: Src/hist.c: fix crash on empty history.

2008-09-21  Clint Adams  <clint@zsh.org>

	* unposted: Completion/Linux/Command/.distfiles: update .distfiles.

	* Jörg Sommer: 25702: Completion/Linux/Command/_chrt,
	Completion/Linux/Command/_ionice: completions for chrt and ionice
	commands.

	* 25701 (tweaked): Src/exec.c: fix memory leak in loadautofn.

	* 25697: Functions/Prompts/prompt_clint_setup: drop git code and
	switch to vcs_info.

2008-09-19  Peter Stephenson  <pws@csr.com>

	* 25693: Frank Terbeck: Doc/Zsh/contrib.yo: and another.

	* users/13262: Frank Terbeck: Doc/Zsh/contrib.yo: another
	formatting fix.

	* users/13252 and others: Frank Terbeck (plus doc tweaks):
	Functions/VCS_Info/**/*, Doc/Zsh/contrib.yo, Src/zsh.mdd:
	add VCS_Info function system.

	* Unposted, but see users/13251: Doc/Zsh/mod_mapfile.yo: update
	users/13239.

2008-09-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25690: Src/Zle/zle_hist.c: fix insertlastword not to
	screw up characters in the history that needed metafication.

2008-09-18  Peter Stephenson  <pws@csr.com>

	* 25684: Src/prompt.c: respect trap line number rules in
	%x, %I prompt escapes.

	* users/13239: Doc/Zsh/mod_mapfile.yo: more useful comments.

	* 25682: Src/hist.c: terminate history line string before passing
	down to zshaddhistory hook.

2008-09-16  Peter Stephenson  <pws@csr.com>

	* 25677: Doc/Zsh/prompt.yo, Src/exec.c, Src/init.c, Src/math.c,
	Src/prompt.c, Src/signals.c, Src/utils.c, Src/Modules/zftp.c,
	Src/Zle/compcore.c, Src/Zle/compctl.c, Src/Zle/zle_main.c,
	Src/Zle/zle_misc.c, Test/E02xtrace.ztst: add %x and %I prompt
	escapes for source file debuging; improve interface to
	doshfunc().

2008-09-15  Peter Stephenson  <pws@csr.com>

	* 25672: prompt.c: Resolve string containing only a Nularg
	to empty string to avoid interpretation as glitch space.

	* 25671: Src/builtin.c, Test/B02typeset.ztst: non-existent
	variable in typeset -p should cause status 1.

2008-09-14  Clint Adams  <clint@zsh.org>

	* 25667: Src/Zle/complete.c: free mstr before returning from
	errors.

	* 25666: Src/Zle/computil.c: free memory allocated for an
	xor if the argument number is invalid.

2008-09-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25662: Src/builtin.c, Test/B02typeset.ztst: declare -p
	should never create variables.

2008-09-13  Clint Adams  <clint@zsh.org>

	* 25656: Src/params.c: free val only after it may be passed to
	strlen().

	* 25655: Completion/Unix/Command/_rsync: remove completion for
	--remove-sent-files option.

2008-09-12  Clint Adams  <clint@zsh.org>

	* 25654: Completion/Debian/Command/_lintian: fix return bug and add
	--color.

2008-09-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25632: xRaich[o]²x: Src/mem.c: munmap() argument was wrong.

2008-09-11  Peter Stephenson  <pws@csr.com>

	* 25651: Src/builtin.c, Src/exec.c, Src/hashtable.c, Src/init.c,
	Src/text.c, Src/Modules/parameter.c: make indentation for code
	output by getpermtext() more logical.

	* 25643: Doc/Zsh/builtins.yo, Src/exec.c: keep DEBUG and ZERR
	traps in subshells.

	* 25641: add option (NO_)MULTI_FUNC_DEF to turn off "foo1
	foo2...()" function definitions.

2008-09-10  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 25640: Completion/Unix/Command/_git: another alias
	handling fix.

	* 25639: Src/hist.c: free ptr2 if hsubl is NULL.

	* 25638: Src/Zle/compmatch.c: remove unnecessary ternary expression
	in match_str.

	* 25637: Src/exec.c: dereference prog after the NULL check.

2008-09-08  Clint Adams  <clint@zsh.org>

	* 25636: Src/Zle/zle_tricky.c: free s before returning with an
	error condition.

	* 25634: Src/Zle/zle_main.c: free t before returning if both t and
	errflag are set.

2008-09-07  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 25624: Completion/Unix/Command/_git: clean up git
	alias parsing.

2008-09-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25627: Doc/Zsh/params.yo, Src/exec.c, Src/params.c,
	Test/D04parameter.ztst: add $ZSH_SUBSHELL.

2008-09-05  Peter Stephenson  <pws@csr.com>

	* 25615: Doc/Zsh/builtins.yo, Doc/Zsh/func.yo, Src/exec.c,
	Src/text.c, Test/C05debug.ztst: add $ZSH_DEBUG_CMD for
	DEBUG traps.

2008-09-04  Peter Stephenson  <pws@csr.com>

	* 25608: Completion/compinit: unset CSH_JUNKIE_QUOTES during
	completion.

2008-09-04  Clint Adams  <clint@zsh.org>

	* 25611, 25613: Src/Modules/curses.c: protect against two possible
	NULL dereferences.

	* 25612: Src/Zle/compmatch.c: remove dead code.

	* 25610: Src/hist.c: remove dead code.

	* 25609: Src/Modules/zftp.c: initialize sz variable.

2008-09-03  Peter Stephenson  <pws@csr.com>

	* Jun T: 25603: Doc/Zsh/compsys.yo: format error.

	* Jörg Sommer <joerg@alea.gnuu.de>: 25598/25599: should
	auto-remove automatically added "=" suffix on alias completion,
	else you can end up assigning an empty alias.

	* 25595: Doc/Zsh/mod_parameter.yo, Src/builtin.c, Src/exec.c,
	Src/init.c, Src/zsh.h, Src/Modules/parameter.c,
	Test/V06parameter.ztst: fix line numbers with EVAL_LINENO;
	try to fix up oddities with funcstack for source files;
	simplify use of caller element of funcstack.

2008-09-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 25600: Functions/Prompts/prompt_bart_setup: fix pattern
	introduced in 25059 that broke PS1 parsing.

2008-09-02  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25594: Completion/Unix/Command/_git:
	"git clean" cleanup.

2008-09-01  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25591: Completion/Unix/Command/_git:
	"git remote rm" completion.

	* Mikael Magnusson: 25590: Completion/Unix/Command/_git:
	update "git add" completion.

	* Frank Terbeck: 25588: Completion/Unix/Command/_git: add
	--no-pager option to git completion.

2008-09-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25587: Src/exec.c, Src/parse.c, Src/subst.c: foo==(stuff)
	was mishandled owing to parse errors; mishandling it caused
	a crash because of lack of care on failure of process
	substitution; assignments that went through execcmd() failed
	to set the status.

2008-09-01  Clint Adams  <clint@zsh.org>

	* 25585: Completion/Unix/Command/_git: fix git command completion
	when there are arguments after the cursor position.

	* Frank Terbeck: 25583: Completion/Unix/Command/_git: more git
	alias fixes.

2008-09-01  Peter Stephenson  <pws@csr.com>

	* 25582: Completion/Unix/Type/_path_files: use suggestion
	by Bart to get automatically appearing file system entries
	added by completion to respect patterns.

	* Jörg Sommer: 25572: Completion/Linux/Command/_modutils:
	complete module parameters.

2008-08-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25571: Src/lex.c, Src/parse.c, Test/.distfiles,
	Test/C03traps.ztst, Test/C05debug.ztst: make line numbers when
	parsing reflect the start of a parsed token rather than the end;
	add a test and move debug trap tests to a separate file.

2008-08-31  Clint Adams  <clint@zsh.org>

	* Frank Terbeck: 25561: Completion/Unix/Command/_git: fix quoting
	with aliases.

	* Mikael Magnusson: 25564: Completion/Unix/Command/_git:
	suppress error output in __git_is_treeish.

2008-08-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25570: Src/exec.c, Src/zsh.h, Test/C03traps.ztst: line numbers
	of complex sublists were wrong, plus test; another place to make
	lineno more consistent.

2008-08-31  Andrey Borzenkov  <bor@zsh.org>

	* users/13169: Src/exec.c: really restore emulation mode when
	exiting shell function if 'emulate -L' has been used (actually
	if LOCAL_OPTIONS has been set). Fixed problem noticed in RedHat
	bug https://bugzilla.redhat.com/show_bug.cgi?id=430665#c19.

2008-08-31  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25569: David Le Bourgeois & pws: _ant completion was broken
	by sed pattern change.

	* 25568: Frank Terbeck & pws: Src/builtin.c, Test/.distfiles,
	Test/A07control.ztst: break and continue arguments less than
	1 are invalid (and hard errors); add some tests for control
	commands.

	* users/13162: Completion/Unix/Command/_module: strip
	"~" suffix from modules.

2008-08-30  Clint Adams  <clint@zsh.org>

	* 25553: Completion/Zsh/Command/_precommand:
	add aoss to compdef line.

	* Frank Terbeck: 25551: Completion/Unix/Command/_git: remove
	a stray period from a description.

2008-08-29  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25539: Completion/Unix/Command/_git: more
	'git clone' fixes.

	* Frank Terbeck: 25538: Completion/Unix/Command/_git: add missing
	backslash.

	* Frank Terbeck: 25537: Completion/Unix/Command/_git: add --abort
	to options for 'git am'.

2008-08-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25532, Src/exec.c, Test/C03traps.ztst: skipping next command
	didn't work if it was an assignment or other form tagged as
	"simple".

2008-08-24  Clint Adams  <clint@zsh.org>

	* 25521: Completion/Unix/Command/_git: get merge strategies from
	git merge in case the administrator has added custom strategies.

2008-08-22  Peter Stephenson  <pws@csr.com>

	* 25508: Src/exec.c: set file name if function came from
	dump file.

2008-08-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Doc/Zsh/compsys.yo: doc for foregoing.

	* Alexey I. Froloff: 25459: Completion/Unix/Type/_files: add
	list-dirs-first style.

2008-08-21  Clint Adams  <clint@zsh.org>

	* Mikael Magnusson: 25499: Completion/Unix/Command/_git: add
	function to validate tree-ishs.

	* 25495: Completion/Unix/Command/_git: always complete cached files
	after git checkout --.

	* 25493: Completion/Unix/Command/_git: allow -q to be used in all
	git checkout contexts.

	* 25491: Completion/Unix/Command/_git: patch to improve
	"git checkout" completion, from Mikael Magnusson.

2008-08-19  Clint Adams  <clint@zsh.org>

	* 25490: Src/zsh.h, Src/Modules/db_gdbm.c: make zties dynamic so
	there can be more than one gdbm handle in use at a time.

	* 25489: Completion/Unix/Command/_git: remove cruft for "git
	octopus/octupus".

	* 25488: Completion/Unix/Command/_git: patch to complete things
	after "git bisect start", Mikael Magnusson.

	* 25487: Completion/Unix/Command/_git: whitespace changes from
	Mikael Magnusson.

	* 25486: Completion/Unix/Command/_git: patch to allow --shared to
	be completed without --local with git clone.

	* 25485: Completion/Unix/Command/_git: patch to allow --abbrev to
	be completed before -v with git branch, from Mikael Magnusson.

2008-08-18  Clint Adams  <clint@zsh.org>

	* 25480: Completion/Unix/Command/_git: add more quotes to the
	three _call_program invocations with git for-each-ref.

	* Mikael Magnusson: 25473: Completion/Unix/Command/_git: add
	missing parenthesis.

	* unposted: Completion/Unix/Command/_git: additional git branch
	options.

	* 25475: Completion/Unix/Command/_git: determine heads, tags,
	and branches through git for-each-ref instead of git tag and
	git branch.

2008-08-17  Clint Adams  <clint@zsh.org>

	* 25469: Completion/Unix/Command/_git: assorted changes
	cherry-picked from Mikael Magnusson.

2008-08-16  Clint Adams  <clint@zsh.org>

	* 25465: Completion/Unix/Command/_git: patch from Mikael Magnusson
	to add more git-add and git-checkout options.

	* unposted: Completion/Unix/Command/_git: another typo fix.

	* 25464: Completion/Unix/Command/_git: patch from Mikael Magnusson
	to add --graph.

	* 25463: Completion/Unix/Command/_git: patch to add git
	completion for --base/-1, --ours/-2 and --theirs/-3, from
	Mikael Magnusson.

	* 25462: Completion/Unix/Command/_git: patch to add some -s -w
	to _arguments and new options for revert, from Mikael Magnusson.

	* 25461: Completion/Unix/Command/_git: patch to add HEAD as
	a completion for heads, from Mikael Magnusson.

	* 25460: Completion/Unix/Command/_git: patch to add the
	--branches/tags/remotes for rev-list to _git from Mikael
	Magnusson.

	* 25457: Completion/Unix/Command/_git: improvements for git diff
	and git log from Mikael Magnusson.

	* Mikael Magnusson: 25456: Completion/Unix/Command/_git: fix typo
	of "before".

	* Frank Terbeck: 25455: Completion/Unix/Command/_git: handle git
	stashes.

2008-08-14  Clint Adams  <clint@zsh.org>

	* 25452: Completion/Unix/Command/_look: redirect stderr from look
	to /dev/null.

2008-08-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Test/V01zmodload.ztst: change consequent on having
	a new parameter in zsh/parameter.

	* 25448: Doc/Zsh/mod_parameter.yo, Src/exec.c, Src/init.c,
	Src/Modules/parameter.c, Src/zsh.h, Src/Modules/parameter.c
	Src/Modules/parameter.mdd: add $funcfiletrace to show
	absolute line number for caller.

2008-08-12  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25443 (tweaked): Doc/Zsh/mod_parameter.yo,
	Src/Modules/parameter.c, Test/V06parameter.ztst: allow
	$functrace to show sourced files.

2008-08-12  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Solaris/Command/.distfiles,
	Completion/Solaris/Type/.distfiles: missed .distfiles entry.

	* 25435: Baptiste Daroussin <baptiste.daroussin@gmail.com>:
	Completion/BSD/{_fetch,_freebsd-update,_portaudit,_portsnap,
	_csup,_portlint,_powerd}: new and improved FreeBSD completions.

2008-08-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Test/V06parameter.ztst: fix load directory for
	module from script.

	* 25247 with further modifications: Doc/Zsh/mod_parameter.yo,
	Src/exec.c, Src/hashtable.c, Src/init.c, Src/parse.c,
	Src/signals.c, Src/utils.c, Src/zsh.h, Src/Modules/parameter.c,
	Src/Modules/parameter.mdd, Test/.distfiles,
	Test/V01zmodload.ztst, Test/V06parameter.ztst: add
	$funcsourcetrace parameter to zsh/parameter.

2008-08-11  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/builtins.yo, Doc/Zsh/func.yo: prevent various
	entries looking like Yodl macros.

	* 25429: Rocky Bernstein: Test/E01options.ztst,
	Test/E02xtrace.ztst: don't assume PS4 is set to the default.

2008-08-08  Clint Adams  <clint@zsh.org>

	* 25424: Chris Lamb: Completion/Debian/Command/_lintian:
	completion for lintian-info.

2008-08-07  Clint Adams  <clint@zsh.org>

	* 25423: Chris Lamb: Completion/Debian/Command/.distfiles,
	Completion/Debian/Command/_grep-excuses: completion for
	grep-excuses.

	* 25422: Chris Lamb: Completion/Debian/Command/_apt-show-versions:
	apt-show-versions completion fix.

2008-08-07  Peter Stephenson  <pws@csr.com>

	* 25418: Doc/Zsh/options.yo, Src/options.c: set PROMPT_SUBST
	for all Bourne-style shells.

	* 25415: README, Doc/Zsh/builtins.yo, Doc/Zsh/func.yo,
	Doc/Zsh/options.yo, Src/builtin.c, Src/exec.c, Src/init.c,
	Src/options.c, Src/signals.c, Src/zsh.h, Test/A05execution.ztst,
	Test/C03traps.ztst:  Make DEBUG_BEFORE_CMD the default;
	make ERR_EXIT ineffective in DEBUG traps but allow it to
	be set to skip the next command (actually sublist); tidy
	up code associated with trapreturn.

2008-08-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25409: Doc/Zsh/builtins.yo, Src/builtin.c, Test/.distfiles,
	Test/B05eval.ztst: eval shouldn't reset the status at the
	start but should if the command was empty.

2008-08-06  Peter Stephenson  <pws@csr.com>

	* 25405: Src/exec.c: return value was not set from anonymous
	functions.

	* 25400: Test/C03traps.ztst: Rocky's test for 25385

2008-08-05  Peter Stephenson  <pws@csr.com>

	* 25392: Test/C03traps.ztst: test for 25367

2008-08-05  Barton E. Schaefer  <schaefer@zsh.org>

	* 25389: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: once again
	rearrange precedence of ZLS_COLORS alternatives to make complex
	coloring of file names possible.

2008-08-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Src/init.c: 25385: extend 25367 to fix another bug
	with trapreturn trampling on status.

2008-08-04  Peter Stephenson  <pws@csr.com>

	* users/13095: configure.ac: we don't want that
	_XOPEN_SOURCE_EXTENDED stuff on AIX, apparently.

	* 25384: Src/init.c: fix problem with autoload of zsh/zle
	for warning message at boot.

	* users/13093: Src/module.c: HashNode changes didn't
	get propagated to AIX-specific code.

2008-08-02  Barton E. Schaefer  <schaefer@zsh.org>

	* 25373: Src/Builtins/sched.c: fix missed ZLE entry point (see
	25347).

2008-08-01  Peter Stephenson  <pws@csr.com>

	* 25367: Src/exec.c, Src/init.c, Src/signals.c: bug with
	trapreturn in a sourced file caused early return of parent;
	add protection for nested traps; document trapreturn.

	* unposted: Functions/Misc/add-zsh-hook: testing for existence
	of hook function when hook was already defined was broken.

	* unposted: Functions/TCP/tcp_open, Functions/TCP/tcp_sess:
	improve some variable handling and standardise some indentation.

2008-07-31  Peter Stephenson  <pws@csr.com>

	* 25364: Doc/Zsh/params.yo, Src/params.c, Test/D06subscript.ztst:
	(k) hash subscript didn't work due to sense of test.

	* 25345, 25347: Src/builtin.c, Src/exec.c, Src/hist.c, Src/init.c,
	Src/input.c, Src/jobs.c, Src/loop.c, Src/options.c, Src/signals.c,
	Src/utils.c, Src/zsh.h, Src/Zle/zle_main.c: Neaten interface
	from main shell to zle to zleentry() in main shell using
	single zle_entry_pointer.

2008-07-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Doc/Zsh/func.yo: refer to DEBUG_BEFORE_CMD option.

2008-07-30  Peter Stephenson  <pws@csr.com>

	* Max Mikhanosha: users/13077: Completion/Unix/Type/_path_files:
	fix toggling with `follow' option.

2008-07-29  Peter Stephenson  <pws@csr.com>

	* 25346: Completion/compdump: fix some variables.

	* Max Mikhanosha: users/13072: Completion/Unix/Type/_path_files:
	add `follow' option to file-sort style.

2008-07-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* following discussion: Src/builtin.c: change error message in
	25338.

2008-07-25  Peter Stephenson  <pws@csr.com>

	* 25338: Src/builtin.c: disallow fc editing of the current
	history line which has bad effects on stack usage and temporary
	files.

2008-07-23  Clint Adams  <clint@zsh.org>

	* 25330: Doc/Zsh/mod_curses.yo: fix description of
	zcurses "position" (was documented as "location").

	* 25329: Src/Modules/curses.mdd: build the curses module if
	we've got any usable curses header, not just curses.h.

	* 25328: Completion/Unix/Command/_gpg: fix --recv-keys and
	--send-keys to complete key IDs instead of uid email addresses.

2008-07-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25326: Src/Zle/zle_refresh.c: don't recalculate prompt
	if not redisplaying.

2008-07-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/Modules/.distfiles: add missing files.

	* Danek Duvall: 25324: Completion/Solaris/Command/_coreadm,
	Completion/Solaris/Command/_dhcpinfo,
	Completion/Solaris/Command/_dumpadm,
	Completion/Solaris/Command/_gcore,
	Completion/Solaris/Command/_inetadm,
	Completion/Solaris/Command/_pfexec,
	Completion/Solaris/Command/_ptree,
	Completion/Solaris/Command/_savecore,
	Completion/Solaris/Command/_svcadm,
	Completion/Solaris/Command/_svccfg,
	Completion/Solaris/Command/_svcprop,
	Completion/Solaris/Command/_svcs,
	Completion/Solaris/Command/_zlogin,
	Completion/Solaris/Type/_svcs_fmri,
	Completion/Unix/Command/_pkg_instance,
	Completion/Unix/Command/_pkgadd,
	Completion/Unix/Command/_pkginfo,
	Completion/Unix/Command/_pkgrm, Completion/Unix/Command/_zfs,
	Completion/Unix/Command/_zpool,
	Completion/Unix/Type/_zfs_dataset,
	Completion/Unix/Type/_zfs_pool: new completions.

2008-07-21  Clint Adams  <clint@zsh.org>

	* 25322: Src/Modules/db_gdbm.c: fix printing of keys.

	* 25321: Src/Modules/db_gdbm.c: delete gdbm node when
	corresponding hash entry is unset.

	* 25320: Src/Modules/db_gdbm.c: fix read and write of elements
	by key.

	* 25319: Src/Modules/db_gdbm.c: fix zuntie, add -f option
	to ztie.

2008-07-20  Clint Adams  <clint@zsh.org>

	* 25318: Src/Modules/db_gdbm.c, Src/Modules/db_gdbm.mdd,
	configure.ac: allow parameter to be tied to a gdbm database.

2008-07-18  Peter Stephenson  <pws@csr.com>

	* 25304: Richard Hartmann: Functions/Newuser/zsh-newuser-install:
	don't go beyond 80 columns.

2008-07-17  Peter Stephenson  <pws@csr.com>

	* 25279: Doc/Zsh/func.yo, Functions/Misc/add-zsh-hook,
	Src/builtin.c, Src/exec.c, Src/hist.c, Src/init.c, Src/utils.c,
	Src/Zle/zle_main.c: add zshaddhistory hook to allow manipulations
	when history line is saved.

2008-07-15  Peter Stephenson  <pws@csr.com>

	* users/13036: Src/utils.c: "." is a valid character in
	a user name.

2008-07-14  Peter Stephenson  <pws@csr.com>

	* 25278: Doc/Zsh/compctl.yo, Doc/Zsh/compsys.yo,
	Doc/Zsh/compwid.yo, Doc/Zsh/manual.yo: rename sections in the
	completion widget manual to avoid confusion with sections
	elsewhere.

2008-07-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Phil Pennock: 25275: Completion/Base/Utility/_store_cache,
	StartupFiles/zshrc: restrict permissions on cache directories
	and use zstat in example zshrc.

	* Phil Pennock: 25276:
	Completion/Darwin/Type/_retrieve_mac_apps,
	Completion/Unix/Command/_baz, Completion/Unix/Command/_darcs,
	Completion/Unix/Command/_tar, Completion/Unix/Command/_tla,
	Completion/Zsh/Command/_zftp, Functions/Misc/sticky-note,
	Functions/Misc/tetris, Functions/Misc/xtermctl,
	Functions/Misc/zed, Functions/Prompts/prompt_bigfade_setup,
	Functions/Prompts/prompt_elite2_setup,
	Functions/Prompts/prompt_elite_setup,
	Functions/Prompts/prompt_fade_setup,
	Functions/Prompts/prompt_fire_setup,
	Functions/Prompts/promptinit, Functions/Zle/edit-command-line,
	Functions/Zle/history-beginning-search-menu,
	Functions/Zle/incarg, Functions/Zle/modify-current-argument,
	Functions/Zle/narrow-to-region-invisible,
	Functions/Zle/predict-on, Functions/Zle/quote-and-complete-word,
	Functions/Zle/transpose-words-match,
	Functions/Zle/url-quote-magic, StartupFiles/zshrc:
	use autoload -z to load zsh functions.

2008-07-07  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Zle/copy-earlier-word: avoid
	warnings from WARN_CREATE_GLOBAL.

	* 25269: Frank Terbeck: Src/Zle/compcore.c

2008-07-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25267: Src/Zle/compcore.c: Fix problem that menu completion
	wasn't automatically started on a pattern match if matching
	was done by the calling function.

2008-07-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25266: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: always use
	EXTENDED_GLOB for patterns in ZLS_COLORS.

2008-07-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25262: Src/parse.c: suspicious attempt to test errors
	when parsing command within braceless function.

2008-07-01  Peter Stephenson  <pws@csr.com>

	* 25259: Src/utils.c: make getquery() handle unhandled characters
	better.

2008-06-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25258: Completion/Unix/Type/_path_files: don't
	use -M option with -U.

2008-06-30  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Calendar/calendar_scandate: unlocalised
	variable spotted with warncreateglobal.

	* 25255: Doc/Zsh/func.yo, Src/exec.c, Test/C04funcdef.ztst:
	anonymous functions using "() { ... }" and "function { ... }".

2008-06-24  Clint Adams  <clint@zsh.org>

	* 25243: Completion/X/Command/_xrandr: patch from Chris Lamb to add
	--same-as for xrandr.

2008-06-24  Peter Stephenson  <pws@csr.com>

	* 25244: Doc/Zsh/contrib.yo, Functions/Zle/match-words-by-style,
	Functions/Zle/modify-current-argument,
	Functions/Zle/split-shell-arguments: enhance users/12987 with
	style for subword start and fix a few bits of documentation.

	* users/12985, users/12986, users/12988: Tomasz Pala:
	Completion/Linux/Command/_ethtool,
	Completion/Linux/Command/_ipset, Completion/Unix/Command/_arp:
	new and updated completions.

	* users/12987: Doc/Zsh/contrib.yo,
	Functions/Zle/match-words-by-style,
	Functions/Zle/select-word-style: add subword matching to
	word-style capabilities.

	* 25242: Mikael: Doc/Zsh/prompt.yo, Src/prompt.c: add V prompt
	test for contents of psvar.

2008-06-23  Peter Stephenson  <pws@csr.com>

	* 25237: Doc/Zsh/tcpsys.yo, Functions/TCP/tcp_open: make
	tcp_on_open return status significant.

	* 25236: Doc/Zsh/contrib.yo, Functions/MIME/zsh-mime-setup:
	zsh-mime-setup -l can take suffix arguments.

2008-06-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25231: Completion/Unix/Type/_path_files: fix approximation
	of absolute paths in root directory (/uzr -> /usr, etc.).

2008-06-19  Peter Stephenson  <pws@csr.com>

	* 25214, tweaked: add warning about exponentitation precedence.

2008-06-16  Clint Adams  <clint@zsh.org>

	* 25167: Src/system.h: patch from Petr Salinger to define
	_GNU_SOURCE (for /dev/ptmx) when glibc is being used on
	non-linux platforms.

2008-06-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Bart: 25164: Doc/Zsh/expn.yo: typo.

	* 25159: Doc/Zsh/compwid.yo: expand documentation for
	correspondence classes with [:...:].

2008-06-13  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Zsh/Context/_zcalc_line,
	Functions/Misc/zcalc: handle completion idiosyncracies when
	completing in the same word as ":!".

	* 25152: Completion/Zsh/Context/{.distfiles,_zcalc_line}
	(moved from Type because this is where it should be),
	Doc/Zsh/contrib.yo, Functions/Misc/zcalc: improved zcalc
	escape commands with ":" including ":!" and ":raw"; more complete
	zcalc completion with special context.

	* unposted: Completion/{Unix,Linux}/Command/{strace,.distfiles}: move

	* users/12911: Tomasz Pala <gotar@polanet.pl>:
	Completion/Unix/Command/_strace,
	Completion/Unix/Command/.distfiles: new completion

2008-06-12  Peter Stephenson  <pws@csr.com>

	* 25149: Doc/Zsh/arith.yo, Doc/Zsh/options.yo, Src/math.c,
	Src/options.c, Src/zsh.h, Test/C01arith.ztst:  add
	C_PRECEDENCES option to make arithmetic operators have
	C (or, where necessary, Perl) precedences.

2008-06-11  Peter Stephenson  <pws@csr.com>

	* 25145: Src/exec.c, Test/E02xtrace.ztst: make sure XTRACE output
	follows stderr redirections.

	* 25143: Mikael: Doc/Zsh/mod_zprof.yo: missing descendants.

2008-06-10  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael: 25146: Src/Zle/compmatch.c:
	pattern_match_equivalence() needs to be exported.

2008-06-10  Peter Stephenson  <pws@csr.com>

	* 25144: Src/builtin.c, Src/math.c, Src/utils.c plus unposted
	C01arith.ztst: report the supported bases on a base error.

	* 25143: Mikael: Doc/Zsh/builtins.yo, Doc/Zsh/calsys.yo,
	Doc/Zsh/compsys.yo, Doc/Zsh/func.yo, Doc/Zsh/grammar.yo,
	Doc/Zsh/mod_pref.yo, Doc/Zsh/options.yo, Doc/Zsh/zle.yo:
	spelling corrections.

2008-06-09  Peter Stephenson  <pws@csr.com>

	* unposted: Src/Zle/compmatch.c: silence compiler (has no
	other effect).

2008-06-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25139: Completion/compinstall, Doc/Zsh/compwid.yo,
	Src/pattern.c, Src/zsh.h, Src/Zle/comp.h, Src/Zle/complete.c,
	Src/Zle/compmatch.c, Src/Zle/computil.c: enhance completion
	matching to make it possible to use wide characters (not yet
	done); also allows named character ranges, so that
	{[:lower:]}={[:upper:]} works (for now, just for single-byte
	character sets).

2008-06-05  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Completion/Redhat/Command/_rpm: fix typo

2008-06-04  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/.distfiles: missing files.

	* unposted: Completion/Unix/Type/_path_files: another typo.

	* 25130 slightly tweaked for typos:
	Completion/Unix/Type/_path_files: changes to use -U flag
	to compadd so that spelling corrections in non-final
	path segments are accepted.

2008-06-03  Peter Stephenson  <pws@csr.com>

	* 25132: Completion/Zsh/Command/_zstyle: numerous still
	highly incomplete updates.

	* 25131: Completion/Unix/Command/_chmod,
	Completion/Unix/Command/_chown, Completion/Unix/Command/_cvs,
	Completion/Unix/Type/_list_files,
	Completion/Zsh/Type/_file_descriptors: need b:zstat to
	get zstat with zmodload -F zsh/stat.

2008-06-02  Peter Stephenson  <pws@csr.com>

	* users/12858: Doc/Zsh/compsys.yo: this bit didn't
	get committed.

2008-06-01  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25127: README: note the changes in 25122, 25124 and 25126 as
	an incompatibility.

2008-06-01  Clint Adams  <clint@zsh.org>

	* 25124, 25126: INSTALL, MACHINES, configure.ac, Src/zsh.h: work
	with --(disable|enable)-largefile instead of --(disable|enable)-lfs,
	since the latter is no longer functional.

2008-05-31  Clint Adams  <clint@zsh.org>

	* 25122: aczsh.m4, configure.ac: use AC_SYS_LARGEFILE for better
	LFS detection.

2008-05-29  Peter Stephenson  <pws@csr.com>

	* unposted: Doc/Zsh/tcpsys.yo, Functions/TCP/tcp_fd_handler:
	add tcp_on_awol.

	* Tomasz Pala <gotar@polanet.pl>: users/12884:
	Completion/Unix/Command/{iftop,tcpdump}: new completions

2008-05-27  Peter Stephenson  <pws@csr.com>

	* users/12870: Doc/Zsh/expn.yo: modifiers in glob qualifiers
	activate global globbing behaviour.

	* unposted: NEWS: note prompt colour, accept-exact-dirs.

2008-05-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 25104; 25111 (Jun T): Completion/Unix/Command/_locate: better
	handling of multiple versions of locate.

2008-05-20  Clint Adams  <clint@zsh.org>

	* 25077: Completion/Unix/Command/_gnupod: consolidation of GNUpod
	script completion from Omari Norman in 25075.

2008-05-20  Peter Stephenson  <pws@csr.com>

	* unposted: Functions/Prompts/.distfiles: add prompt_pws_setup.

2008-05-19  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/compinit: typo in 25068.

2008-05-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/12858: Doc/Zsh/compsys.yo,
	Completion/Unix/Type/_path_files: add accept-exact-dirs style.

	* unposted: Completion/compinit: fix unwanted output from
	typeset.

	* 25068: Completion/compinit: fix some warnings with
	WARN_CREATE_GLOBAL.

	* 25063: Functions/Prompts/prompt_bart_setup: minor
	tweaks.

	* Mikael: 25054: Doc/Zsh/prompt.yo: typo.

2008-05-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/utils.c: unused variable in 25057.

	* 25059: Functions/Misc/add-zsh-hook and virtually every
	function under Functions/Prompts, also new
	Functions/Prompts/pws, also unposted addition to
	Doc/Zsh/contrib.yo: thorough modernization of the prompt
	theme system to use current shell facilities better.

	* 25057: Src/mem.c, Src/utils.c: better debug info for memory
	errors.

	* 25055: Src/pattern.c: remove unnecessary debug test.

2008-05-16  Peter Stephenson  <pws@csr.com>

	* 25052: Doc/Zsh/compctl.yo, Doc/Zsh/compsys.yo,
	Doc/Zsh/mod_complist.yo, Doc/Zsh/prompt.yo: update some
	documentation for use of colour highlighting.

	* unposted: Etc/CONTRIBUTORS: update main shell list; still
	need to update list for functions.

	* 25051: Src/prompt.c, Src/complist.c, Src/zle_tricky.c:
	add %F, %K, %f, %k handling to formatting strings for completion.

2008-05-15  Peter Stephenson  <pws@csr.com>

	* 25040: Src/builtin.c, Src/utils.c, Src/Modules/zpty.c:
	zpty should display context information more like eval.

2008-05-14  Peter Stephenson  <pws@csr.com>

	* unposted: Completion/Unix/Command/_perforce: also p4 sizes,
	p4 license.

	* unposted: Completion/Unix/Command/_perforce: handle
	p4 protects.

	* 25025: Doc/Zsh/builtins.yo, Src/builtin.c, Src/math.c,
	Src/utils.c: more checks to ensure radix for arithmetic
	constants is between 2 and 36 inclusive.

2008-05-13  Peter Stephenson  <pws@csr.com>

	* 25018: Omari Norman: Completion/Unix/Command/{_awk,_cut,_join}:
	new completions.

	* unposted: Doc/Zsh/builtins.yo, Doc/Zsh/grammar.yo: comment
	on aliases.

2008-05-12  Peter Stephenson  <pws@csr.com>

	* 25006, 25009: Src/Zle/complist.c: do "or" symlink orphan
	highlighting; make stat-ed file types take precedence over
	extensions and patterns.

	* 25002: Src/builtin.c, Src/init.c, Src/input.c, Src/loop.c,
	Src/prompt.c, Src/subst.c, Src/utils.c, Src/zsh.h,
	Src/Zle/zle_main.c, Src/Zle/zle_refresh.c: only update
	display attributes from prompts within zle.

2008-05-11  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24996: Src/cond.c, Src/exec.c, Src/glob.c, Src/loop.c,
	Src/zsh.h: improve xtrace output for patterns.

	* users/12848: Test/A01grammar.ztst, Src/loops.c: return, break
	and continue are allowed in "always" block and will override
	try block if set.

	* 24994: Src/Zle/zle_hist.c: Fix problem with
	up/down-line-or-search comparison, perhaps.

	* 24990: Stephane Chazelas: Functions/Misc/zmv: fix
	various little quirks in zmv.

2008-05-09  Peter Stephenson  <pws@csr.com>

	* 24986: Doc/Zsh/prompt.yo, Doc/Zsh/zle.yo, Src/init.c,
	Src/prompt.c, Src/watch.c, Src/zsh.h, Src/Zle/zle_refresh.c:
	prompt escapes for colouring.

	* users/12846: Etc/FAQ.yo: not so many Windows ports, these days.

2008-05-08  Peter Stephenson  <pws@csr.com>

	* unposted: Src/modules.c: bad arguments to error message.

	* 24980: Doc/Zsh/builtins.yo, Src/builtin.c, Src/module.c,
	Src/zsh.h: add zmodload -mF to manipulate features by pattern.

	* 24972: Phil Pennock: Doc/Zsh/mod_files.yo, Src/Modules/files.c,
	Src/Modules/files.mdd:  Add zf_* commands for zsh/files modules
	plus a few extra options.

2008-05-07  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24962: Oliver: Functions/Prompts/prompt_oliver_setup:
	update to use zle_highlight default highlighting.

2008-05-07  Peter Stephenson  <pws@csr.com>

	* 24959: Src/Zle/compresult.c: ^D's in compctl could cause a
	crash.

2008-05-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24957: Doc/Zsh/zle.yo, Src/Zle/zle_refresh.c: better sanity
	checking of colour ranges, always use termcap for numeric
	colours where available.

	* 24911 (tweaked): Doc/Zsh/zle.yo: missed this bit, somehow.

2008-05-06  Peter Stephenson  <pws@csr.com>

	* 24953: Doc/Zsh/zle.yo, Src/Zle/zle_refresh.c:
	"default" zle_highlight context, also fix allocation bug with
	24899.

2008-05-06  Clint Adams  <clint@zsh.org>

	* 24947: Completion/X/Command/_mozilla: complete -safe-mode for
	firefox.

2008-05-06  Peter Stephenson  <pws@csr.com>

	* 24951: Doc/Zsh/mod_complist, Src/Zle/comp.h, Src/Zle/compcore.c,
	Src/Zle/complist.c: implement ZLS_COLORS ln=target.

	* 24937, 24938: Dag-Erling Smørgrav <des@des.no>: configure.ac:
	improved version of 24927.

	* 24932: Src/zsh.h, Src/Zle/zle_refresh.c: try to regularize
	code that fixes up after right prompt.

	* 24927: Phil Pennock: configure.ac: Free BSD only doesn't need
	_XOPEN_SOURCE_EXTENDED on Free BSD 6.

2008-05-04  Wayne Davison  <wayned@users.sourceforge.net>

	* 24831 plus changes: Src/hist.c: simplified fcntl() locking.

	* unposted: Src/Zle/zle_hist.c, Src/Zle/zle_misc.c: fixed
	signed/unsigned warnings, including an always true "if".

2008-05-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Mikael Magnusson: 24911 (tweaked): Doc/Zsh/zle.yo,
	Src/Zle/zle_params.c: REGION_ACTIVE zle parameter.

	* Phil Pennock: 24904 + 24916: configure.ac, Src/system.h: don't
	define _XOPEN_SOURCE_EXTENDED on freebsd, either, not even
	if the standard says we need it for wcwidth().

	* 24915: Src/Zle/zle_hist.c, Src/Zle/zle_misc.c,
	Src/Zle/zle_move.c, Src/Zle/zle_vi.c: some more fix-ups for
	combining characters.

2008-05-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/12815: Src/jobs.c, Src/signals.c, Src/zsh.h:
	fix bug that a previously defunct process could be taken as a
	recently terminated process that needed marking as done, hence
	causing the shell to wait for ever for the newly exited process.

2008-05-01  Peter Stephenson  <pws@csr.com>

	* 24900: Doc/Zsh/zle.yo, Src/Zle/zle_hist.c: add
	backward-kill-word to delete previous character immediately
	in isearch and document the isearch commands better.

	* 24899: Doc/Zsh/zle.yo, Src/Zle/zle_main.c,
	Src/Zle/zle_refresh.c: make colour escape sequences configurable
	and allow ANSI colour names.

2008-04-29  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24895: Matt Wozniski: Doc/Zsh/zle.yo: typo.

	* unposted: Src/glob.c: oops.

2008-04-29  Peter Stephenson  <pws@csr.com>

	* 24894: Doc/Zsh/zle.yo, Src/init.c, Src/zsh.h,
	Src/Zle/zle_refresh.c: enable colouring of highlighted text
	in editor.

	* 24893: Src/Zle/zle_refresh.c: duplicate statusline to avoid
	crashes when it's passed from a constant string.

2008-04-28  Peter Stephenson  <pws@csr.com>

	* unposted: Src/Zle/zle_hist.c: when anchoring a pattern
	isearch to the start of the line the search line wasn't
	reset on new input so when the first match of the new pattern
	was earlier than that of the old pattern we skipped it.

	* unposted: Src/Zle/zle_hist.c: more tweaks for failures with
	isearch pattern matching.

	* 24890: Matt Wozniski: Src/Zle/zle_hist.c: skip_pos was
	staying set causing random failures on backtracking in isearch.

	* 24887: Geoff: Src/glob.c: typo.

2008-04-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24886: Src/Zle/zle_hist.c: using unupdated pos to set end_pos
	in string isearch could cause endless loop.

2008-04-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS: note that COMBINING_CHARS is not on by
	default.

	* 24882: Doc/Zsh/zle.yo, Src/Zle/zle_hist.c, Src/Zle/zle_refresh.c:
	highlighting of incremental search match.

	* unposted because everyone's seen enough of my mistakes:
	Src/pattern.c, Src/Zle/zle_hist.c: with pattern matching the
	end position of the match wasn't calculated; we used the
	length of the uncompiled pattern which often had nothing
	to do with it.  This made the position on forward pattern
	searching wrong.

	* 24881: Src/Zle/zle_hist.c: we kept feeping on an invalid
	pattern; once is quite enough.

	* 24880: Src/Zle/zle_hist.c: feeping on a failed match could
	be mistimed.

	* 24879: Src/Zle/zle_hist.c: nastiness with pattern search
	and duplicate line detection.

	* 24878: NEWS, Doc/Zsh/zle.yo, Src/glob.c, Src/pattern.c,
	Src/zsh.h, Src/Zle/iwidgets.list, Src/Zle/zle_hist.c:
	add history-incremental-pattern-search-backward and
	history-incremental-pattern-search-forward, also optimize
	history searches a bit more.

	* 24876: don't install manual pages if empty.

	* 24872: Jun T.: Fix capitalization with combining characters.

	* 24869: Marc Chantreux: configure.ac, Src/init.c: make default
	readnullcmd configurable.

2008-04-24  Peter Stephenson  <pws@csr.com>

	* unposted: Jun T.: Src/Zle/zle_utils.c: backkill() in raw
	mode didn't correctly calculate the number of characters to
	kill.

2008-04-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Src/Zle/zle_misc.c: overwrite mode without
	MULTIBYTE_SUPPORT should be as before.

2008-04-23  Peter Stephenson  <pws@csr.com>

	* 24867: Src/system.h: looks like we need _XOPEN_SOURCE_EXTENDED
	instead of just _XOPEN_SOURCE.

	* 24865: Src/zle_vi.c: bad character adjustment in
	vireplacechars().

	* 24864: Jun T.: configure.ac, Src/zsh.h: typos in 24861.

2008-04-22  Peter Stephenson  <pws@csr.com>

	* 24862: Src/system.h: #define _XOPEN_SOURCE if needed to
	get wcwidth().

	* 24861: configure.ac, Src/builtin.c, Src/compat.c, Src/prompt.c,
	Src/utils.c, Src/zsh.h, Src/zle/complist.c, Src/Zle/zle_misc.c
	(slightly rewritten), Src/zle/zle_refresh.c, Src/Zle/zle_tricky.c:
	use alternative wcwidth() if configure suggests the library
	version is returning non-zero when it shouldn't; also improve the
	overwriting test for combining characters.

2008-04-21  Peter Stephenson  <pws@csr.com>

	* 24860: Src/Zle/zle_misc.c, Src/Zle/zle_utils.c: better
	overwrite mode.

	* 24859: Src/Zle/zle_misc.c, Src/Zle/zle_vi.c, Src/Zle/zle_word.c:
	overwriting combining characters and replacing them and appending
	after them in vi mode.

	* 24856: Src/utils.c, Src/zsh.h, Src/Zle/zle_move.c,
	Src/Zle/zle_refresh.c: use IS_COMBINING() and IS_BASECHAR()
	tests for combining characters.  Widen definitions of characters
	to least restrictive we think are likely to work.

	* 24855: Src/Zle/zle_utils.c: tests for combining char aligments
	should only be on metafied command line.

	* unposted: Src/Zle/zle_move.c: missing assignment in new
	backwardmetafiedchar().

2008-04-20  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24853: Src/utils.c, Src/zsh.h, Src/Zle/complist.c,
	Src/Zle/zle.h, Src/Zle/zle_hist.c, Src/Zle/zle_main.c,
	Src/Zle/zle_misc.c, Src/Zle/zle_move.c, Src/Zle/zle_refresh.c,
	Src/Zle/zle_thingy.c, Src/Zle/zle_utils.c, Src/Zle/zle_vi.c,
	Src/Zle/zle_word.c:  use metafied strings for inner loops
	involving history, with consequent changes for similar code
	such as execute-name-command, plus some utility functions.

	* 24852: Src/zle_main.c (Jun T.), Src/Zle/zle_vi.c: more
	combining chars fallout.

	* users/12798: Etc/zsh-development-guide: passing NULL flags
	to builtin definition.

	* users/12793: William Scott: Completion/BSD/Command/_chflags:
	hidden/nohidden flags.

2008-04-20  Andrey Borzenkov  <bor@zsh.org>

	* 24851: Doc/Zsh/mod_complist.yo, Src/Zle/complist.c: support
	colour codes for from current GNU ls

2008-04-18  Wayne Davison  <wayned@users.sourceforge.net>

	* unposted: Src/Zle/zle_refresh.c: fixed compiler warnings
	about signed/unsigned issues.

2008-04-18  Peter Stephenson  <pws@csr.com>

	* 24839: Src/Zle/zle_word.c: misuse of variable in 24825.

2008-04-17  Peter Stephenson  <pws@csr.com>

	* 24829: Jun T.: Src/Zle/zle_vi.c: vi-replace-chars got broken
	in the crossfire.

	* 24825: Src/utils.c, Src/Zle/zle_word.c: fix internal
	word-boundary widgets and make zero-width punctuation
	characters always part of a word.

	* unposted: NEWS: list new features so far since 4.3.6.

	* Vincent Lefevre: 24818: Doc/Zsh/options.yo (modified),
	Src/hist.c (with #ifdef HAVE_FTRUNCATE), Src/options.c, Src/zsh.h:
	history file locking using fcntl().

2008-04-16  Clint Adams  <clint@zsh.org>

	* 24823: Completion/Unix/Command/_git: some fixes and updates for
	git 1.5.5.

2008-04-16  Peter Stephenson  <pws@csr.com>

	* 24821: Etc/FAQ.yo, Src/Zle/zle_main.c: updated notes plus
	fix cursor position with combining characters after exit
	from a user-defined widget.

2008-04-15  Peter Stephenson  <pws@csr.com>

	* 24819: Src/Zle/zle.h, Src/Zle/zle_misc.c, Src/Zle/zle_move.c,
	Src/Zle/zle_utils.c: need to fix up combining character aligment
	in case of sneaky combination generation; fix transposing
	characters.

2008-04-14  Peter Stephenson  <pws@csr.com>

	* 24816: Src/Zle/zle_hist.c, Src/Zle/zle_misc.c,
	Src/Zle/zle_tricky.c: a few places where we need to alight
	with combining characters.

	* 24814: Src/hist.c: suspicious handling of temporary history
	buffer.

	* 24811: Doc/Zsh/roadmap.yo, Etc/FAQ.yo: update introductory
	documentation on multibyte support.

	* 24810 (slightly edited to move added text later):
	Src/Zle/zle_tricky.c: after unmetafying the command line ensure
	we're not on a combining character.

2008-04-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 24808: Doc/Zsh/options.yo, Src/options.c, Src/utils.c, Src/zsh.h,
